﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Common/AdminHead.Master"
    EnableEventValidation="true" AutoEventWireup="true" CodeBehind="NewsLetterManager.aspx.cs"
    Inherits="WebApplication.Admin.NewsLetter.NewsLetterManager" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="server">
    <table style="width: 560px;">
        <tr>
            <td>
                <zxr:Button ID="ButtonAppend" runat="server" onclick="ButtonAppend_Click" 
                    Text="ニュース追加" />
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;</td>
        </tr>
        <tr>
            <td>
                <zxr:Label ID="LabelTagList" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;</td>
        </tr>
        <tr>
            <td>
                <zxr:ZxrGridView ID="ZxrGridView1" runat="server" AutoGenerateColumns="False"
                    BackColor="White" BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px"
                    CellPadding="5" EnableModelValidation="True" 
                    OnRowDeleting="ZxrGridView1_RowDeleting" 
                    AllowSorting="True" PageSize="20">
                    <AlternatingRowStyle BackColor="#F7F7F7" />
                    <Columns>
                        <asp:BoundField DataField="NewsID" HeaderText="ID" />
                        <asp:BoundField DataField="NewsTitle" HeaderText="タイトル">
                            <ItemStyle Width="200px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="RegDatetime" HeaderText="作成日付" />
                        <asp:BoundField DataField="ClickCounter" HeaderText="閲覧数" />
                        <asp:HyperLinkField DataNavigateUrlFields="NewsID" DataNavigateUrlFormatString="NewsLetterEdit.aspx?action=edit&amp;newsid={0}"
                            HeaderText="操作" Text="編集" />
                        <asp:TemplateField HeaderText="削除" ShowHeader="False">
                            <ItemTemplate>
                                <asp:LinkButton ID="LinkButton1" runat="server" CausesValidation="False" 
                                 OnClientClick="return confirm('削除してよろしいですか？');"
                                    CommandName="Delete" Text="削除"></asp:LinkButton>
                            </ItemTemplate>
                        </asp:TemplateField>

                    </Columns>
                    <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
                    <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
                    <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
                    <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
                    <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
                </zxr:ZxrGridView>
                <br />
                <zxr:PageDivider ID="PageDivider1" runat="server" />
            </td>
        </tr>
    </table>
</asp:Content>
