﻿<%@ Page Language="C#" MasterPageFile="../Common/AdminHead.master" AutoEventWireup="true"
    CodeBehind="PageInfoAppendEdit.aspx.cs" Inherits="WebApplication.Admin.PageInfoEdit.PageInfoAppendEdit"
    ValidateRequest="False" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="ZXR" %>
<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<%@ Register Src="../../WebParts/ZxrEditorBox.ascx" TagName="ZxrEditorBox" TagPrefix="uc1" %>
<%@ Register assembly="WebFramework" namespace="ZXR.Web.Validator" tagprefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        #xImagePath
        {
            width: 126px;
        }
    </style>

    <script type="text/javascript" src="../../ckfinder/ckfinder.js"></script>

    <script type="text/javascript">

        function BrowseServer(startupPath, functionData) {
            // You can use the "CKFinder" class to render CKFinder in a page:
            var finder = new CKFinder();

            // The path for the installation of CKFinder (default = "/ckfinder/").
            finder.BasePath = '../../ckfinder/';

            //Startup path in a form: "Type:/path/to/directory/"
            finder.StartupPath = startupPath;

            // Name of a function which is called when a file is selected in CKFinder.
            finder.SelectFunction = SetFileField;

            // Additional data to be passed to the SelectFunction in a second argument.
            // We'll use this feature to pass the Id of a field that will be updated.
            finder.SelectFunctionData = functionData;

            // Name of a function which is called when a thumbnail is selected in CKFinder.
            finder.SelectThumbnailFunction = ShowThumbnails;

            // Launch CKFinder
            finder.Popup();
        }

        // This is a sample function which is called when a file is selected in CKFinder.
        function SetFileField(fileUrl, data) {
            document.getElementById(data["selectFunctionData"]).value = fileUrl;
        }

        // This is a sample function which is called when a thumbnail is selected in CKFinder.
        function ShowThumbnails(fileUrl, data) {
            var sFileName = decodeURIComponent(fileUrl.replace(/^.*[\/\\]/g, ''));
            document.getElementById('thumbnails').innerHTML +=
			'<div class="thumb">' +
				'<img src="' + fileUrl + '" />' +
				'<div class="caption">' +
					'<a href="' + data["fileUrl"] + '" target="_blank">' + sFileName + '</a> (' + data["fileSize"] + 'KB)' +
				'</div>' +
			'</div>';

            document.getElementById('preview').style.display = "";
            // It is not required to return any value.
            // When false is returned, CKFinder will not close automatically.
            return false;
        }
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="Server">
    <br />
    <table style="width: 100%" align="center">
        <tr>
            <td>
                <table style="border-color: #000000; width: 100%;" align="center" border="1" cellpadding="0"
                    cellspacing="0">
                    <tr>
                        <td style="text-align: left" colspan="2">
                            <asp:Label ID="LabelCulture" runat="server" Text="現在選択されている言語"></asp:Label>
                            &nbsp;: &nbsp;<asp:Label ID="LabelCurrentCulture" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left">
                            <asp:Label ID="LabelTitle" runat="server" Text="メニューに表示する文字"></asp:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxTitle" runat="server" IsRequest="True" 
                                ValidateMode="NoLimited" IsRequired="True"></zxr:TextBox>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                                ControlToValidate="CustomTextBoxTitle">
                            </zxr:RequiredFieldValidator>
                            <zxr:RangeStringValidator ID="RangeStringValidator1" runat="server" 
                                ControlToValidate="CustomTextBoxTitle">
                            </zxr:RangeStringValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left">
                            <zxr:Label ID="DisplayLabelBelongto" runat="server">所属するページ</zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:DropDownList ID="CustomDropDownListPageList" runat="server">
                            </zxr:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left">
                            <zxr:Label ID="DisplayLabelOrder" runat="server"></zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxOrder" runat="server" ValidateMode="Figure" ValidatorState="True"
                                Width="36px" IsRequest="True" IMEMode="Disabled">1</zxr:TextBox>
                            <zxr:RangeFigureValidator ID="FigureRangeValidator1" runat="server" 
                                ControlToValidate="CustomTextBoxOrder" MaximumValue="999" MinimumValue="1">
                            </zxr:RangeFigureValidator>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                                ControlToValidate="CustomTextBoxOrder">
                            </zxr:RequiredFieldValidator>
                            <br />
                            <zxr:Label ID="DisplayLabelOrderScr" runat="server"></zxr:Label>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left">
                            <zxr:Label ID="DisplayLabelKeyword" runat="server">SEOキーワード</zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxKeyword" runat="server" Width="456px"></zxr:TextBox>
                            <br />
                            <ZXR:Label ID="LabelSeoHelp" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left">
                            <zxr:Label ID="DisplayLabelShowInMenu" runat="server"></zxr:Label>
                        </td>
                        <td style="text-align: left">
                            <ZXR:RadioButton ID="RadioButtonShowInMenuYes" runat="server" Checked="True" 
                                GroupName="ShowInMenu" Text="Yes" />
                            <ZXR:RadioButton ID="RadioButtonShowInMenuNo" runat="server" 
                                GroupName="ShowInMenu" Text="No" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left">
                <zxr:Label ID="LabelReadUserGroup" runat="server" Text="閲覧可能のユーザーグループ" />
                            ：</td>
                        <td style="text-align: left">
                <asp:CheckBoxList ID="CheckBoxListReadUserGroup" runat="server" RepeatColumns="5"
                    RepeatDirection="Horizontal" DataTextField="GroupName" 
                    DataValueField="GroupID">
                </asp:CheckBoxList>
                            <ZXR:Label ID="LabelAccess" runat="server" 
                                Text="選択がない場合、アクセスに制限がないと判断します。チェックしたグループのみアクセス可となります。「管理者」グループには制限をかけれません。" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left" valign="top" align="center" colspan="2">
                            <asp:Label ID="LabelContents" runat="server" Text="ページ内容"></asp:Label>
                            ：
                            <br />
                            <uc1:ZxrEditorBox ID="ZxrEditorBox1" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left" valign="top" align="center">
                            <zxr:Label ID="DisplayLabelLinkImage" runat="server">独自のリンク写真</zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left" valign="top" align="center">
                            <input id="xImagePath" name="xImagePath" type="text" size="40" /><input type="button"
                                value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
                            <br />
                            <zxr:Label ID="DisplayLabelImageNotfiy" runat="server"></zxr:Label>
                            <br />
                            <zxr:ImageView ID="ImageViewLink" runat="server" Width="150px" Height="85px" />
                            <br />
                            <zxr:ValidatorButton ID="CustomButtonDeleteLinkImage" runat="server" OnClick="CustomButtonDeleteLinkImage_Click"
                                Text="画像削除" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right; margin-left: 80px;" colspan="2">
                            <zxr:Button ID="CustomButtonUpdate" runat="server" OnClick="ButtonAccess_Click"
                                Text="更新" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: center" class="style18" colspan="2">
                            <table style="width: 100%;">
                                <tr>
                                    <td>
                                        &nbsp;<br />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
</asp:Content>
