﻿<%@ Page Title="" Language="C#" MasterPageFile="ContentsMasterPage.master" AutoEventWireup="true"
    CodeBehind="~/Logic/ChangePassword.aspx.cs" Inherits="WebApplication.Contents.ChangePassword" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderCommonMasterPage"
    runat="server">
    <div id="contents_top">
        &nbsp;
    </div>
    <div id="contents_bg">
        <table align="center">
            <tr>
                <td colspan="2">
                    <zxr:Label ID="LabelTitle" runat="server" Text="パスワード変更" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelOldPassword" runat="server" Text="古いパスワード" />
                    ：
                </td>
                <td>
                    <zxr:TextBox ID="TextBoxOldPassword" runat="server" TextMode="Password" />
                    <br />
                    <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxOldPassword">
                    </zxr:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelNewPassword" runat="server" Text="新しいパスワード" />
                    ：
                </td>
                <td>
                    <zxr:Label ID="LabelPasswordExp" runat="server" Text="&lt;6文字以上12文字以内半角英数字&gt;" ForeColor="Blue" />
                    <br />
                    <zxr:TextBox ID="TextBoxNewPassword" runat="server" TextMode="Password" />
                    <br />
                    <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxNewPassword">
                    </zxr:RequiredFieldValidator>
                    <br />
                    <zxr:ComplexStringValidator ID="ComplexStringValidator1" runat="server" ControlToValidate="TextBoxNewPassword"
                        MaxLength="12" MinLength="6">
                    </zxr:ComplexStringValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelConfirmPassword" runat="server" Text="再確認" />
                    ：
                </td>
                <td>
                    <zxr:TextBox ID="TextBoxConfirmPassword" runat="server" TextMode="Password" />
                    <br />
                    <zxr:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextBoxConfirmPassword">
                    </zxr:RequiredFieldValidator>
                    <br />
                    <zxr:CompareStringValidator ID="CompareStringValidator1" runat="server" ControlToCompare="TextBoxNewPassword"
                        ControlToValidate="TextBoxConfirmPassword">
                    </zxr:CompareStringValidator>
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;</td>
                <td>
                    <zxr:VerifyCodeTextBox ID="VerifyCodeTextBox1" runat="server" 
                    /></td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    <zxr:Button ID="ButtonChangePassword" runat="server" OnClick="ButtonChangePassword_Click"
                        Text="パスワード変更" />
                </td>
            </tr>
        </table>
    </div>
    <div id="contents_bottom">
        &nbsp;
    </div>
</asp:Content>
