<%@ Page Language="C#" MasterPageFile="ContentsMasterPage.master" EnableViewState="true"
    AutoEventWireup="true" CodeBehind="~/Logic/Reservation.aspx.cs" Inherits="WebApplication.Contents.Reservation"
    ValidateRequest="False" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderCommonMasterPage"
    runat="server">
    <div id="contents_top">
        &nbsp;
    </div>
    <div id="contents_bg">
        <table>
            <tr>
                <td valign="top">
                    <div id="SideArea">
                         <asp:PlaceHolder ID="PlaceHolderSideMenu" runat="server"></asp:PlaceHolder>
                    </div>
                </td>
                <td valign="top">
                    <table>
                        <tr>
                            <td colspan="2">
                                <zxr:Label ID="LabelReservationItemName" runat="server">
                                </zxr:Label>
                                <br />
                                <br />
                                <zxr:Label ID="LabelItemDetail" runat="server"></zxr:Label>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelDate" runat="server">\F</zxr:Label>
                            </td>
                            <td>
                                <zxr:DropDownList ID="DropDownListDate" runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="LabelBeginDatatime" runat="server" Text="\JnF"></asp:Label>
                                &nbsp;
                            </td>
                            <td>
                                <zxr:DropDownList ID="DropDownListBeginTime" runat="server">
                                </zxr:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelEndDatatime" runat="server">\IF</zxr:Label>
                                &nbsp;
                            </td>
                            <td>
                                <zxr:DropDownList ID="DropDownListEndTime" runat="server">
                                </zxr:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelUserName" runat="server">O</zxr:Label>F
                            </td>
                            <td>
                                <zxr:TextBox ID="TextBoxUserName" runat="server"></zxr:TextBox>
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="TextBoxUserName"></zxr:RequiredFieldValidator>
                                <zxr:RangeStringValidator ID="RangeStringValidator1" runat="server" ControlToValidate="TextBoxUserName"
                                    MaximumValue="50" MinimumValue="2"></zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelUserPhoneDis" runat="server">dbԍ</zxr:Label>F
                            </td>
                            <td>
                                <zxr:TextBox ID="TextBoxPhone" runat="server"></zxr:TextBox>
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxPhone"></zxr:RequiredFieldValidator>
                                <zxr:PhoneNumberJapan ID="PhoneNumberJapan1" runat="server" ControlToValidate="TextBoxPhone"></zxr:PhoneNumberJapan>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelUserMailDis" runat="server">[AhX</zxr:Label>F
                            </td>
                            <td>
                                <zxr:TextBox ID="TextBoxMailAddress" runat="server"></zxr:TextBox>
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxMailAddress"></zxr:RequiredFieldValidator>
                                <zxr:EmailValidator ID="EmailValidator1" runat="server" ControlToValidate="TextBoxMailAddress">
                                </zxr:EmailValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;</td>
                            <td>
                                &nbsp;</td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;
                            </td>
                            <td>
                                <zxr:VerifyCodeTextBox ID="VerifyCodeTextBox1" runat="server" 
                                    />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;
                            </td>
                            <td align="right">
                                <zxr:ValidatorButton ID="ButtonReservation" runat="server" OnClick="ButtonUpdate_Click"
                                    Text="\" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <div id="contents_bottom">
        &nbsp;
    </div>
</asp:Content>
