﻿using System.Text.RegularExpressions;
using System.Collections.Generic;

using ZXR.Core;
using CAUtility.Logic.ReservationItem;
using CAUtility.Plugin;

namespace CAUtility.BuiltinPlugin
{

    internal class Reservation : IContentInlinePlugin
    {

        public string RegionString
        {
            get { return @"^(Reservation\()(\s*[0-9]{1,}\s*)(\))$"; }
        }

        public System.Collections.Generic.List<System.Web.UI.Control> ConvertControls(params string[] param)
        {
            GetItemDetailBizProcess rparam = new GetItemDetailBizProcess();
            rparam.ID = param[0].Trim();

            GetItemDetailBizLogic logic = new GetItemDetailBizLogic();
            GetItemDetailBizResult result = (GetItemDetailBizResult)logic.Execute(rparam);

            System.Collections.Generic.List<System.Web.UI.Control> controls = new System.Collections.Generic.List<System.Web.UI.Control>();
            controls.Add(new System.Web.UI.LiteralControl("<a href=\"Reservation.aspx?Rid=" + param[0].Trim() + "&PageId=" + System.Web.HttpContext.Current.Request.QueryString["PageId"] + "\">" + result.Name + "</a>"));
            return controls;
        }
    }
}
