﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.GroupInfo
{

    public class GetGroupInfoDalFetch : DalSelectFetch
    {

        public GetGroupInfoDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            SelectCommand = "select groupname from groupinfo where id = " + ((GetGroupInfoDalProcess)param).GroupId + ";";
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            GetGroupInfoDalResult result = new GetGroupInfoDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                result.GroupName = row[0].ToString();

                break;
            }

            return result;
        }
    }
}
