﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.GroupInfo
{

    public class ListGroupInfoDalFetch : DalSelectFetch
    {

        public ListGroupInfoDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            SelectCommand = "select id , groupname from groupinfo " +
                "where status = '" + DataStatus.Normal.ToString() + "' order by id;";
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            ListGroupInfoDalResult result = new ListGroupInfoDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                ListGroupInfoDalResultElement param = new ListGroupInfoDalResultElement();
                param.GroupID = Convert.ToInt32(row[0].ToString());
                param.GroupName = row[1].ToString();

                result.Add(param);
            }

            return result;
        }
    }
}
