﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.Message
{

    public class InsertMessageDalFetch : DalUdiFetch
    {

        public InsertMessageDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into message(senddate, messagecontents, username, email, corname , groupname, phone, zipcode, address)" +
                    "values(#" +
                    ((InsertMessageDalProcess)param).SendDate + "#,'" +
                    ((InsertMessageDalProcess)param).MessageContents + "','" +
                    ((InsertMessageDalProcess)param).UserName + "','" +
                    ((InsertMessageDalProcess)param).Email + "','" +
                    ((InsertMessageDalProcess)param).CorName + "','" +
                    ((InsertMessageDalProcess)param).GroupName + "','" +
                    ((InsertMessageDalProcess)param).Phone + "','" +
                    ((InsertMessageDalProcess)param).ZipCode + "','" +
                    ((InsertMessageDalProcess)param).Address + "'" +
                    ");";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into message(senddate, messagecontents, username, email, corname , groupname, phone, zipcode, address)" +
                    "values('" +
                    ((InsertMessageDalProcess)param).SendDate + "','" +
                    ((InsertMessageDalProcess)param).MessageContents + "','" +
                    ((InsertMessageDalProcess)param).UserName + "','" +
                    ((InsertMessageDalProcess)param).Email + "','" +
                    ((InsertMessageDalProcess)param).CorName + "','" +
                    ((InsertMessageDalProcess)param).GroupName + "','" +
                    ((InsertMessageDalProcess)param).Phone + "','" +
                    ((InsertMessageDalProcess)param).ZipCode + "','" +
                    ((InsertMessageDalProcess)param).Address + "'" +
                    ");";
            }
        }
    }
}
