﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.NewsLetter.News
{

    public class InsertNewsDalFetch : DalUdiFetch
    {

        public InsertNewsDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into newsletter ( newstagid,newstitle, newscontent,status, reg_datetime) values (" +
                    ((InsertNewsDalProcess)param).NewsTag + "," +
                    "'" + ((InsertNewsDalProcess)param).NewsTitle + "'," +
                    "'" + ((InsertNewsDalProcess)param).NewsContent + "'," +
                    "'" + DataStatus.Normal.ToString() + "'," +
                    "#" + ((InsertNewsDalProcess)param).RegDatetime + "#);";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into newsletter ( newstagid,newstitle, newscontent,status, reg_datetime) values (" +
                    ((InsertNewsDalProcess)param).NewsTag + "," +
                    "'" + ((InsertNewsDalProcess)param).NewsTitle + "'," +
                    "'" + ((InsertNewsDalProcess)param).NewsContent + "'," +
                    "'" + DataStatus.Normal.ToString() + "'," +
                    "'" + ((InsertNewsDalProcess)param).RegDatetime + "');";
            }

        }
    }
}
