﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.NewsLetter.NewsTags
{

    public class ListTagsDalFetch : DalSelectFetch
    {

        public ListTagsDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            SelectCommand = "select id, tagname from newstags " +
                " where " + //culture = '" + ((ListTagsDalProcess)param).Culture + "' and " +
                " status = '" + DataStatus.Normal.ToString() + "'" + 
                " order by id;";
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            ListTagsDalResult result = new ListTagsDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                ListTagsDalResultElement param = new ListTagsDalResultElement();
                param.TagID = row[0].ToString();
                param.TagName = row[1].ToString();

                result.Add(param);
            }

            return result;
        }
    }
}
