﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.Page
{

    public class GetTopPageDalScalar : DalScalarFetch
    {

        public GetTopPageDalScalar()
        {

        }

        public override void SetScalarCommand(FetchProcessParam param)
        {
            string updateItemQuery = "select id from pageinfo " +
                " where pageorder = 1 and toppageid = 0 and culture = '" + ((GetTopPageDalScalarProcess)param).Culture + "';";

            ScalarCommand = updateItemQuery;
        }

    }
}
