﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.QuestionnaireManager.Question
{

    public class ListQuestionDalFetch : DalSelectFetch
    {

        public ListQuestionDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select id ,questionnaireid ,q_content, q_type, q_order, q_inputrow from question" +
                " where questionnaireid = " + ((ListQuestionDalProcess)param).QuestionnaireID +
                " order by q_order asc;";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            ListQuestionDalResult result = new ListQuestionDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                ListQuestionDalResultElement param = new ListQuestionDalResultElement();
                param.ID = row[0].ToString();
                param.QuestionnaireID = row[1].ToString();
                param.Contents = row[2].ToString();
                param.QuestionType = row[3].ToString();
                param.QuestionOrder = row[4].ToString();
                param.TextInputRows = row[5].ToString();

                result.Add(param);
            }

            return result;
        }
    }
}
