﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.QuestionnaireManager.QuestionItem
{

    public class ListQuestionItemDalFetch : DalSelectFetch
    {

        public ListQuestionItemDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select id, i_content, i_order " +
                "from questionitem where questionid = " + ((ListQuestionItemDalProcess)param).QuestionID +
                " order by i_order asc;";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            ListQuestionItemDalResult result = new ListQuestionItemDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                ListQuestionItemDalResultElement param = new ListQuestionItemDalResultElement();
                param.ID = row[0].ToString();
                param.ItemContents = row[1].ToString();
                param.ItemOrder = row[2].ToString();

                result.Add(param);
            }

            return result;
        }
    }
}
