﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.QuestionnaireManager.Questionnaire
{

    public class ListQuestionnaireDalFetch : DalSelectFetch
    {

        public ListQuestionnaireDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select id , q_title, q_status from questionnaire ";

            if (param != null)
            {
                query += "where q_status = '" + ((ListQuestionnaireDalProcess)param).QuestionnaireStatus + "';";
            }

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            ListQuestionnaireDalResult result = new ListQuestionnaireDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                ListQuestionnaireDalResultElement param = new ListQuestionnaireDalResultElement();
                param.ID = row[0].ToString();
                param.Title = row[1].ToString();
                param.QuestionnaireStatus = row[2].ToString();

                result.Add(param);
            }

            return result;
        }
    }
}
