﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.QuestionnaireManager.Response
{

    public class InsertResponseDalFetch : DalUdiFetch
    {

        public InsertResponseDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into qresponse (questionitemid , questionid, questionnaireid, r_content, r_datetime, r_session) values (" +
                    ((InsertResponseDalProcess)param).QuestionItemID + "," +
                    ((InsertResponseDalProcess)param).QuestionID + "," +
                    ((InsertResponseDalProcess)param).QuestionnaireID + "," +
                    "'" + ((InsertResponseDalProcess)param).Content + "'," +
                    "#" + ((InsertResponseDalProcess)param).ResponseDatatime + "#," +
                    "'" + ((InsertResponseDalProcess)param).ResponseSession + "');";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into qresponse (questionitemid , questionid, questionnaireid, r_content, r_datetime, r_session) values (" +
                    ((InsertResponseDalProcess)param).QuestionItemID + "," +
                    ((InsertResponseDalProcess)param).QuestionID + "," +
                    ((InsertResponseDalProcess)param).QuestionnaireID + "," +
                    "'" + ((InsertResponseDalProcess)param).Content + "'," +
                    "'" + ((InsertResponseDalProcess)param).ResponseDatatime + "'," +
                    "'" + ((InsertResponseDalProcess)param).ResponseSession + "');";
            }
        }
    }
}
