﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.QuestionnaireManager.Response
{

    public class ResponseCounterDalFetch : DalScalarFetch
    {

        public ResponseCounterDalFetch()
        {

        }

        public override void SetScalarCommand(FetchProcessParam param)
        {
            string updateItemQuery = "select count(*) from qresponse " +
                " where questionitemid = " + ((ResponseCounterDalProcess)param).QuestionItemID +
                " and questionnaireid = " + ((ResponseCounterDalProcess)param).QuestionnaireID + ";";

            ScalarCommand = updateItemQuery;
        }

    }
}
