﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.ReservationData
{

    public class AdminUpdateDalFetch : DalUdiFetch
    {

        public AdminUpdateDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "update reservationdata set " +
                    " begindatetime = #" + ((AdminUpdateDalProcess)param).ReservationBegin + "#," +
                    " enddatetime = #" + ((AdminUpdateDalProcess)param).ReservationEnd + "#," +
                    " reservationtime = #" + ((AdminUpdateDalProcess)param).ReservateDatetime + "#," +
                    " status = '" + ((AdminUpdateDalProcess)param).Status + "'" +
                    " where reservationnumber = '" + ((AdminUpdateDalProcess)param).ReservationNumber + "';";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "update reservationdata set " +
                        " begindatetime = '" + ((AdminUpdateDalProcess)param).ReservationBegin + "'," +
                        " enddatetime = '" + ((AdminUpdateDalProcess)param).ReservationEnd + "'," +
                        " reservationtime = '" + ((AdminUpdateDalProcess)param).ReservateDatetime + "'," +
                        " status = '" + ((AdminUpdateDalProcess)param).Status + "'" +
                        " where reservationnumber = '" + ((AdminUpdateDalProcess)param).ReservationNumber + "';";
            }
        }
    }
}
