﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.ReservationData
{

    public class CheckReservatedDalFetch : DalScalarFetch
    {

        public CheckReservatedDalFetch()
        {

        }

        public override void SetScalarCommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                ScalarCommand = "select count(*) from reservationdata " +
                    " where begindatetime = #" + ((CheckReservatedDalProcess)param).ReservatedDateTime + "#;";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                ScalarCommand = "select count(*) from reservationdata " +
                    " where begindatetime = '" + ((CheckReservatedDalProcess)param).ReservatedDateTime + "';";
            }
        }

    }
}
