﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.ReservationData
{

    public class GetReservationDalFetch : DalSelectFetch
    {

        public GetReservationDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select id, itemid, begindatetime, enddatetime, reservationtime, username, userphone, usermail, reservationitem.iname, status" +
                "from reservationdata ( inner join reservationitem on reservationitem.id = reservationdata.itemid ) where " +
                "reservationnumber = '" + ((GetReservationDalProcess)param).ReservationNumber + "' and " +
                "rpassword = '" + ((GetReservationDalProcess)param).Passwrod + "'";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            GetReservationDalResult result = new GetReservationDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                result.ID = row[0].ToString();
                result.ItemID = row[1].ToString();
                result.ReservationBegin = Convert.ToDateTime(row[2].ToString());
                result.ReservationEnd = Convert.ToDateTime(row[3].ToString());
                result.ReservateDatetime = Convert.ToDateTime(row[4].ToString());
                result.UserName = row[5].ToString();
                result.UserPhone = row[6].ToString();
                result.UserMail = row[7].ToString();
                result.ItemName = row[8].ToString();
                result.Status = row[9].ToString();

                break;
            }

            return result;
        }
    }
}
