﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.ReservationData
{

    public class InsertReservationDalFetch : DalUdiFetch
    {

        public InsertReservationDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into reservationdata (itemid,begindatetime, enddatetime, reservationtime, username, notifymaillist, rpassword, userphone, usermail, reservationnumber, status) values (" +
                    ((InsertReservationDalProcess)param).ItemID + "," +
                    " #" + ((InsertReservationDalProcess)param).ReservationBegin + "#," +
                    " #" + ((InsertReservationDalProcess)param).ReservationEnd + "#," +
                    " #" + ((InsertReservationDalProcess)param).ReservateDatetime + "#," +
                    " '" + ((InsertReservationDalProcess)param).UserName + "'," +
                    " '" + ((InsertReservationDalProcess)param).NotifyMailList + "'," +
                    " '" + ((InsertReservationDalProcess)param).Passwrod + "'," +
                    " '" + ((InsertReservationDalProcess)param).UserPhone + "'," +
                    " '" + ((InsertReservationDalProcess)param).UserMail + "'," +
                    " '" + ((InsertReservationDalProcess)param).ReservationNumber + "'," +
                    " '" + DataStatus.Normal.ToString() + "');";
            }
            else
            {
                UDICommand = "insert into reservationdata (itemid,begindatetime, enddatetime, reservationtime, username, notifymaillist, rpassword, userphone, usermail, reservationnumber, status) values (" +
                    ((InsertReservationDalProcess)param).ItemID + "," +
                    " '" + ((InsertReservationDalProcess)param).ReservationBegin + "'," +
                    " '" + ((InsertReservationDalProcess)param).ReservationEnd + "'," +
                    " '" + ((InsertReservationDalProcess)param).ReservateDatetime + "'," +
                    " '" + ((InsertReservationDalProcess)param).UserName + "'," +
                    " '" + ((InsertReservationDalProcess)param).NotifyMailList + "'," +
                    " '" + ((InsertReservationDalProcess)param).Passwrod + "'," +
                    " '" + ((InsertReservationDalProcess)param).UserPhone + "'," +
                    " '" + ((InsertReservationDalProcess)param).UserMail + "'," +
                    " '" + ((InsertReservationDalProcess)param).ReservationNumber + "'," +
                    " '" + DataStatus.Normal.ToString() + "');";
            }

        }
    }
}
