﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.ReservationData
{

    public class UpdateReservationDalFetch : DalUdiFetch
    {

        public UpdateReservationDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "update reservationdata set " +
                    " begindatetime = #" + ((UpdateReservationDalProcess)param).ReservationBegin + "#," +
                    " enddatetime = #" + ((UpdateReservationDalProcess)param).ReservationEnd + "#," +
                    " reservationtime = #" + ((UpdateReservationDalProcess)param).ReservateDatetime + "#," +
                    " notifymaillist = '" + ((UpdateReservationDalProcess)param).NotifyMailList + "'," +
                    " status = '" + ((UpdateReservationDalProcess)param).Status + "'" +
                     " where rpassword = '" + ((UpdateReservationDalProcess)param).Passwrod + "' and " +
                     " reservationnumber = '" + ((UpdateReservationDalProcess)param).ReservationNumber + "';";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "update reservationdata set " +
                            " begindatetime = '" + ((UpdateReservationDalProcess)param).ReservationBegin + "'," +
                            " enddatetime = '" + ((UpdateReservationDalProcess)param).ReservationEnd + "'," +
                            " reservationtime = '" + ((UpdateReservationDalProcess)param).ReservateDatetime + "'," +
                            " notifymaillist = '" + ((UpdateReservationDalProcess)param).NotifyMailList + "'," +
                            " status = '" + ((UpdateReservationDalProcess)param).Status + "'" +
                             " where rpassword = '" + ((UpdateReservationDalProcess)param).Passwrod + "' and " +
                             " reservationnumber = '" + ((UpdateReservationDalProcess)param).ReservationNumber + "';";
            }
        }
    }
}
