﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.Sales
{

    public class GetOneOrderMasterDalFetch : DalSelectFetch
    {

        public GetOneOrderMasterDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select userid, monetaryamount, arrivaltime, remarks, purchasedate, zipcode, address, status" +
                " from sales where id = '" + ((GetOneOrderMasterDalProcess)param).SalesID + "';";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            GetOneOrderMasterDalResult result = new GetOneOrderMasterDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                result.UserID = row[0].ToString();
                result.MonetaryAmount = row[1].ToString();
                result.ArrivalTime = row[2].ToString();
                result.Remarks = row[3].ToString();
                result.PurchaseDate = Convert.ToDateTime(row[4].ToString());
                result.Zipcode = row[5].ToString();
                result.Address = row[6].ToString();
                result.Status = row[7].ToString();

                break;
            }

            return result;
        }
    }
}
