﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.Schedule
{

    public class DeleteScheduleDalFetch : DalUdiFetch
    {

        public DeleteScheduleDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "update schedule set status = '" + DataStatus.Cancel.ToString() + "'," +
                    " lastupdatetime = #" + System.DateTime.Now + "#" +
                    " where id = " + ((DeleteScheduleDalProcess)param).ID + ";";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "update schedule set status = '" + DataStatus.Cancel.ToString() + "'," +
                    " lastupdatetime = '" + System.DateTime.Now + "'" +
                    " where id = " + ((DeleteScheduleDalProcess)param).ID + ";";
            }
        }
    }
}
