﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.Schedule
{

    public class GetCurrentRegistedDalFetch : DalScalarFetch
    {

        public GetCurrentRegistedDalFetch()
        {

        }

        public override void SetScalarCommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                ScalarCommand = "select id from schedule " +
                    " where authorid = '" + ((GetCurrentRegistedDalProcess)param).UserName + "'" +
                    " and registedtime = #" + ((GetCurrentRegistedDalProcess)param).RegistedTime + "#;";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                ScalarCommand = "select id from schedule " +
                    " where authorid = '" + ((GetCurrentRegistedDalProcess)param).UserName + "'" +
                    " and registedtime = '" + ((GetCurrentRegistedDalProcess)param).RegistedTime + "';";
            }
        }
    }
}
