﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.Schedule
{

    public class InsertScheduleDalFetch : DalUdiFetch
    {

        public InsertScheduleDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into schedule (authorid, starttime, endtime, groupid, registedtime, stitle, sdescription, repeattime,status, stype) values (" +
                    "'" + ((InsertScheduleDalProcess)param).AuthorID + "'," +
                    "#" + ((InsertScheduleDalProcess)param).StartTime + "#," +
                    "#" + ((InsertScheduleDalProcess)param).EndTime + "#," +
                    ((InsertScheduleDalProcess)param).GroupId.ToString() + "," +
                    "#" + ((InsertScheduleDalProcess)param).RegistedTime + "#," +
                    "'" + ((InsertScheduleDalProcess)param).Title + "'," +
                    "'" + ((InsertScheduleDalProcess)param).Description + "'," +
                    "'" + ((InsertScheduleDalProcess)param).RepeatString + "'," +
                    "'" + DataStatus.Normal.ToString() + "'," +
                    ((InsertScheduleDalProcess)param).Type + ");";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into schedule (authorid, starttime, endtime, groupid, registedtime, stitle, sdescription, repeattime,status, stype) values (" +
                    "'" + ((InsertScheduleDalProcess)param).AuthorID + "'," +
                    "'" + ((InsertScheduleDalProcess)param).StartTime + "'," +
                    "'" + ((InsertScheduleDalProcess)param).EndTime + "'," +
                    ((InsertScheduleDalProcess)param).GroupId.ToString() + "," +
                    "'" + ((InsertScheduleDalProcess)param).RegistedTime + "'," +
                    "'" + ((InsertScheduleDalProcess)param).Title + "'," +
                    "'" + ((InsertScheduleDalProcess)param).Description + "'," +
                    "'" + ((InsertScheduleDalProcess)param).RepeatString + "'," +
                    "'" + DataStatus.Normal.ToString() + "'," +
                    ((InsertScheduleDalProcess)param).Type + ");";
            }
        }
    }
}
