﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.UserInfo
{

    public class InsertUserDalFetch : DalUdiFetch
    {

        public InsertUserDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into userinfo " +
                    "([username], [password], [friendlyname], [regesterdate], [lastchangepassword], [usergroup])" +
                    "values(" +
                    "'" + ((InsertUserDalProcess)param).UserName + "'," +
                    "'" + ((InsertUserDalProcess)param).Password + "'," +
                    "'" + ((InsertUserDalProcess)param).FriendlyName + "'," +
                    "#" + System.DateTime.Now.ToString() + "#," +
                    "#" + System.DateTime.Now.ToString() + "#," +
                    ((InsertUserDalProcess)param).UserGroup + ");";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into userinfo " +
                                "([username], [password], [friendlyname], [regesterdate], [lastchangepassword], [usergroup])" +
                                "values(" +
                                "'" + ((InsertUserDalProcess)param).UserName + "'," +
                                "'" + ((InsertUserDalProcess)param).Password + "'," +
                                "'" + ((InsertUserDalProcess)param).FriendlyName + "'," +
                                "'" + System.DateTime.Now.ToString() + "'," +
                                "'" + System.DateTime.Now.ToString() + "'," +
                                ((InsertUserDalProcess)param).UserGroup + ");";
            }
        }
    }
}
