﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.UserInfo
{

    public class RechangePasswordDalFetch : DalUdiFetch
    {

        public RechangePasswordDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "update userinfo set " +
                    "[password] = '" + ((RechangePasswordDalProcess)param).Password + "'," +
                    "[lastchangepassword] = #" + System.DateTime.Now.ToString() + "#" +
                    " where [username] = '" + ((RechangePasswordDalProcess)param).UserName + "';";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "update userinfo set " +
                    "[password] = '" + ((RechangePasswordDalProcess)param).Password + "'," +
                    "[lastchangepassword] = '" + System.DateTime.Now.ToString() + "'" +
                    " where [username] = '" + ((RechangePasswordDalProcess)param).UserName + "';";
            }
        }
    }
}
