﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.UserShoppingInfo
{

    public class AllMemberMailDalFetch : DalSelectFetch
    {

        public AllMemberMailDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            SelectCommand = "select userid,  pcmail from usershoppinginfo ";

        } 

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            AllMemberMailDalResult result = new AllMemberMailDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                AllMemberMailDalResultElement param = new AllMemberMailDalResultElement();
                param.UserID = row[0].ToString();
                param.PcMailAddress = row[1].ToString();

                result.Add(param);
            }

            return result;
        }
    }
}
