﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.UserShoppingInfo
{

    public class InsertUserDetailsDalFetch : DalUdiFetch
    {

        public InsertUserDetailsDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into usershoppinginfo ( " +
                    "userid ,uaddress, homephone, mobile, simei, furigana, zipcode, mobilemail," +
                    " ubirthday, usex, logintype, ufax, secretquestion, secretanswer, companyname,pcmail, officialposition" +
                    ") values(" +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).UserID + "'," +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Address + "'," +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).HomePhone + "'," +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Mobile + "'," +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Simei + "'," +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Furikana + "'," +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).ZipCode + "', " +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).MobileMail + "', " +
                    " #" + ((UpdateInsertUserDetailsDalProcess)param).Birthday + "#, " +
                    ((UpdateInsertUserDetailsDalProcess)param).Sex + ", " +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).LoginType + "', " +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Fax + "', " +
                    ((UpdateInsertUserDetailsDalProcess)param).SecretQuestion + ", " +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).SecretAnswer + "', " +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).CompanyName + "', " +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).PcMail + "', " +
                    " '" + ((UpdateInsertUserDetailsDalProcess)param).OfficialPosition + "');";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into usershoppinginfo ( " +
                                    "userid ,uaddress, homephone, mobile, simei, furigana, zipcode, mobilemail," +
                                    " ubirthday, usex, logintype, ufax, secretquestion, secretanswer, companyname,pcmail, officialposition" +
                                    ") values(" +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).UserID + "'," +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Address + "'," +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).HomePhone + "'," +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Mobile + "'," +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Simei + "'," +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Furikana + "'," +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).ZipCode + "', " +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).MobileMail + "', " +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Birthday + "', " +
                                    ((UpdateInsertUserDetailsDalProcess)param).Sex + ", " +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).LoginType + "', " +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).Fax + "', " +
                                    ((UpdateInsertUserDetailsDalProcess)param).SecretQuestion + ", " +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).SecretAnswer + "', " +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).CompanyName + "', " +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).PcMail + "', " +
                                    " '" + ((UpdateInsertUserDetailsDalProcess)param).OfficialPosition + "');";
            }
        }
    }
}
