﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.BBS;

namespace CAUtility.Logic.BBS
{

    
    public class DeleteForumBizLogic : BizLogic
    {

        public DeleteForumBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteForumDalProcess udiParam = new DeleteForumDalProcess();
            udiParam.ID = ((DeleteForumBizProcess)param).ID;

            DeleteForumDalFetch fetch = new DeleteForumDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
