﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;
using ZXR.Security;

using CAUtility.Dal.BBS;

namespace CAUtility.Logic.BBS
{

    public class SingleForunInfoBizLogic : BizLogic
    {

        public SingleForunInfoBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            SingleForunInfoBizResult result = new SingleForunInfoBizResult();

            SingleForunInfoDalProcess getParam = new SingleForunInfoDalProcess();
            getParam.ID = ((SingleForunInfoBizProcess)param).ID;

            DalSelectFetch fetch = new SingleForunInfoDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            SingleForunInfoDalResult fetchResult = (SingleForunInfoDalResult)fetch.SelectExecuteLogic(getParam);

            result.ForumName = fetchResult.ForumName;

            return result;
        }
    }
}
