﻿
using System;
using System.Collections.Generic;

using ZXR.Core;
using ZXR.Security;
using ZXR.IO;

using ZXR.BusinessLogic;

namespace CAUtility.Logic.BackupFileManager
{

    
    public class AttachFileBackupBizLogic : BizLogic
    {

        public AttachFileBackupBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            string path = ((AttachFileBackupBizProcess)param).FileSavePath;

            ZipLib.FolderCompression(path, System.AppDomain.CurrentDomain.BaseDirectory + "/Attach");
            
            return new BizResult() { Result = true };
        }
    }
}
