﻿
using System;
using System.Collections.Generic;

using ZXR.Core;
using ZXR.Security;
using ZXR.IO;

using ZXR.BusinessLogic;

namespace CAUtility.Logic.BackupFileManager
{

    
    public class ConfigFileBackupBizLogic : BizLogic
    {

        public ConfigFileBackupBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            List<string> files = new List<string>();
            string configPath = System.IO.Path.Combine(
                        System.AppDomain.CurrentDomain.BaseDirectory,
                        "App_Data"
                    );

            files.Add(System.IO.Path.Combine(configPath, "SiteSetting.config"));

            string path = ((ConfigFileBackupBizProcess)param).FileSavePath;
            ZipLib.Compression(path, files);

            return new BizResult() { Result = true };
        }
    }
}
