﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;
using ZXR.Security;
using CAUtility.Dal.Common;

namespace CAUtility.Logic.Common
{

    public class ListSupportCultureBizLogic : BizLogic
    {

        public ListSupportCultureBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ListSupportCultureBizResult result = new ListSupportCultureBizResult();

            DalSelectFetch fetch = new ListSupportCultureDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            ListSupportCultureDalResult fetchResult = (ListSupportCultureDalResult)fetch.SelectExecuteLogic(null);

            foreach (ListSupportCultureDalResultElement ele in fetchResult)
            {
                ListSupportCultureBizResultElement element = new ListSupportCultureBizResultElement();
                element.Culture = ele.Culture;

                result.DataList.Add(element);
            }

            result.Result = true;

            return result;
        }
    }
}
