﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.GroupInfo;

namespace CAUtility.Logic.GroupInfo
{

    
    public class DeleteGroupBizLogic : BizLogic
    {

        public DeleteGroupBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteGroupDalProcess udiParam = new DeleteGroupDalProcess();
            udiParam.GroupId = ((DeleteGroupBizProcess)param).GroupId ;

            DeleteGroupDalFetch fetch = new DeleteGroupDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
