﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.GroupInfo;

namespace CAUtility.Logic.GroupInfo
{

    
    public class InsertGroupBizLogic : BizLogic
    {

        public InsertGroupBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertGroupDalProcess udiParam = new InsertGroupDalProcess();
            udiParam.GroupName = ((InsertGroupBizProcess)param).GroupName ;

            InsertGroupDalFetch fetch = new InsertGroupDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
