﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using ZXR.DataAccess;

using CAUtility.Dal.Message;

namespace CAUtility.Logic.Message
{

    
    public class DisplayMessageBizLogic : BizLogic
    {

        public DisplayMessageBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DisplayMessageBizResult result = new DisplayMessageBizResult();

            DalSelectFetch fetch = new DisplayMessageDalFetch();
            DisplayMessageDalResult fetchResult = (DisplayMessageDalResult)fetch.SelectExecuteLogic(null);

            foreach (DisplayMessageDalResultElement ele in fetchResult)
            {
                DisplayMessageBizResultElement element = new DisplayMessageBizResultElement();
                element.ID = ele.ID;
                element.Email = ele.Email;
                element.MessageContents = ele.MessageContents;
                element.SendDate = ele.SendDate;
                element.UserName = ele.UserName;
                element.CorName = ele.CorName;
                element.GroupName = ele.GroupName;
                element.Phone = ele.Phone;
                element.ZipCode = ele.ZipCode;
                element.Address = ele.Address;

                result.DataList.Add(element);
            }

            return result;
        }
    }
}
