﻿
using ZXR.BusinessLogic;

using CAUtility.Dal.NewsLetter.News;

namespace CAUtility.Logic.NewsLetter.News
{

    public class GetNewsCountBizLogic : BizLogic
    {

        public GetNewsCountBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            GetNewsCountDalProcess udiParam = new GetNewsCountDalProcess();
            udiParam.TagID = ((GetNewsCountBizProcess)param).TagID;

            GetNewsCountDalFetch fetch = new GetNewsCountDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            BizResult result = new BizResult();
            result.Result = true;
            result.ResultData = fetch.ScalarExecuteLogic(udiParam);

            return result;
        }
    }
}
