﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.NewsLetter.News;

namespace CAUtility.Logic.NewsLetter.News
{

    
    public class UpdateNewsBizLogic : BizLogic
    {

        public UpdateNewsBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateNewsDalProcess udiParam = new UpdateNewsDalProcess();
            udiParam.NewsContent = ((UpdateNewsBizProcess)param).NewsContent;
            udiParam.NewsID = ((UpdateNewsBizProcess)param).NewsID;
            udiParam.NewsTagId = ((UpdateNewsBizProcess)param).NewsTagId;
            udiParam.NewsTitle = ((UpdateNewsBizProcess)param).NewsTitle;

            UpdateNewsDalFetch fetch = new UpdateNewsDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
