﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.NewsLetter.NewsTags;

namespace CAUtility.Logic.NewsLetter.NewsTags
{

    
    public class DelTagBizLogic : BizLogic
    {

        public DelTagBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DelTagDalProcess udiParam = new DelTagDalProcess();
            udiParam.TagID = ((DelTagBizProcess)param).TagID;

            DelTagDalFetch fetch = new DelTagDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
