﻿
using ZXR.BusinessLogic;

using CAUtility.Dal.NewsLetter.NewsTags;

namespace CAUtility.Logic.NewsLetter.NewsTags
{

    public class GetCurrentInsertedBizLogic : BizLogic
    {

        public GetCurrentInsertedBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            GetCurrentInsertedDalFetch fetch = new GetCurrentInsertedDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            BizResult result = new BizResult();
            result.Result = true;
            result.ResultData = fetch.ScalarExecuteLogic(null);

            return result;
        }
    }
}
