﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.NewsLetter.NewsTags;

namespace CAUtility.Logic.NewsLetter.NewsTags
{

    
    public class InsertTagBizLogic : BizLogic
    {

        public InsertTagBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertTagDalProcess udiParam = new InsertTagDalProcess();
            udiParam.TagName = ((InsertTagBizProcess)param).TagName;

            InsertTagDalFetch fetch = new InsertTagDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
