﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;

using CAUtility.Dal.NewsLetter.NewsTags;

namespace CAUtility.Logic.NewsLetter.NewsTags
{

    public class ListTagsBizLogic : BizLogic
    {

        public ListTagsBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ListTagsBizResult result = new ListTagsBizResult();

            ListTagsDalProcess fetchParam = new ListTagsDalProcess();
            
            DalSelectFetch fetch = new ListTagsDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            ListTagsDalResult fetchResult = (ListTagsDalResult)fetch.SelectExecuteLogic(fetchParam);

            foreach (ListTagsDalResultElement ele in fetchResult)
            {
                ListTagsBizResultElement element = new ListTagsBizResultElement();
                element.TagID = ele.TagID;
                element.TagName = ele.TagName;

                result.DataList.Add(element);
            }

            return result;
        }
    }
}
