﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Page;

namespace CAUtility.Logic.Page
{

    
    public class ChangePageStatusBizLogic : BizLogic
    {

        public ChangePageStatusBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ChangePageStatusDalProcess udiParam = new ChangePageStatusDalProcess();
            udiParam.PageID = ((ChangePageStatusBizProcess)param).PageID;
            udiParam.Status = ((ChangePageStatusBizProcess)param).Status;

            ChangePageStatusDalFetch fetch = new ChangePageStatusDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
