﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Page;

namespace CAUtility.Logic.Page
{

    
    public class DeleteLinkImageBizLogic : BizLogic
    {

        public DeleteLinkImageBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteLinkImageDalProcess udiParam = new DeleteLinkImageDalProcess();
            udiParam.PageID = ((DeleteLinkImageBizProcess)param).PageID;

            DeleteLinkImageDalFetch fetch = new DeleteLinkImageDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
