﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.PostThread;
using ZXR.Core;

namespace CAUtility.Logic.PostThread
{

    public class DeletePostThreadBizLogic : BizLogic
    {

        public DeletePostThreadBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            if (ClientInfoContext.Current.UserPrincipal.UserGroup != CaSettings.AdminPageUserGroup)
                return new BizResult() { Result = false };

            DeletePostThreadDalProcess udiParam = new DeletePostThreadDalProcess();
            udiParam.ID = ((DeletePostThreadBizProcess)param).ID;

            DeletePostThreadDalFetch fetch = new DeletePostThreadDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
