﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using ZXR.Web.Util;

using CAUtility.Dal.PostThread;

namespace CAUtility.Logic.PostThread
{

    public class UpdatePostThreadBizLogic : BizLogic
    {

        public UpdatePostThreadBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdatePostThreadDalProcess udiParam = new UpdatePostThreadDalProcess();
            udiParam.ID = ((UpdatePostThreadBizProcess)param).ID;
            udiParam.PostContent = HtmlSanitize.Sanitize(((UpdatePostThreadBizProcess)param).PostContent);
            udiParam.PostTitle = HtmlSanitize.Sanitize(((UpdatePostThreadBizProcess)param).PostTitle);

            UpdatePostThreadDalFetch fetch = new UpdatePostThreadDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
