﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ProductKinds;

namespace CAUtility.Logic.ProductKinds
{

    
    public class UpdateProductKindsBizLogic : BizLogic
    {

        public UpdateProductKindsBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateProductKindsDalProcess udiParam = new UpdateProductKindsDalProcess();
            udiParam.ID = ((UpdateProductKindsBizProcess)param).ID;
            udiParam.KindName = ((UpdateProductKindsBizProcess)param).KindName;
            udiParam.Details = ((UpdateProductKindsBizProcess)param).Details;
            udiParam.KindOrder = ((UpdateProductKindsBizProcess)param).KindOrder;
            udiParam.MetaKeyword = ((UpdateProductKindsBizProcess)param).MetaKeyword;
            udiParam.LinkImage = ((UpdateProductKindsBizProcess)param).LinkImage;

            UpdateProductKindsDalFetch fetch = new UpdateProductKindsDalFetch();
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
