﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Products;

namespace CAUtility.Logic.Products
{

    public class UpdateClickCountBizLogic : BizLogic
    {

        public UpdateClickCountBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateClickCountDalProcess udiParam = new UpdateClickCountDalProcess();
            udiParam.ID = ((UpdateClickCountBizProcess)param).ID;

            UpdateClickCountDalFetch fetch = new UpdateClickCountDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
