﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Products;

namespace CAUtility.Logic.Products
{

    public class UpdateStockCountBizLogic : BizLogic
    {

        public UpdateStockCountBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateStockCountDalProcess udiParam = new UpdateStockCountDalProcess();
            udiParam.ID = ((UpdateStockCountBizProcess)param).ID;
            udiParam.StockDecrease = ((UpdateStockCountBizProcess)param).StockDecrease;

            UpdateStockCountDalFetch fetch = new UpdateStockCountDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
