﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.QuestionnaireManager.Question;

namespace CAUtility.Logic.QuestionnaireManager.Question
{

    
    public class DeleteItemsBizLogic : BizLogic
    {

        public DeleteItemsBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteItemsDalProcess udiParam = new DeleteItemsDalProcess();
            udiParam.QuestionID = ((DeleteItemsBizProcess)param).QuestionID;

            DeleteItemsDalFetch fetch = new DeleteItemsDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
