﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.QuestionnaireManager.Question;

namespace CAUtility.Logic.QuestionnaireManager.Question
{

    
    public class DeleteQuestionBizLogic : BizLogic
    {

        public DeleteQuestionBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteQuestionDalProcess udiParam = new DeleteQuestionDalProcess();
            udiParam.ID = ((DeleteQuestionBizProcess)param).ID;

            DeleteQuestionDalFetch fetch = new DeleteQuestionDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
