﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.QuestionnaireManager.Question;

namespace CAUtility.Logic.QuestionnaireManager.Question
{

    
    public class UpdateQuestionBizLogic : BizLogic
    {

        public UpdateQuestionBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateQuestionDalProcess udiParam = new UpdateQuestionDalProcess();
            udiParam.ID = ((UpdateQuestionBizProcess)param).ID;
            udiParam.Order = ((UpdateQuestionBizProcess)param).Order;
            udiParam.QuestionType = ((UpdateQuestionBizProcess)param).QuestionType;
            if (!string.IsNullOrEmpty(((UpdateQuestionBizProcess)param).TextInputRows))
                udiParam.TextInputRows = ((UpdateQuestionBizProcess)param).TextInputRows;
            else
                udiParam.TextInputRows = "1";

            UpdateQuestionDalFetch fetch = new UpdateQuestionDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
