﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.QuestionnaireManager.QuestionItem;

namespace CAUtility.Logic.QuestionnaireManager.QuestionItem
{

    
    public class InsertQuestionItemBizLogic : BizLogic
    {

        public InsertQuestionItemBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertQuestionItemDalProcess udiParam = new InsertQuestionItemDalProcess();
            udiParam.ItemContents = ((InsertQuestionItemBizProcess)param).ItemContents;
            udiParam.ItemOrder = ((InsertQuestionItemBizProcess)param).ItemOrder ;
            udiParam.QuestionID = ((InsertQuestionItemBizProcess)param).QuestionID ;

            InsertQuestionItemDalFetch fetch = new InsertQuestionItemDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
