﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.QuestionnaireManager.QuestionItem;

namespace CAUtility.Logic.QuestionnaireManager.QuestionItem
{

    
    public class UpdateItemBizLogic : BizLogic
    {

        public UpdateItemBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateItemDalProcess udiParam = new UpdateItemDalProcess();
            udiParam.ID = ((UpdateItemBizProcess)param).ID;
            udiParam.ItemOrder = ((UpdateItemBizProcess)param).ItemOrder;

            UpdateItemDalFetch fetch = new UpdateItemDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
