﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.QuestionnaireManager.Questionnaire;

namespace CAUtility.Logic.QuestionnaireManager.Questionnaire
{

    
    public class DeleteQuestionnaireBizLogic : BizLogic
    {

        public DeleteQuestionnaireBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteQuestionnaireDalProcess udiParam = new DeleteQuestionnaireDalProcess();
            udiParam.ID = ((DeleteQuestionnaireBizProcess)param).ID;

            DeleteQuestionnaireDalFetch fetch = new DeleteQuestionnaireDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
