﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.QuestionnaireManager.Questionnaire;

namespace CAUtility.Logic.QuestionnaireManager.Questionnaire
{

    public class GetQuestionnaireNameBizLogic : BizLogic
    {

        public GetQuestionnaireNameBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            GetQuestionnaireNameDalProcess udiParam = new GetQuestionnaireNameDalProcess();
            udiParam.ID = ((GetQuestionnaireNameBizProcess)param).ID;

            GetQuestionnaireNameDalFetch fetch = new GetQuestionnaireNameDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }

            BizResult result = new BizResult();
            result.Result = true;
            result.ResultData = fetch.ScalarExecuteLogic(udiParam);

            return result;
        }
    }
}
