﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.QuestionnaireManager.Questionnaire;

namespace CAUtility.Logic.QuestionnaireManager.Questionnaire
{

    
    public class InsertQuestionnaireBizLogic : BizLogic
    {

        public InsertQuestionnaireBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertQuestionnaireDalProcess udiParam = new InsertQuestionnaireDalProcess();
            udiParam.QuestionnaireTitle = ((InsertQuestionnaireBizProcess)param).QuestionnaireTitle;

            InsertQuestionnaireDalFetch fetch = new InsertQuestionnaireDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
