﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.QuestionnaireManager.Response;

namespace CAUtility.Logic.QuestionnaireManager.Response
{

    
    public class DeleteSessionResponseBizLogic : BizLogic
    {

        public DeleteSessionResponseBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteSessionResponseDalProcess udiParam = new DeleteSessionResponseDalProcess();
            udiParam.SessionID = ((DeleteSessionResponseBizProcess)param).SessionID;

            DeleteSessionResponseDalFetch fetch = new DeleteSessionResponseDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
