﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ReservationData;

namespace CAUtility.Logic.ReservationData
{

    
    public class AdminUpdateBizLogic : BizLogic
    {

        public AdminUpdateBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            AdminUpdateDalProcess udiParam = new AdminUpdateDalProcess();
            udiParam.ReservationBegin = ((AdminUpdateBizProcess)param).ReservationBegin;
            udiParam.ReservationEnd = ((AdminUpdateBizProcess)param).ReservationEnd;
            udiParam.ReservationNumber = ((AdminUpdateBizProcess)param).ReservationNumber;
            udiParam.ReservateDatetime = ((AdminUpdateBizProcess)param).ReservateDatetime;
            udiParam.Status = ((AdminUpdateBizProcess)param).Status;

            AdminUpdateDalFetch fetch = new AdminUpdateDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
