﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ReservationData;

namespace CAUtility.Logic.ReservationData
{

    
    public class AdminUpdateStatusBizLogic : BizLogic
    {

        public AdminUpdateStatusBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            AdminUpdateStatusDalProcess udiParam = new AdminUpdateStatusDalProcess();
            udiParam.ID = ((AdminUpdateStatusBizProcess)param).ID;
            udiParam.Status = ((AdminUpdateStatusBizProcess)param).Status;

            AdminUpdateStatusDalFetch fetch = new AdminUpdateStatusDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
