﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ReservationData;

namespace CAUtility.Logic.ReservationData
{

    public class CheckReservatedBizLogic : BizLogic
    {

        public CheckReservatedBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            CheckReservatedDalProcess udiParam = new CheckReservatedDalProcess();
            udiParam.ReservatedDateTime = ((CheckReservatedBizProcess)param).ReservatedDateTime;

            CheckReservatedDalFetch fetch = new CheckReservatedDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            BizResult result = new BizResult();
            result.Result = true;
            result.ResultData = fetch.ScalarExecuteLogic(udiParam);

            return result;
        }
    }
}
