﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ReservationData;

namespace CAUtility.Logic.ReservationData
{

    
    public class DeleteReservationBizLogic : BizLogic
    {

        public DeleteReservationBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteReservationDalProcess udiParam = new DeleteReservationDalProcess();
            udiParam.ID = ((DeleteReservationBizProcess)param).ID;
            udiParam.ReservationNumber = ((DeleteReservationBizProcess)param).ReservationNumber;

            DeleteReservationDalFetch fetch = new DeleteReservationDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
