﻿
using System;
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ReservationData;

namespace CAUtility.Logic.ReservationData
{

    public class ReservationConfirmationBizLogic : BizLogic
    {

        public ReservationConfirmationBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ReservationConfirmationDalProcess udiParam = new ReservationConfirmationDalProcess();
            udiParam.ReservationNumber = ((ReservationConfirmationBizProcess)param).ReservationNumber;

            ReservationConfirmationDalFetch fetch = new ReservationConfirmationDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            int count = Convert.ToInt32( fetch.ScalarExecuteLogic(udiParam));

            BizResult result = new BizResult();

            if (count > 0)
                result.Result = false;
            else
                result.Result = true;

            result.ResultData = count;

            return result;
        }
    }
}
