﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ReservationData;

namespace CAUtility.Logic.ReservationData
{

    public class UpdateReservationBizLogic : BizLogic
    {

        public UpdateReservationBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateReservationDalProcess udiParam = new UpdateReservationDalProcess();
            udiParam.NotifyMailList = ((UpdateReservationBizProcess)param).NotifyMailList;
            udiParam.Passwrod = ((UpdateReservationBizProcess)param).Passwrod;
            udiParam.ReservateDatetime = ((UpdateReservationBizProcess)param).ReservateDatetime;
            udiParam.ReservationBegin = ((UpdateReservationBizProcess)param).ReservationBegin;
            udiParam.ReservationEnd = ((UpdateReservationBizProcess)param).ReservationEnd;
            udiParam.ReservationNumber = ((UpdateReservationBizProcess)param).ReservationNumber;
            udiParam.Status = ((UpdateReservationBizProcess)param).Status;

            UpdateReservationDalFetch fetch = new UpdateReservationDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
