﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ReservationItem;

namespace CAUtility.Logic.ReservationItem
{

    public class UpdateItemBizLogic : BizLogic
    {

        public UpdateItemBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateItemDalProcess udiParam = new UpdateItemDalProcess();
            udiParam.ID = ((UpdateItemBizProcess)param).ID;
            udiParam.CanMailNotify = ((UpdateItemBizProcess)param).CanMailNotify;
            udiParam.CanRepetition = ((UpdateItemBizProcess)param).CanRepetition;
            udiParam.ImagePath = ((UpdateItemBizProcess)param).ImagePath;
            udiParam.IntervalTime = ((UpdateItemBizProcess)param).IntervalTime;
            udiParam.ItemDetail = ((UpdateItemBizProcess)param).ItemDetail;
            udiParam.Name = ((UpdateItemBizProcess)param).Name;
            udiParam.Order = ((UpdateItemBizProcess)param).Order;
            udiParam.Permission = ((UpdateItemBizProcess)param).Permission;
            udiParam.ReservationBeginTime = ((UpdateItemBizProcess)param).ReservationBeginTime;
            udiParam.ReservationEndTime = ((UpdateItemBizProcess)param).ReservationEndTime;
            udiParam.SimultaneousNumber = ((UpdateItemBizProcess)param).SimultaneousNumber;
            udiParam.Unit = ((UpdateItemBizProcess)param).Unit;
            udiParam.HolidayList = ((UpdateItemBizProcess)param).HolidayList;
            udiParam.DisplayDateCount = ((UpdateItemBizProcess)param).DisplayDateCount;
            udiParam.DatetimeLength = ((UpdateItemBizProcess)param).DatetimeLength;

            UpdateItemDalFetch fetch = new UpdateItemDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
