﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.Sales;

namespace CAUtility.Logic.Sales
{

    
    public class ProcessOrderBizLogic : BizLogic
    {

        public ProcessOrderBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ProcessOrderDalProcess udiParam = new ProcessOrderDalProcess();
            udiParam.SalesID = ((ProcessOrderBizProcess)param).SalesID;
            udiParam.Status = ((ProcessOrderBizProcess)param).Status;

            ProcessOrderDalFetch fetch = new ProcessOrderDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
