﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Schedule;

namespace CAUtility.Logic.Schedule
{

    
    public class GetCurrentRegistedBizLogic : BizLogic
    {

        public GetCurrentRegistedBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            GetCurrentRegistedDalProcess udiParam = new GetCurrentRegistedDalProcess();
            udiParam.RegistedTime = ((GetCurrentRegistedBizProcess)param).RegistedTime;
            udiParam.UserName = ((GetCurrentRegistedBizProcess)param).UserName;

            GetCurrentRegistedDalFetch fetch = new GetCurrentRegistedDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            BizResult result = new BizResult();
            result.Result = true;
            result.ResultData = fetch.ScalarExecuteLogic(udiParam);

            return result;
        }
    }
}
