﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.Schedule;

namespace CAUtility.Logic.Schedule
{

    
    public class RevivalScheduleBizLogic : BizLogic
    {

        public RevivalScheduleBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            RevivalScheduleDalProcess udiParam = new RevivalScheduleDalProcess();
            udiParam.ID = ((RevivalScheduleBizProcess)param).ID;

            RevivalScheduleDalFetch fetch = new RevivalScheduleDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
