﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Schedule;

namespace CAUtility.Logic.Schedule
{

    
    public class UpdateScheduleBizLogic : BizLogic
    {

        public UpdateScheduleBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateScheduleDalProcess udiParam = new UpdateScheduleDalProcess();
            udiParam.ID = ((UpdateScheduleBizProcess)param).ID;
            udiParam.StartTime = ((UpdateScheduleBizProcess)param).StartTime;
            udiParam.EndTime = ((UpdateScheduleBizProcess)param).EndTime;
            udiParam.Title = ((UpdateScheduleBizProcess)param).Title;
            udiParam.Description = ((UpdateScheduleBizProcess)param).Description;
            udiParam.Type = ((UpdateScheduleBizProcess)param).Type;
            udiParam.RepeatString = ((UpdateScheduleBizProcess)param).RepeatString;

            UpdateScheduleDalFetch fetch = new UpdateScheduleDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
