﻿
using ZXR.Core;
using ZXR.Security;
using ZXR.BusinessLogic;

namespace CAUtility.Logic.Settings
{

    
    public class EmailSettingBizLogic : BizLogic
    {

        public EmailSettingBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            SettingManager setting = new SettingManager();
            setting.SetSettingValue("MailSmtpServerName", ((EmailSettingBizProcess)param).MailSmtpServerName);
            setting.SetSettingValue("MailSmtpServerPort", ((EmailSettingBizProcess)param).MailSmtpServerPort);
            setting.SetSettingValue("MailSmtpUsername", ((EmailSettingBizProcess)param).MailSmtpUsername);

            if (!string.IsNullOrEmpty(((EmailSettingBizProcess)param).MailSmtpPs))
                setting.SetCryptoSettingValue("MailSmtpPs", ((EmailSettingBizProcess)param).MailSmtpPs);

            setting.SetSettingValue("MessageNotfytargetList", ((EmailSettingBizProcess)param).MessageNotfytargetList);
            setting.Save();

            return new BizResult() { Result = true };
        }
    }
}
