﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.UserInfo;

namespace CAUtility.Logic.UserInfo
{

    
    public class DeleteUserBizLogic : BizLogic
    {

        public DeleteUserBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteUserDalProcess udiParam = new DeleteUserDalProcess();
            udiParam.UserName = ((DeleteUserBizProcess)param).UserName;

            DeleteUserDalFetch fetch = new DeleteUserDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
