﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.UserInfo;

namespace CAUtility.Logic.UserInfo
{

    
    public class UpdateUserInfoBizLogic : BizLogic
    {

        public UpdateUserInfoBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateUserInfoDalProcess udiParam = new UpdateUserInfoDalProcess();
            udiParam.UserName = ((UpdateUserInfoBizProcess)param).UserName;
            udiParam.Password = ((UpdateUserInfoBizProcess)param).Password;
            udiParam.UserGroup = ((UpdateUserInfoBizProcess)param).UserGroup;
            udiParam.FriendlyName = ((UpdateUserInfoBizProcess)param).FriendlyName;

            UpdateUserInfoDalFetch fetch = new UpdateUserInfoDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
