﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.UserInfo;

namespace CAUtility.Logic.UserInfo
{

    public class UserExistCheckBizLogic : BizLogic
    {

        public UserExistCheckBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UserExistCheckDalProcess udiParam = new UserExistCheckDalProcess();
            udiParam.UserName = ((UserExistCheckBizProcess)param).UserID;

            UserExistCheckDalFetch fetch = new UserExistCheckDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            object isExistResult = fetch.ScalarExecuteLogic(udiParam);

            if (isExistResult != null)
            {

                return new BizResult() { Result = true };
            }
            else
            {
                return new BizResult() { Result = false };
            }

        }
    }
}
