﻿
using System;
using System.Web;

using ZXR.Core;
using ZXR.Web.Pages;

namespace CAUtility.Pages
{

    public abstract class NormalMemberPage : ZxrPageBase
    {
        protected override void OnPreLoad(EventArgs e)
        {

            if (ClientInfoContext.Current == null
                || ClientInfoContext.Current.UserPrincipal == null
                || ClientInfoContext.Current.UserPrincipal.IsLogined == false)
            {
                throw new ZxrException("[NormalMemberPage]"){ ErrorType = ErrorType.AccessDenied };
            }

            base.OnPreLoad(e);
        }
    }
}
