﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SilverlightFramework.Services;
using CaManager.ServiceReference;

namespace CaManager
{
    public class ServiceContext : ServiceClientUtil
    {
        private static ServiceContext current_ = new ServiceContext();

        public static ServiceContext Current
        {
            get { return current_; }
        }

        public WebServiceSoapClient GetClient()
        {
            WebServiceSoapClient client = base.GetServiceClient<WebServiceSoapClient, WebServiceSoap>("../Services/WebService.asmx?wsdl");

            return client;
        }
    }
}
