﻿namespace CaManager
{
    using System.Windows.Controls;
    using System.Windows.Navigation;
    using System.Reflection;

    public partial class About : Page
    {

        public About()
        {
            InitializeComponent();

            this.Title = Assets.Resources.MainPage.ID002;
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void Page_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            Assembly assembly = Assembly.GetExecutingAssembly();

            string version = assembly.FullName.Split(',')[1];
            string fullversion = version.Split('=')[1];
            this.ContentText.Text = string.Format(CaManager.Assets.Resources.View.About.ID001, fullversion);
        }
    }
}