﻿using System;

using CAUtility.Logic.Sales;
using CAUtility.Pages;

namespace WebApplication.Admin.Shopping
{
    public partial class OrderListManager : SecurityPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            ListOrdersBizProcess param = new ListOrdersBizProcess();
            param.Status = this.DropDownListStatus.SelectedValue;
            param.SalesId = this.TextBoxOrderNumber.Text;
            param.UserID = this.TextBoxUserId.Text;

            ListOrdersBizLogic logic = new ListOrdersBizLogic();
            ListOrdersBizResult result = (ListOrdersBizResult)logic.Execute(param);

            this.ZxrGridView1.DataSource = result.DataList;
            this.ZxrGridView1.DataBind();

            
        }

        protected void ButtonSearch_Click(object sender, EventArgs e)
        {
        }

    }
}
