﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Common/AdminHead.Master"
    AutoEventWireup="true" CodeBehind="UserSettings.aspx.cs" Inherits="WebApplication.Admin.UserManager.UserSettings" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="server">
    <table style="width: 100%;">
        <tr>
            <td>
                <table style="width: 80%;" align="left">
                    <tr>
                        <td>
                            <zxr:Label ID="LabelPassworkExpire" runat="server" Text="パスワード有効期間" />
                            ：
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:TextBox ID="TextBoxPasswordExpire" runat="server" IMEMode="Disabled" 
                                Width="53px">0</zxr:TextBox>
                            <zxr:RangeFigureValidator ID="RangeFigureValidator1" runat="server" ControlToValidate="TextBoxPasswordExpire"
                                MaximumValue="9999" MinimumValue="0" Type="Integer">
                            </zxr:RangeFigureValidator>
                            <br />
                            <zxr:Label ID="LabelPasswordDes" runat="server" Text="「0」の場合は無制限（日単位）" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelNewRegist" runat="server" Text="新しく登録するユーザーが所属するグループ" />
                            ：
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:DropDownList ID="DropDownListGroupInfoNewRegist" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelAdminPage" runat="server" Text="管理ページアクセスできるグループ" />
                            ：
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:DropDownList ID="DropDownListGroupInfoAdminPage" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelInternal" runat="server" Text="内部ページアクセスできるグループ" />
                            ：
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:CheckBoxList ID="CheckBoxListInternalUserGroup" runat="server" RepeatColumns="5"
                                RepeatDirection="Horizontal" DataTextField="GroupName" DataValueField="GroupID">
                            </asp:CheckBoxList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelVerifyImage" runat="server" Text="画像認証を利用するか" />
                            ：<br />
                            <zxr:RadioButton ID="RadioButtonYes" runat="server" Checked="True" 
                                GroupName="VerifyImage" Text="Yes" />
                            <zxr:RadioButton ID="RadioButtonNo" runat="server" GroupName="VerifyImage" 
                                Text="No" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelNickName" runat="server" Text="利用禁止のニックネーム" />
                            ：<br />
                            <zxr:TextBox ID="TextBoxNickName" runat="server" Width="445px" />
                            <br />
                            <zxr:Label ID="LabelNickNameDes" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <zxr:Button ID="ButtonUpdate" runat="server" OnClick="ButtonUpdate_Click" Text="更新" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>
