﻿<%@ Page Title="" Language="C#" MasterPageFile="ContentsMasterPage.master" AutoEventWireup="true"
    ValidateRequest="false" CodeBehind="~/Logic/PushlishThread.aspx.cs" Inherits="WebApplication.Contents.PushlishThread" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderCommonMasterPage"
    runat="server">
    <div id="contents_top">
        &nbsp;
    </div>
    <div id="contents_bg">
        <table style="width: 80%;" align="center">
            <tr>
                <td>
                    <zxr:Label ID="LabelUserName" runat="server" Text="ニックネーム" />
                    &nbsp;
                    <zxr:TextBox ID="TextBoxUserName" runat="server" />
                    <zxr:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextBoxUserName">
                    </zxr:RequiredFieldValidator>
                    <zxr:RangeStringValidator ID="RangeStringValidator3" runat="server" ControlToValidate="TextBoxUserName"
                        MaximumValue="20" MinimumValue="2">
                    </zxr:RangeStringValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelTitle" runat="server" Text="タイトル" />
                    &nbsp;
                    <zxr:TextBox ID="TextBoxTitle" runat="server" Width="418px" />
                    <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxTitle">
                    </zxr:RequiredFieldValidator>
                    <zxr:RangeStringValidator ID="RangeStringValidator1" runat="server" ControlToValidate="TextBoxTitle"
                        MaximumValue="255" MinimumValue="4"></zxr:RangeStringValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelContent" runat="server" Text="内容" />
                    <br />
                    <zxr:TextBox ID="TextBoxContent" runat="server" Height="202px" TextMode="MultiLine"
                        Width="474px" />
                    <br />
                    <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxContent">
                    </zxr:RequiredFieldValidator>
                    <zxr:RangeStringValidator ID="RangeStringValidator2" runat="server" ControlToValidate="TextBoxContent"
                        MaximumValue="30000" MinimumValue="10"></zxr:RangeStringValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:VerifyCodeTextBox ID="VerifyCodeTextBox1" runat="server" 
                        />
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Button ID="ButtonInsert" runat="server" OnClick="ButtonInsert_Click" Text="投稿する" />
                    <zxr:Button ID="ButtonUpdate" runat="server" Text="編集する" OnClick="ButtonUpdate_Click" />
                    <zxr:Button ID="ButtonCancel" runat="server" onclick="ButtonCancel_Click" 
                        Text="Cancel" ValidationGroup="Cancel" />
                </td>
            </tr>
        </table>
    </div>
    <div id="contents_bottom">
        &nbsp;
    </div>
</asp:Content>
