﻿<%@ Page Title="" Language="C#" MasterPageFile="ContentsMasterPage.master" AutoEventWireup="true"
    CodeBehind="~/Logic/CustomInfo.aspx.cs" Inherits="WebApplication.Contents.CustomInfo" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderCommonMasterPage"
    runat="server">
    <div id="contents_top">
        &nbsp;
    </div>
    <div id="contents_bg">
        <table align="center">
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelAddress" runat="server" Text="届き先" />
                </td>
                <td>
                    <zxr:RadioButton ID="RadioButtonRegistYes" runat="server" Checked="True" GroupName="Address"
                        Text="登録した住所" />
                    <zxr:RadioButton ID="RadioButtonRegistNo" runat="server" GroupName="Address" Text="住所入力" />
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelYubin" runat="server">
                                 郵便番号</zxr:Label>
                    ：
                </td>
                <td>
                    <zxr:Label ID="LabelUseridExp5" runat="server" Text="&lt;半角数字・ハイフン無し&gt;" ForeColor="Blue" />
                    <br />
                    <zxr:TextBox ID="TextBoxYubin" runat="server" />
                    <br />
                    <zxr:ZipcodeJapanValidator ID="ZipcodeJapanValidator1" runat="server" ControlToValidate="TextBoxYubin">
                    </zxr:ZipcodeJapanValidator>
                    <br />
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelTodofu" runat="server">都道府県</zxr:Label>
                    :
                </td>
                <td>
                    &nbsp;<zxr:DropDownList ID="DropDownListTodofu" runat="server">
                        <asp:ListItem Value="北海道">北海道</asp:ListItem>
                        <asp:ListItem Value="青森県">青森県</asp:ListItem>
                        <asp:ListItem Value="岩手県">岩手県</asp:ListItem>
                        <asp:ListItem Value="宮城県">宮城県</asp:ListItem>
                        <asp:ListItem Value="秋田県">秋田県</asp:ListItem>
                        <asp:ListItem Value="山形県">山形県</asp:ListItem>
                        <asp:ListItem Value="福島県">福島県</asp:ListItem>
                        <asp:ListItem Value="茨城県">茨城県</asp:ListItem>
                        <asp:ListItem Value="栃木県">栃木県</asp:ListItem>
                        <asp:ListItem Value="群馬県">群馬県</asp:ListItem>
                        <asp:ListItem Value="埼玉県">埼玉県</asp:ListItem>
                        <asp:ListItem Value="千葉県">千葉県</asp:ListItem>
                        <asp:ListItem Value="東京都">東京都</asp:ListItem>
                        <asp:ListItem Value="神奈川県">神奈川県</asp:ListItem>
                        <asp:ListItem Value="新潟県">新潟県</asp:ListItem>
                        <asp:ListItem Value="富山県">富山県</asp:ListItem>
                        <asp:ListItem Value="石川県">石川県</asp:ListItem>
                        <asp:ListItem Value="福井県">福井県</asp:ListItem>
                        <asp:ListItem Value="山梨県">山梨県</asp:ListItem>
                        <asp:ListItem Value="長野県">長野県</asp:ListItem>
                        <asp:ListItem Value="岐阜県">岐阜県</asp:ListItem>
                        <asp:ListItem Value="静岡県">静岡県</asp:ListItem>
                        <asp:ListItem Value="愛知県">愛知県</asp:ListItem>
                        <asp:ListItem Value="三重県">三重県</asp:ListItem>
                        <asp:ListItem Value="滋賀県">滋賀県</asp:ListItem>
                        <asp:ListItem Value="京都府">京都府</asp:ListItem>
                        <asp:ListItem Value="大阪府">大阪府</asp:ListItem>
                        <asp:ListItem Value="兵庫県">兵庫県</asp:ListItem>
                        <asp:ListItem Value="奈良県">奈良県</asp:ListItem>
                        <asp:ListItem Value="和歌山県">和歌山県</asp:ListItem>
                        <asp:ListItem Value="鳥取県">鳥取県</asp:ListItem>
                        <asp:ListItem Value="島根県">島根県</asp:ListItem>
                        <asp:ListItem Value="岡山県">岡山県</asp:ListItem>
                        <asp:ListItem Value="広島県">広島県</asp:ListItem>
                        <asp:ListItem Value="山口県">山口県</asp:ListItem>
                        <asp:ListItem Value="徳島県">徳島県</asp:ListItem>
                        <asp:ListItem Value="香川県">香川県</asp:ListItem>
                        <asp:ListItem Value="愛媛県">愛媛県</asp:ListItem>
                        <asp:ListItem Value="高知県">高知県</asp:ListItem>
                        <asp:ListItem Value="福岡県">福岡県</asp:ListItem>
                        <asp:ListItem Value="佐賀県">佐賀県</asp:ListItem>
                        <asp:ListItem Value="長崎県">長崎県</asp:ListItem>
                        <asp:ListItem Value="熊本県">熊本県</asp:ListItem>
                        <asp:ListItem Value="大分県">大分県</asp:ListItem>
                        <asp:ListItem Value="宮崎県">宮崎県</asp:ListItem>
                        <asp:ListItem Value="鹿児島県">鹿児島県</asp:ListItem>
                        <asp:ListItem Value="沖縄県">沖縄県</asp:ListItem>
                        <asp:ListItem Value="国外">国外</asp:ListItem>
                    </zxr:DropDownList>
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelKunsiku" runat="server">郡市区（島）</zxr:Label>
                    ：
                </td>
                <td>
                    <zxr:TextBox ID="TextBoxKunsiku" runat="server" ValidateMode="NoLimited"></zxr:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelJyusyo" runat="server">
                                 それ以降の住所</zxr:Label>
                    ：
                </td>
                <td>
                    <zxr:TextBox ID="TextBoxJyusyo" runat="server" ValidatorState="True"></zxr:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <zxr:Label ID="LabelArrivalDate" runat="server" Text="到着希望時間帯" />
                    ：
                </td>
                <td>
                    <zxr:DropDownList ID="DropDownListArrivalTime" runat="server">
                        <asp:ListItem>午前中（8時～12時）</asp:ListItem>
                        <asp:ListItem>12時～14時</asp:ListItem>
                        <asp:ListItem>14時～16時</asp:ListItem>
                        <asp:ListItem>16時～18時</asp:ListItem>
                        <asp:ListItem>18時～20時</asp:ListItem>
                        <asp:ListItem>19時～21時</asp:ListItem>
                    </zxr:DropDownList>
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    <asp:Label ID="LabelCommon" runat="server" Text="備考"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    <zxr:TextBox ID="CustomTextBoxComment" runat="server" Height="95px" TextMode="MultiLine"
                        Width="272px" IsRequiredField="False"></zxr:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td style="text-align: right">
                    <zxr:Button ID="ButtonSubmit" runat="server" OnClick="CustomButtonSubmit_Click" Text="次へ" />
                </td>
            </tr>
        </table>
    </div>
    <div id="contents_bottom">
        &nbsp;
    </div>
</asp:Content>
