﻿using System;

using ZXR.Core;
using CAUtility.Pages;
using CAUtility;

namespace WebApplication.Internal
{
    public partial class Default : NormalPage
    {

        private const string TransitionDefinition_Postback = "~/Internal/InternalPage.aspx";

        protected void Page_Load(object sender, EventArgs e)
        {

            if (ClientInfoContext.Current.UserPrincipal.IsLogined)
            {
                Response.Redirect(TransitionDefinition_Postback);
            }
            else
            {
                throw new ZxrException("[Internal.Default.aspx]"){ ErrorType = ErrorType.AccessDenied };
            }
        }

    }
}
