<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Common/AdminHead.Master"
    AutoEventWireup="true" CodeBehind="ImageGalleryItem.aspx.cs" Inherits="WebApplication.Admin.ImageGallery.ImageGalleryItem" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="ZXR" %>
<%@ Register assembly="WebFramework" namespace="ZXR.Web.Validator" tagprefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <style type="text/css">
        .style2
        {
            height: 33px;
        }
        .style3
        {
            height: 33px;
            width: 214px;
        }
    </style>

    <script type="text/javascript" src="../../ckfinder/ckfinder.js"></script>
    <script type="text/javascript">

        function BrowseServer(startupPath, functionData) {
            // You can use the "CKFinder" class to render CKFinder in a page:
            var finder = new CKFinder();

            // The path for the installation of CKFinder (default = "/ckfinder/").
            finder.BasePath = '../../ckfinder/';

            //Startup path in a form: "Type:/path/to/directory/"
            finder.StartupPath = startupPath;

            // Name of a function which is called when a file is selected in CKFinder.
            finder.SelectFunction = SetFileField;

            // Additional data to be passed to the SelectFunction in a second argument.
            // We'll use this feature to pass the Id of a field that will be updated.
            finder.SelectFunctionData = functionData;

            // Name of a function which is called when a thumbnail is selected in CKFinder.
            finder.SelectThumbnailFunction = ShowThumbnails;

            // Launch CKFinder
            finder.Popup();
        }

        // This is a sample function which is called when a file is selected in CKFinder.
        function SetFileField(fileUrl, data) {
            document.getElementById(data["selectFunctionData"]).value = fileUrl;
        }

        // This is a sample function which is called when a thumbnail is selected in CKFinder.
        function ShowThumbnails(fileUrl, data) {
            var sFileName = decodeURIComponent(fileUrl.replace(/^.*[\/\\]/g, ''));
            document.getElementById('thumbnails').innerHTML +=
			'<div class="thumb">' +
				'<img src="' + fileUrl + '" />' +
				'<div class="caption">' +
					'<a href="' + data["fileUrl"] + '" target="_blank">' + sFileName + '</a> (' + data["fileSize"] + 'KB)' +
				'</div>' +
			'</div>';

            document.getElementById('preview').style.display = "";
            // It is not required to return any value.
            // When false is returned, CKFinder will not close automatically.
            return false;
        }
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="server">
    <br />
    <table style="width: 100%;">
        <tr>
            <td colspan="2">
                <zxr:Label ID="DisplayLabel3" runat="server"></zxr:Label>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td class="style3">
                <input id="xImagePath" name="xImagePath" type="text" size="40" />
            </td>
            <td class="style2">
                <input type="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
                <zxr:ValidatorButton ID="CustomButtonAppendItem" runat="server" OnClick="CustomButtonAppendItem_Click"
                    Text="Add Image" />
            </td>
        </tr>
    </table>
    <br />
    <br />
    <zxr:MenuTable ID="MenuTable1" runat="server">
    </zxr:MenuTable>
    <br />
</asp:Content>
