﻿<%@ Page Language="C#" MasterPageFile="ContentsMasterPage.master" AutoEventWireup="true" 
CodeBehind="~/Logic/EditProfile.aspx.cs" Inherits="WebApplication.Contents.EditProfile" %>

<%@ Register assembly="WebFramework" namespace="ZXR.Web.Controls" tagprefix="zxr" %>
<%@ Register assembly="WebFramework" namespace="ZXR.Web.Validator" tagprefix="zxr" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderCommonMasterPage"
    runat="Server">
     <div id="contents_top">
        &nbsp;
    </div>
    <div id="contents_bg">
    <table align="center" style="width: 786px">
        <tr>
            <td>
                <table cellpadding="0" cellspacing="0" border="0" align="center" style="width: 95%">
                    <tr>
                        <td>
                            <br />
                    <table class="UserInfoTable">
                        <tr>
                            <td colspan="2">
                                <zxr:ImageView ID="ImageView" runat="server" ImageUrl="~/App_Themes/Default/Images/Mark.png"
                                    Height="10px" Width="10px" />
                                <zxr:Label ID="Label14" runat="server" Font-Size="Medium" Text="メールアドレス" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelEmail" runat="server">メールアドレス</zxr:Label>
                                &nbsp;:<br />
                                <zxr:Label ID="Label2" runat="server" ForeColor="Blue" Text="必須" />
                                &nbsp;
                            </td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxPcEmail" runat="server" IMEMode="Disabled" 
                                    MaxLength="50"></zxr:TextBox>
                                <br />
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="TextBoxPcEmail"></zxr:RequiredFieldValidator>
                                <br />
                                <zxr:EmailValidator ID="EmailValidator1" runat="server" ControlToValidate="TextBoxPcEmail"></zxr:EmailValidator>
                            </td>
                        </tr>
                        </table>
                            <br />
                            <br />
                    <table cellpadding="0" cellspacing="0" border="0" class="UserInfoTable">
                        <tr>
                            <td colspan="2">
                                <zxr:ImageView ID="ImageView1" runat="server" ImageUrl="~/App_Themes/Default/Images/Mark.png"
                                    Height="10px" Width="10px" />
                                <zxr:Label ID="Label16" runat="server" Font-Size="Medium" Text="本人連絡先" />
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelRegisterName" runat="server">
                                 登録住所</zxr:Label>
                                &nbsp;:&nbsp;
                            </td>
                            <td style="text-align: left">
                                <zxr:RadioButton ID="RadioButtonRegisterNameJitaku" runat="server" Checked="True"
                                    GroupName="RegisterName" Text="自宅" />
                                <zxr:RadioButton ID="RadioButtonRegisterNameKinnmu" runat="server" GroupName="RegisterName"
                                    Text="勤務先" />
                                <zxr:RadioButton ID="RadioButtonRegisterNameOther" runat="server" GroupName="RegisterName"
                                    Text="その他" />
                                <zxr:TextBox ID="TextBoxRegisterNameOther" runat="server" Width="100px" />
                                <zxr:RangeStringValidator ID="RangeStringValidator5" runat="server" ControlToValidate="TextBoxRegisterNameOther"
                                    MaximumValue="10" MinimumValue="1"></zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelYubin" runat="server">
                                 郵便番号</zxr:Label>
                                ：<br />
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp5" runat="server" Text="&lt;半角数字・ハイフン無し&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxYubin" runat="server" IMEMode="Disabled" />
                                <br />
                                <zxr:ZipcodeJapanValidator ID="ZipcodeJapanValidator1" runat="server" ControlToValidate="TextBoxYubin"></zxr:ZipcodeJapanValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelJyusyo" runat="server">
                                 住所</zxr:Label>
                                &nbsp;:<br />
                            </td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxJyusyo" runat="server" IMEMode="Active"></zxr:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelHomePhone" runat="server">
                                 電話番号</zxr:Label>
                                ：<br />
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp3" runat="server" Text="&lt;半角数字・ハイフン無し&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxHomePhone" runat="server" Width="129px" />
                                <br />
                                <zxr:PhoneNumberJapan ID="PhoneNumberJapan3" runat="server" ControlToValidate="TextBoxHomePhone"></zxr:PhoneNumberJapan>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelFax" runat="server">
                                FAX番号</zxr:Label>
                                ：
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp2" runat="server" Text="&lt;半角数字・ハイフン無し&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxFax" runat="server" />
                                <br />
                                <zxr:PhoneNumberJapan ID="PhoneNumberJapan1" runat="server" ControlToValidate="TextBoxFax"></zxr:PhoneNumberJapan>
                            </td>
                        </tr>
                         <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelMobilePhone" runat="server">
                                 携帯電話番号</zxr:Label>
                                ：<br />
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp1" runat="server" Text="&lt;半角数字・ハイフン無し&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxMobilePhone" runat="server" />
                                <br />
                                <zxr:PhoneNumberJapan ID="PhoneNumberJapan2" runat="server" ControlToValidate="TextBoxMobilePhone"></zxr:PhoneNumberJapan>
                            </td>
                        </tr>
                         <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelMobileEmail" runat="server">
                                携帯メールアドレス</zxr:Label>
                                ：
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp8" runat="server" Text="&lt;半角英数字&gt;&lt;br /&gt;携帯電話のメールアドレスを入力してください。"
                                    ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxMobileEmail" runat="server" IMEMode="Disabled" 
                                    MaxLength="50" />
                                <zxr:EmailValidator ID="EmailValidator2" runat="server" ControlToValidate="TextBoxMobileEmail"></zxr:EmailValidator>
                            </td>
                        </tr>
                    </table>
                            <br />
                    <table cellpadding="0" cellspacing="0" border="0" class="UserInfoTable">
                        <tr>
                            <td colspan="2">
                                <zxr:ImageView ID="ImageView2" runat="server" ImageUrl="~/App_Themes/Default/Images/Mark.png"
                                    Height="10px" Width="10px" />
                                <zxr:Label ID="Label17" runat="server" Font-Size="Medium" Text="その他の情報" />
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelSecretQuestion" runat="server">
                                 秘密の質問</zxr:Label>
                                &nbsp;:
                            </td>
                            <td style="text-align: left" class="style1">
                                <zxr:Label ID="LabelUseridExp0" runat="server" Text="&lt;パスワード再設定のときに使用します。&gt;&lt;br /&gt;&lt;あなたにしか分からない秘密の質問と答えを登録してください。&gt;"
                                    ForeColor="Blue" />
                                <br />
                                <zxr:DropDownList ID="DropDownListSecretQuestion" runat="server">
                                    <asp:ListItem Value="1">子どものころのあだ名は？</asp:ListItem>
                                    <asp:ListItem Value="2">初めて買った曲のタイトルは？</asp:ListItem>
                                    <asp:ListItem Value="3">初恋の人の名前は？</asp:ListItem>
                                    <asp:ListItem Value="4">子どものころの夢は？</asp:ListItem>
                                    <asp:ListItem Value="5">座右の銘は？</asp:ListItem>
                                    <asp:ListItem Value="6">初めて飼ったペットの名前は？</asp:ListItem>
                                    <asp:ListItem Value="7">祖父の下の名前は？</asp:ListItem>
                                    <asp:ListItem Value="8">生まれた病院は？</asp:ListItem>
                                    <asp:ListItem Value="9">初めて行った海外の国・地域は？</asp:ListItem>
                                    <asp:ListItem Value="10">小学1年生のときの担任の先生の名前は？</asp:ListItem>
                                    <asp:ListItem Value="11">リタイア後に住みたい場所は？</asp:ListItem>
                                    <asp:ListItem Value="12">初めて見た映画は？</asp:ListItem>
                                    <asp:ListItem Value="13">初めて買った車は？</asp:ListItem>
                                    <asp:ListItem Value="14">おふくろの味といえば？</asp:ListItem>
                                    <asp:ListItem Value="15">中学時代に所属していたクラブは？</asp:ListItem>
                                </zxr:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelSecretAnswer" runat="server">秘密の質問の答え</zxr:Label>
                                &nbsp;:
                            </td>
                            <td style="text-align: left" class="style1">
                                <zxr:TextBox ID="TextBoxSecretAnswer" runat="server"></zxr:TextBox>
                                <zxr:RangeStringValidator ID="RangeStringValidator3" runat="server" ControlToValidate="TextBoxSecretAnswer"
                                    MaximumValue="30" MinimumValue="0"></zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelCompany" runat="server">会社名・団体名</zxr:Label>
                                &nbsp;:
                            </td>
                            <td style="text-align: left" class="style1">
                                <zxr:TextBox ID="TextBoxCompany" runat="server"></zxr:TextBox>
                                &nbsp;<zxr:RangeStringValidator ID="RangeStringValidator2" runat="server" ControlToValidate="TextBoxCompany"
                                    MaximumValue="30" MinimumValue="0"></zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelOfficialPosition" runat="server">
                                 部署名・役職</zxr:Label>
                                &nbsp;:
                            </td>
                            <td style="text-align: left" class="style1">
                                <zxr:TextBox ID="TextBoxOfficialPosition" runat="server"></zxr:TextBox>
                                <zxr:RangeStringValidator ID="RangeStringValidator1" runat="server" ControlToValidate="TextBoxOfficialPosition"
                                    MaximumValue="30" MinimumValue="0"></zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                &nbsp;</td>
                            <td style="text-align: left" class="style1">
                                &nbsp;</td>
                        </tr>
                        <tr>
                            <td valign="top">
                                &nbsp;</td>
                            <td style="text-align: right" class="style1">
                                <zxr:Button ID="ButtonUpdate" runat="server" Text="保存" 
                                    OnClick="CustomButtonUpdate_Click" />
                            </td>
                        </tr>
                    </table>
                            <br />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
        </div>
    <div id="contents_bottom">
        &nbsp;
    </div>
</asp:Content>