<%@ Page Language="C#" MasterPageFile="../Common/AdminHead.master" AutoEventWireup="true"
    CodeBehind="ProductEdit.aspx.cs" Inherits="WebApplication.Admin.ProductInfo.ProductEdit"
    ValidateRequest="False" %>

<%@ MasterType VirtualPath="../Common/AdminHead.Master" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="ZXR" %>
<%@ Register src="../../WebParts/ZxrEditorBox.ascx" tagname="ZxrEditorBox" tagprefix="uc1" %>
<%@ Register assembly="WebFramework" namespace="ZXR.Web.Validator" tagprefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        #xImagePath
        {
            width: 126px;
        }
    </style>

    <script type="text/javascript" src="../../ckfinder/ckfinder.js"></script>

    <script type="text/javascript">

        function BrowseServer(startupPath, functionData) {
            // You can use the "CKFinder" class to render CKFinder in a page:
            var finder = new CKFinder();

            // The path for the installation of CKFinder (default = "/ckfinder/").
            finder.BasePath = '../../ckfinder/';

            //Startup path in a form: "Type:/path/to/directory/"
            finder.StartupPath = startupPath;

            // Name of a function which is called when a file is selected in CKFinder.
            finder.SelectFunction = SetFileField;

            // Additional data to be passed to the SelectFunction in a second argument.
            // We'll use this feature to pass the Id of a field that will be updated.
            finder.SelectFunctionData = functionData;

            // Name of a function which is called when a thumbnail is selected in CKFinder.
            finder.SelectThumbnailFunction = ShowThumbnails;

            // Launch CKFinder
            finder.Popup();
        }

        // This is a sample function which is called when a file is selected in CKFinder.
        function SetFileField(fileUrl, data) {
            document.getElementById(data["selectFunctionData"]).value = fileUrl;
        }

        // This is a sample function which is called when a thumbnail is selected in CKFinder.
        function ShowThumbnails(fileUrl, data) {
            var sFileName = decodeURIComponent(fileUrl.replace(/^.*[\/\\]/g, ''));
            document.getElementById('thumbnails').innerHTML +=
			'<div class="thumb">' +
				'<img src="' + fileUrl + '" />' +
				'<div class="caption">' +
					'<a href="' + data["fileUrl"] + '" target="_blank">' + sFileName + '</a> (' + data["fileSize"] + 'KB)' +
				'</div>' +
			'</div>';

            document.getElementById('preview').style.display = "";
            // It is not required to return any value.
            // When false is returned, CKFinder will not close automatically.
            return false;
        }
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="Server">
    <br />
    <table align="center" style="width: 100%" border="1" cellpadding="0"
        cellspacing="0">
        <tr>
            <td valign="top">
                <table style="width: 100%; border-collapse: collapse; border-spacing: 0px;" border="1">
                    <tr>
                        <td>
                            <asp:Label ID="LabelProductName" runat="server" Text="i"></asp:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxProductName" runat="server" Width="231px" 
                                Height="22px" IsRequired="True"></zxr:TextBox>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                                ControlToValidate="CustomTextBoxProductName">
                            </zxr:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="DisplayLabelProductId" runat="server">iԍ</zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxProductId" runat="server" IsRequiredField="False"></zxr:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="LabelKindName" runat="server" Text="ޖ"></asp:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:DropDownList ID="CustomDropDownListKind" runat="server">
                            </zxr:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="DisplayLabelOrder" runat="server">\</zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxOrder" runat="server" ValidateMode="Figure" 
                                IsRequired="True" IMEMode="Disabled" Width="41px">1</zxr:TextBox>
                            <zxr:RangeFigureValidator ID="FigureRangeValidator1" runat="server" 
                                ControlToValidate="CustomTextBoxOrder" MaximumValue="999" MinimumValue="1" 
                                Type="Integer">
                            </zxr:RangeFigureValidator>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                                ControlToValidate="CustomTextBoxOrder">
                            </zxr:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="LabelPrice" runat="server" Text="li"></asp:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxPrice" runat="server" ValidateMode="Currency" 
                                IMEMode="Disabled"></zxr:TextBox>
                            <zxr:FinanceValueValidator ID="FinanceValueValidator1" runat="server" 
                                ControlToValidate="CustomTextBoxPrice">
                            </zxr:FinanceValueValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <ZXR:Label ID="LabelStockCount" runat="server" Text="݌ɐ" />
                            F</td>
                        <td style="text-align: left">
                            <ZXR:TextBox ID="TextBoxStockCount" runat="server" IMEMode="Disabled" />
                            <zxr:FigureValidator ID="FigureValidator1" runat="server" 
                                ControlToValidate="TextBoxStockCount" EnableZero="True">
                            </zxr:FigureValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="LabelOutline" runat="server" Text="Tv"></asp:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxProductOutline" runat="server" Width="485px"></zxr:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="DisplayLabelKeyword" runat="server">SEOL[[h</zxr:Label>
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxKeyword" runat="server" Width="356px"></zxr:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" colspan="2">
                            <asp:Label ID="LabelDetails" runat="server" Text="ڍ"></asp:Label>
                            &nbsp;:
                            <uc1:ZxrEditorBox ID="ZxrEditorBox1" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="DisplayLabelSelectImage" runat="server"></zxr:Label>
                        </td>
                        <td style="text-align: left">
                            <input id="xImagePath" name="xImagePath" type="text" size="40" /><input type="button"
                                value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                        <td style="text-align: left">
                            <zxr:Label ID="DisplayLabelImageNotfiy" runat="server" ForeColor="#FF3300"></zxr:Label>
                            <br />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                        <td style="text-align: right">
                            <zxr:Button ID="CustomButtonUpdate" runat="server" OnClick="ButtonUpdate_Click" />
                        </td>
                    </tr>
                </table>
                <br />
                <table style="width: 100%;">
                    <tr>
                        <td class="style4" valign="top">
                            &nbsp;
                        </td>
                        <td style="text-align: left">
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td class="style4">
                            <asp:Label ID="LabelImageShow" runat="server" Text="ʐ^"></asp:Label>
                            &nbsp;:<br />
                        </td>
                        <td style="text-align: left">
                            <zxr:ImageView ID="ImageView1" runat="server" Width="200px" />
                            <zxr:Label ID="DisplayLabelImageExisting" runat="server"></zxr:Label>
                        </td>
                    </tr>
                </table>
                <br />
            </td>
        </tr>
    </table>
</asp:Content>
