<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Common/AdminHead.Master"
    AutoEventWireup="true" CodeBehind="QuestionManager.aspx.cs" Inherits="WebApplication.Admin.Questionnaire.QuestionManager" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register assembly="WebFramework" namespace="ZXR.Web.Validator" tagprefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="server">
    <table style="width: 600px;">
        <tr>
            <td>
                <table align="center" style="width: 90%;">
                    <tr>
                        <td>
                            <zxr:Label ID="DisplayLabelQuestionTitle" runat="server"></zxr:Label>
                        </td>
                        <td>
                            <zxr:TextBox ID="CustomTextBoxContents" runat="server" IsRequired="True" Width="300px"></zxr:TextBox>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                                ControlToValidate="CustomTextBoxContents" ValidationGroup="Append"></zxr:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="DisplayLabelQuestionType" runat="server"></zxr:Label>
                        </td>
                        <td>
                            <zxr:DropDownList ID="CustomDropDownListType" runat="server" AutoPostBack="True"
                                OnSelectedIndexChanged="CustomDropDownListType_SelectedIndexChanged">
                            </zxr:DropDownList>
                            <zxr:Label ID="LabelInputRows" runat="server"></zxr:Label>
                            <zxr:TextBox ID="TextBoxInputRows" runat="server" Width="33px" 
                                IMEMode="Disabled">1</zxr:TextBox>
                            <zxr:RangeFigureValidator ID="RangeFigureValidator2" runat="server" 
                                ControlToValidate="TextBoxInputRows" MaximumValue="999" MinimumValue="1" 
                                Type="Integer" ValidationGroup="Append"></zxr:RangeFigureValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="DisplayLabelOrder" runat="server"></zxr:Label>
                        </td>
                        <td>
                            <zxr:TextBox ID="CustomTextBoxOrder" runat="server" IsRequired="True" ValidateMode="Figure"
                                Width="32px" IMEMode="Disabled">1</zxr:TextBox>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                                ControlToValidate="CustomTextBoxOrder" ValidationGroup="Append"></zxr:RequiredFieldValidator>
                            <zxr:RangeFigureValidator ID="RangeFigureValidator1" runat="server" 
                                ControlToValidate="CustomTextBoxOrder" MaximumValue="999" MinimumValue="1" 
                                Type="Integer" ValidationGroup="Append"></zxr:RangeFigureValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                        <td>
                            <zxr:ValidatorButton ID="CustomButtonEdit" runat="server" Text="⍀ڒǉ" 
                                OnClick="CustomButtonEdit_Click" ValidationGroup="Append" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                        <td>
                            &nbsp;
                        </td>
                    </tr>
                </table>
                <br />
                <zxr:MenuTable ID="MenuTableQuestionList" runat="server">
                </zxr:MenuTable>
                <br />
            </td>
        </tr>
    </table>
</asp:Content>
