﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FileGridView.ascx.cs"
    Inherits="WebApplication.WebParts.FileGridView" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="ZXR" %>
<style type="text/css">
    .style1
    {
        width: 546px;
    }
</style>
<zxr:Label ID="DisplayLabelMessage" runat="server">
</zxr:Label>
<asp:Panel ID="PanelControls" runat="server">
    <table cellpadding="5" cellspacing="5" style="width: 674px">
        <tr>
            <td style="text-align: left" class="style1">
                <asp:Panel ID="OperationPanel" runat="server">
                <zxr:LinkButton ID="CustomLinkButtonSelectAll" runat="server" OnClick="CustomLinkButtonSelectAll_Click">
                    &nbsp;&nbsp;&nbsp;Select All
                </zxr:LinkButton>
                &nbsp;&nbsp;<zxr:LinkButton ID="CustomLinkButtonCancelAll" runat="server" OnClick="CustomLinkButtonCancelAll_Click">
                    &nbsp;&nbsp;&nbsp;Cancel All
                </zxr:LinkButton>
                &nbsp;
                <zxr:LinkButton ID="CustomLinkButtonOperation" runat="server" OnClick="CustomLinkButtonOperation_Click">
                    &nbsp;&nbsp;&nbsp;Operation
                </zxr:LinkButton>
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td style="text-align: left" class="style1">
                <asp:GridView ID="GridView1" runat="server" AllowPaging="True" OnPageIndexChanging="GridView1_PageIndexChanging"
                    CellPadding="4" ForeColor="#333333" GridLines="None" 
                    OnSelectedIndexChanged="GridView1_SelectedIndexChanged" 
                    AutoGenerateColumns="False" EnableModelValidation="True" Width="100%">
                    <RowStyle BackColor="#EFF3FB" />
                    <Columns>
                        <asp:TemplateField>
                            <ItemTemplate>
                                <zxr:CheckBox ID="CustomCheckBoxSelect" runat="server" />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:CommandField ShowSelectButton="True" />
                        <asp:BoundField DataField="FileName" HeaderText="ファイル名" />
                        <asp:BoundField DataField="CreateDate" HeaderText="更新日時" />
                        <asp:BoundField DataField="FileSize" HeaderText="ファイルサイズ" />
                    </Columns>
                    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <EditRowStyle BackColor="#2461BF" />
                    <AlternatingRowStyle BackColor="White" />
                </asp:GridView>
            </td>
        </tr>
    </table>
</asp:Panel>
