﻿using System;
using System.Collections.Generic;

namespace CAUtility
{

    public class CaContext
    {
        private static readonly CaContext current_ = new CaContext();

        public static CaContext Current
        {
            get { return current_; }
        }

        private List<Type> pluginList_ = new List<Type>();

        public List<Type> PluginList
        {
            get { return pluginList_; }
            set { pluginList_ = value; }
        }

        private List<Type> sidePluginList_ = new List<Type>();

        public List<Type> SidePluginList
        {
            get { return sidePluginList_; }
            set { sidePluginList_ = value; }
        }

        private List<Type> pluginManagementList_ = new List<Type>();

        public List<Type> PluginManagementList
        {
            get { return pluginManagementList_; }
            set { pluginManagementList_ = value; }
        }

        private string companyName_ = "";

        public string CompanyName
        {
            get { return companyName_; }
            set { companyName_ = value; }
        }

        private Dictionary<string, string> pageFooter_ = new Dictionary<string, string>();

        public Dictionary<string, string> PageFooter
        {
            get { return pageFooter_; }
            set { pageFooter_ = value; }
        }

        private Dictionary<string, string> sideArea_ = new Dictionary<string, string>();

        public Dictionary<string, string> SideArea
        {
            get { return sideArea_; }

        }

        private Dictionary<string, string> memberTopPage_ = new Dictionary<string, string>();

        public Dictionary<string, string> MemberTopPage
        {
            get { return memberTopPage_; }
            set { memberTopPage_ = value; }
        }
     
    }
}
