﻿using System;
using System.Collections.Generic;

using ZXR.Web;

namespace CAUtility
{

    public class CaSession : ZxrSessionBase
    {
        private static CaSession caSession_ = new CaSession();

        public static string Culture
        {
            get
            {
                if (caSession_.GetValue("Culture") == null)
                    return "";

                return caSession_.GetValue("Culture").ToString();
            }
            set { caSession_.SetValue("Culture", value); }
        }

        public static string QuestionnaireID
        {
            get
            {
                if (caSession_.GetValue("QuestionnaireID") == null)
                    return "";

                return caSession_.GetValue("QuestionnaireID").ToString();
            }
            set { caSession_.SetValue("QuestionnaireID", value); }
        }

        public static string QuestionID
        {
            get
            {
                if (caSession_.GetValue("QuestionID") == null)
                    return "";

                return caSession_.GetValue("QuestionID").ToString();
            }
            set { caSession_.SetValue("QuestionID", value); }
        }

        public static decimal ShoppingMonetaryAmount
        {
            get
            {
                if (caSession_.GetValue("ShoppingMonetaryAmount") == null)
                    return 0;

                return Convert.ToDecimal(caSession_.GetValue("ShoppingMonetaryAmount"));
            }
            set { caSession_.SetValue("ShoppingMonetaryAmount", value); }
        }

        public static string ZipCode
        {
            get
            {
                if (caSession_.GetValue("ZipCode") == null)
                    return "";

                return caSession_.GetValue("ZipCode").ToString();
            }
            set { caSession_.SetValue("ZipCode", value); }
        }

        public static string Jyusyo
        {
            get
            {
                if (caSession_.GetValue("Jyusyo") == null)
                    return "";

                return caSession_.GetValue("Jyusyo").ToString();
            }
            set { caSession_.SetValue("Jyusyo", value); }
        }

        public static string UserPCEmail
        {
            get
            {
                if (caSession_.GetValue("UserPCEmail") == null)
                    return "";

                return caSession_.GetValue("UserPCEmail").ToString();
            }
            set { caSession_.SetValue("UserPCEmail", value); }
        }

        public static string CannotAccessUrlForNeedLogin
        {
            get
            {
                if (caSession_.GetValue("CannotAccessUrlForNeedLogin") == null)
                    return "";

                return caSession_.GetValue("CannotAccessUrlForNeedLogin").ToString();
            }
            set { caSession_.SetValue("CannotAccessUrlForNeedLogin", value); }
        }
    }
}
