﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.BBS
{

    public class SingleForunInfoDalFetch : DalSelectFetch
    {

        public SingleForunInfoDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select forumname " +
                "from forum where id = " + ((SingleForunInfoDalProcess)param).ID + ";";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            SingleForunInfoDalResult result = new SingleForunInfoDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                result.ForumName = row[0].ToString();
                break;
            }

            return result;
        }
    }
}
