﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.GroupInfo
{

    public class CountGroupUsersDalFetch : DalScalarFetch
    {

        public CountGroupUsersDalFetch()
        {

        }

        public override void SetScalarCommand(FetchProcessParam param)
        {
            string groupList = string.Empty;
            foreach (string group in ((CountGroupUsersDalProcess)param).GroupList)
            {
                groupList += group + ",";
            }

            ScalarCommand = "select count(*) from userinfo " +
                " where usergroup in (" + groupList.Remove(groupList.Length -1) + ") and status = '" + DataStatus.Normal.ToString() + "'";
        }

    }
}
