﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.Message
{

    public class DisplayMessageDalFetch : DalSelectFetch
    {

        public DisplayMessageDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select id ,senddate, messagecontents, username, email, corname , groupname , phone, zipcode, address" +
                " from message where status = '" + DataStatus.Normal.ToString() + "';";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            DisplayMessageDalResult result = new DisplayMessageDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                DisplayMessageDalResultElement param = new DisplayMessageDalResultElement();
                param.ID = row[0].ToString();
                param.SendDate = row[1].ToString();
                param.MessageContents = row[2].ToString();
                param.UserName = row[3].ToString();
                param.Email = row[4].ToString();
                param.CorName = row[5].ToString();
                param.GroupName = row[6].ToString();
                param.Phone = row[7].ToString();
                param.ZipCode = row[8].ToString();
                param.Address = row[9].ToString();
                result.Add(param);
            }
            return result;
        }
    }
}
