﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.NewsLetter.News
{

    public class GetOneNewsDalFetch : DalSelectFetch
    {

        public GetOneNewsDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select newstitle, newstagid, newscontent, reg_datetime " +
                "from newsletter where id = " + ((GetOneNewsDalProcess)param).NewsID + ";";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            GetOneNewsDalResult result = new GetOneNewsDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                result.NewsTitle = row[0].ToString();
                result.NewsTagId = row[1].ToString();
                result.NewsContent = row[2].ToString();
                result.RegDatetime = row[3].ToString();

                break;
            }

            return result;
        }
    }
}
