﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.Page
{

    public class GetPageAuthSettingDalFetch : DalSelectFetch
    {

        public GetPageAuthSettingDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select readusergroupid " +
                "from pageinfo_read_auth where pageid = " + ((GetPageAuthSettingDalProcess)param).PageId;

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            GetPageAuthSettingDalResult result = new GetPageAuthSettingDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                GetPageAuthSettingDalResultElement param = new GetPageAuthSettingDalResultElement();
                param.GroupId = Convert.ToInt32(row[0].ToString());

                result.Add(param);
            }

            return result;
        }
    }
}
