﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.PostThread
{

    public class SingleThreadDalFetch : DalSelectFetch
    {

        public SingleThreadDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select id , posttitle, postcontent, username " +
                "from postthread where id = " + ((SingleThreadDalProcess)param).ID + ";";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            SingleThreadDalResult result = new SingleThreadDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                result.ID = Convert.ToInt32(row[0].ToString());
                result.PostTitle = row[1].ToString();
                result.PostContent = row[2].ToString();
                result.UserName = row[3].ToString();

                break;
            }

            return result;
        }
    }
}
