﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.PostThread
{

    public class ThreadCountDalFetch : DalScalarFetch
    {

        public ThreadCountDalFetch()
        {

        }

        public override void SetScalarCommand(FetchProcessParam param)
        {
            ScalarCommand = "select count(*) from postthread " +
                " where parentthreadid = 0 and forumid = " + ((ThreadCountDalProcess)param).ForumId + ";";
        }

    }
}
