﻿
using System;

using ZXR.Data;
using ZXR.DataAccess;

namespace CAUtility.Dal.Products
{

    public class GetProductCountDalFetch : DalScalarFetch
    {

        public GetProductCountDalFetch()
        {

        }

        public override void SetScalarCommand(FetchProcessParam param)
        {
            string updateItemQuery = "select Count(*) from product " +
                " where kindsid = " + ((GetProductCountDalProcess)param).KindsID + " and status = '" + DataStatus.Normal.ToString() + "';";

            ScalarCommand = updateItemQuery;
        }

    }
}
