﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.Products
{

    public class InsertProductDalFetch : DalUdiFetch
    {

        public InsertProductDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into product " +
                    "(productid, productname, kindsid, price, imagepath, outline, metakeyword, details,productorder, stockcount, registdate)" +
                    "values ('" +
                    ((InsertProductDalProcess)param).ProductID + "','" +
                    ((InsertProductDalProcess)param).Name + "'," +
                    ((InsertProductDalProcess)param).KindsID + "," +
                    ((InsertProductDalProcess)param).Price + ",'" +
                    ((InsertProductDalProcess)param).ImagePath + "','" +
                    ((InsertProductDalProcess)param).OutLine + "','" +
                    ((InsertProductDalProcess)param).MetaKeyword + "','" +
                    ((InsertProductDalProcess)param).Details + "'," +
                    ((InsertProductDalProcess)param).ProductOrder + "," +
                    ((InsertProductDalProcess)param).StockCount + ",#" +
                    ((InsertProductDalProcess)param).RegistDatetime.ToString() + "#);";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into product " +
                                "(productid, productname, kindsid, price, imagepath, outline, metakeyword, details,productorder, stockcount, registdate)" +
                                "values ('" +
                                ((InsertProductDalProcess)param).ProductID + "','" +
                                ((InsertProductDalProcess)param).Name + "'," +
                                ((InsertProductDalProcess)param).KindsID + "," +
                                ((InsertProductDalProcess)param).Price + ",'" +
                                ((InsertProductDalProcess)param).ImagePath + "','" +
                                ((InsertProductDalProcess)param).OutLine + "','" +
                                ((InsertProductDalProcess)param).MetaKeyword + "','" +
                                ((InsertProductDalProcess)param).Details + "'," +
                                ((InsertProductDalProcess)param).ProductOrder + "," +
                                ((InsertProductDalProcess)param).StockCount + ",'" +
                                ((InsertProductDalProcess)param).RegistDatetime.ToString() + "');";
            }
        }
    }
}
