﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.Products
{

    public class UpdateProductDalFetch : DalUdiFetch
    {

        public UpdateProductDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            string updateItemQuery = "update product set productid ='" +
               ((UpdateProductDalProcess)param).ProductID + "'," +
               "productname = '" +
               ((UpdateProductDalProcess)param).Name + "'," +
               "kindsid = " +
               ((UpdateProductDalProcess)param).KindsID + "," +
               "price = " +
               ((UpdateProductDalProcess)param).Price + ",";

            if (!string.IsNullOrEmpty(((UpdateProductDalProcess)param).ImagePath))
            {
                updateItemQuery += "imagepath = '" +
                ((UpdateProductDalProcess)param).ImagePath + "',";
            }

            updateItemQuery += "outline = '" +
                ((UpdateProductDalProcess)param).OutLine + "'," +
                "details = '" +
                ((UpdateProductDalProcess)param).Details + "'," +
                "metakeyword = '" +
                ((UpdateProductDalProcess)param).MetaKeyword + "'," +
                "productorder = '" +
                ((UpdateProductDalProcess)param).ProductOrder + "'," +
                "stockcount = " +
                ((UpdateProductDalProcess)param).StockCount +
                " where id = " + ((UpdateProductDalProcess)param).ID + ";";

            UDICommand = updateItemQuery;
        }
    }
}
