﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.Products
{

    public class UpdateStockCountDalFetch : DalUdiFetch
    {

        public UpdateStockCountDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            string updateItemQuery = "update product set stockcount = stockcount - "
                + ((UpdateStockCountDalProcess)param).StockDecrease.ToString() +
                " where id = " + ((UpdateStockCountDalProcess)param).ID + ";";

            UDICommand = updateItemQuery;
        }
    }
}
