﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.ReservationData
{

    public class DeleteReservationDalFetch : DalUdiFetch
    {

        public DeleteReservationDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            string updateItemQuery = "update reservationdata set status = '" +
                DataStatus.DummyDelete + "'";

            if (!string.IsNullOrEmpty(((DeleteReservationDalProcess)param).ReservationNumber))
            {
                updateItemQuery += " where reservationnumber = " + ((DeleteReservationDalProcess)param).ReservationNumber + ";";
            }
            else
            {
                updateItemQuery += " where id = " + ((DeleteReservationDalProcess)param).ID + ";";
            }

            UDICommand = updateItemQuery;
        }
    }
}
