﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.ReservationItem
{

    public class InsertItemDalFetch : DalUdiFetch
    {

        public InsertItemDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into reservationitem (iname, imagepath, runit, permission,intervaltime, canrepetition, canmailnotify, reservationbegintime, reservationendtime, simultaneousnumber, itemdetail, holidaylist, status,dispalydatecount, datetimelength, iorder) values (" +
                   "'" + ((InsertItemDalProcess)param).Name + "'," +
                   "'" + ((InsertItemDalProcess)param).ImagePath + "'," +
                   ((InsertItemDalProcess)param).Unit + "," +
                   ((InsertItemDalProcess)param).Permission + "," +
                   "'" + ((InsertItemDalProcess)param).IntervalTime + "'," +
                   ((InsertItemDalProcess)param).CanRepetition + "," +
                   ((InsertItemDalProcess)param).CanMailNotify + "," +
                   "#" + ((InsertItemDalProcess)param).ReservationBeginTime + "#," +
                   "#" + ((InsertItemDalProcess)param).ReservationEndTime + "#," +
                   ((InsertItemDalProcess)param).SimultaneousNumber + "," +
                   "'" + ((InsertItemDalProcess)param).ItemDetail + "'," +
                   "'" + ((InsertItemDalProcess)param).HolidayList + "'," +
                   "'" + DataStatus.Normal.ToString() + "'," +
                   ((InsertItemDalProcess)param).DisplayDateCount + "," +
                   ((InsertItemDalProcess)param).DatetimeLength + "," +
                   ((InsertItemDalProcess)param).Order + ");";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into reservationitem (iname, imagepath, runit, permission,intervaltime, canrepetition, canmailnotify, reservationbegintime, reservationendtime, simultaneousnumber, itemdetail, holidaylist, status,dispalydatecount, datetimelength, iorder) values (" +
                                   "'" + ((InsertItemDalProcess)param).Name + "'," +
                                   "'" + ((InsertItemDalProcess)param).ImagePath + "'," +
                                   ((InsertItemDalProcess)param).Unit + "," +
                                   ((InsertItemDalProcess)param).Permission + "," +
                                   "'" + ((InsertItemDalProcess)param).IntervalTime + "'," +
                                   ((InsertItemDalProcess)param).CanRepetition + "," +
                                   ((InsertItemDalProcess)param).CanMailNotify + "," +
                                   "'" + ((InsertItemDalProcess)param).ReservationBeginTime + "'," +
                                   "'" + ((InsertItemDalProcess)param).ReservationEndTime + "'," +
                                   ((InsertItemDalProcess)param).SimultaneousNumber + "," +
                                   "'" + ((InsertItemDalProcess)param).ItemDetail + "'," +
                                   "'" + ((InsertItemDalProcess)param).HolidayList + "'," +
                                   "'" + DataStatus.Normal.ToString() + "'," +
                                   ((InsertItemDalProcess)param).DisplayDateCount + "," +
                                   ((InsertItemDalProcess)param).DatetimeLength + "," +
                                   ((InsertItemDalProcess)param).Order + ");";
            }
        }
    }
}
