﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.ReservationItem
{

    public class UpdateItemDalFetch : DalUdiFetch
    {

        public UpdateItemDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "update reservationitem set " +
                    "iname = '" + ((UpdateItemDalProcess)param).Name + "'," +
                    "imagepath = '" + ((UpdateItemDalProcess)param).ImagePath + "'," +
                    "runit = " + ((UpdateItemDalProcess)param).Unit + "," +
                    "permission = " + ((UpdateItemDalProcess)param).Permission + "," +
                    "intervaltime = '" + ((UpdateItemDalProcess)param).IntervalTime + "'," +
                    "canrepetition = " + ((UpdateItemDalProcess)param).CanRepetition + "," +
                    "canmailnotify = " + ((UpdateItemDalProcess)param).CanMailNotify + "," +
                    "reservationbegintime = #" + ((UpdateItemDalProcess)param).ReservationBeginTime + "#," +
                    "reservationendtime = #" + ((UpdateItemDalProcess)param).ReservationEndTime + "#," +
                    "simultaneousnumber = " + ((UpdateItemDalProcess)param).SimultaneousNumber + "," +
                    "itemdetail = '" + ((UpdateItemDalProcess)param).ItemDetail + "'," +
                    "holidaylist = '" + ((UpdateItemDalProcess)param).HolidayList + "'," +
                    "iorder = " + ((UpdateItemDalProcess)param).Order + "," +
                    "dispalydatecount = " + ((UpdateItemDalProcess)param).DisplayDateCount + "," +
                    "datetimelength = " + ((UpdateItemDalProcess)param).DatetimeLength +
                    " where id = " + ((UpdateItemDalProcess)param).ID + ";";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "update reservationitem set " +
                    "iname = '" + ((UpdateItemDalProcess)param).Name + "'," +
                    "imagepath = '" + ((UpdateItemDalProcess)param).ImagePath + "'," +
                    "runit = " + ((UpdateItemDalProcess)param).Unit + "," +
                    "permission = " + ((UpdateItemDalProcess)param).Permission + "," +
                    "intervaltime = '" + ((UpdateItemDalProcess)param).IntervalTime + "'," +
                    "canrepetition = " + ((UpdateItemDalProcess)param).CanRepetition + "," +
                    "canmailnotify = " + ((UpdateItemDalProcess)param).CanMailNotify + "," +
                    "reservationbegintime = '" + ((UpdateItemDalProcess)param).ReservationBeginTime + "'," +
                    "reservationendtime = '" + ((UpdateItemDalProcess)param).ReservationEndTime + "'," +
                    "simultaneousnumber = " + ((UpdateItemDalProcess)param).SimultaneousNumber + "," +
                    "itemdetail = '" + ((UpdateItemDalProcess)param).ItemDetail + "'," +
                    "holidaylist = '" + ((UpdateItemDalProcess)param).HolidayList + "'," +
                    "iorder = " + ((UpdateItemDalProcess)param).Order + "," +
                    "dispalydatecount = " + ((UpdateItemDalProcess)param).DisplayDateCount + "," +
                    "datetimelength = " + ((UpdateItemDalProcess)param).DatetimeLength +
                    " where id = " + ((UpdateItemDalProcess)param).ID + ";";
            }
        }
    }
}
