﻿
using ZXR.DataAccess;

namespace CAUtility.Dal.Sales
{

    public class InsertSalesDalFetch : DalUdiFetch
    {

        public InsertSalesDalFetch()
        {

        }

        public override void SetUDICommand(FetchProcessParam param)
        {
            if (ZXR.Core.CoreSettings.DbType == DbType.Access)
            {
                UDICommand = "insert into sales " +
                    "(id, userid, monetaryamount, arrivaldate, arrivaltime, remarks, purchasedate, zipcode, address, status) " +
                    "values(" +
                    "'" + ((InsertSalesDalProcess)param).SalesID + "'," +
                    "'" + ((InsertSalesDalProcess)param).UserID + "'," +
                    ((InsertSalesDalProcess)param).MonetaryAmount + "," +
                    "#" + ((InsertSalesDalProcess)param).ArrivalDate + "#," +
                    "'" + ((InsertSalesDalProcess)param).ArrivalTime + "'," +
                    "'" + ((InsertSalesDalProcess)param).Remarks + "'," +
                    "#" + ((InsertSalesDalProcess)param).PurchaseDate + "#," +
                    "'" + ((InsertSalesDalProcess)param).Zipcode + "'," +
                    "'" + ((InsertSalesDalProcess)param).Address + "'," +
                    "'" + DataStatus.Normal.ToString() + "');";
            }
            else if (ZXR.Core.CoreSettings.DbType == DbType.SQLServer)
            {
                UDICommand = "insert into sales " +
                            "(id, userid, monetaryamount, arrivaldate, arrivaltime, remarks, purchasedate, zipcode, address, status) " +
                            "values(" +
                            "'" + ((InsertSalesDalProcess)param).SalesID + "'," +
                            "'" + ((InsertSalesDalProcess)param).UserID + "'," +
                            ((InsertSalesDalProcess)param).MonetaryAmount + "," +
                            "'" + ((InsertSalesDalProcess)param).ArrivalDate + "'," +
                            "'" + ((InsertSalesDalProcess)param).ArrivalTime + "'," +
                            "'" + ((InsertSalesDalProcess)param).Remarks + "'," +
                            "'" + ((InsertSalesDalProcess)param).PurchaseDate + "'," +
                            "'" + ((InsertSalesDalProcess)param).Zipcode + "'," +
                            "'" + ((InsertSalesDalProcess)param).Address + "'," +
                            "'" + DataStatus.Normal.ToString() + "');";
            }
        }
    }
}
