﻿
using System;

using ZXR.DataAccess;
using ZXR.Data;

namespace CAUtility.Dal.UserInfo
{

    public class VaildationUserDalFetch : DalSelectFetch
    {

        public VaildationUserDalFetch()
        {

        }

        protected override void SetSelectCommand(FetchProcessParam param)
        {
            string query = "select password, usergroup, usertoken ,lastchangepassword , friendlyname" +
                " from userinfo where username = '" + ((VaildationUserDalProcess)param).UserName + "'" +
                " and status = '" + DataStatus.Normal.ToString() + "';";

            SelectCommand = query;
        }

        protected override DalSelectResult SelectResultProcessing(DalDataContainer dataContainer)
        {
            VaildationUserDalResult result = new VaildationUserDalResult();

            foreach (Row row in dataContainer.Rows)
            {
                result.Password = row[0].ToString();
                result.UserGroup = string.IsNullOrEmpty(row[1].ToString()) ? 0 : Convert.ToInt32(row[1].ToString());
                result.UserToken = row[2].ToString();
                result.LastChangePasswordDate = DateTime.Parse(row[3].ToString());
                result.FriendlyName = row[4].ToString();
            }

            return result;
        }
    }
}
