﻿
using ZXR.Core;

using ZXR.BusinessLogic;

namespace CAUtility.Logic.BBS
{

    
    public class BbsConfigBizLogic : BizLogic
    {

        public BbsConfigBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            SettingManager setting = new SettingManager();
            setting.SetSettingValue("ForumPageSize", ((BbsConfigBizProcess)param).OnePageMaxItemsCount.ToString());
            setting.SetSettingValue("IsBBsUseVerifyImage", ((BbsConfigBizProcess)param).IsBBsUseVerifyImage.ToString());
            setting.Save();

            return new BizResult() { Result = true };
        }
    }
}
