﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.BBS;

namespace CAUtility.Logic.BBS
{

    
    public class InsertForumBizLogic : BizLogic
    {

        public InsertForumBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertForumDalProcess udiParam = new InsertForumDalProcess();
            udiParam.ForumName = ((InsertForumBizProcess)param).ForumName;

            InsertForumDalFetch fetch = new InsertForumDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
