﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;
using ZXR.Security;
using CAUtility.Dal.BBS;

namespace CAUtility.Logic.BBS
{

    
    public class ListForumBizLogic : BizLogic
    {

        public ListForumBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ListForumBizResult result = new ListForumBizResult();

            DalSelectFetch fetch = new ListForumDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            ListForumDalResult fetchResult = (ListForumDalResult)fetch.SelectExecuteLogic(null);

            foreach (ListForumDalResultElement ele in fetchResult)
            {
                ListForumBizResultElement element = new ListForumBizResultElement();
                element.ID = ele.ID;
                element.ClickCount = ele.ClickCount;
                element.ForumName = ele.ForumName;

                result.DataList.Add(element);
            }

            return result;
        }
    }
}
