﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.BBS;

namespace CAUtility.Logic.BBS
{

    
    public class UpdateCounterBizLogic : BizLogic
    {

        public UpdateCounterBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateCounterDalProcess udiParam = new UpdateCounterDalProcess();
            udiParam.ID = ((UpdateCounterBizProcess)param).ID;

            UpdateCounterDalFetch fetch = new UpdateCounterDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
