﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.BBS;

namespace CAUtility.Logic.BBS
{

    
    public class UpdateForumInfoBizLogic : BizLogic
    {

        public UpdateForumInfoBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateForumInfoDalProcess udiParam = new UpdateForumInfoDalProcess();
            udiParam.ID = ((UpdateForumInfoBizProcess)param).ID;
            udiParam.ForumName = ((UpdateForumInfoBizProcess)param).ForumName;

            UpdateForumInfoDalFetch fetch = new UpdateForumInfoDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
