﻿
using System;
using System.Collections.Generic;

using ZXR.Core;
using ZXR.Security;
using ZXR.IO;

using ZXR.BusinessLogic;

namespace CAUtility.Logic.BackupFileManager
{

    
    public class DbFileBackupBizLogic : BizLogic
    {

        public DbFileBackupBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            List<string> files = new List<string>();
            files.Add(
                System.IO.Path.Combine(
                        System.AppDomain.CurrentDomain.BaseDirectory,
                        SettingManager.GetSettingValue("AccessDbPath")
                    )
                );

            string path = ((DbFileBackupBizProcess)param).FileSavePath;
            ZipLib.Compression(path, files);

            BizResult result = new BizResult() ;
            result.Result = true;

            return result;
        }
    }
}
