﻿
using System;
using System.Collections.Generic;

using ZXR.Core;
using ZXR.Security;
using ZXR.IO;

using ZXR.BusinessLogic;

namespace CAUtility.Logic.BackupFileManager
{

    
    public class LogFileBackupBizLogic : BizLogic
    {

        public LogFileBackupBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            string path = ((LogFileBackupBizProcess)param).FileSavePath;
            ZipLib.FolderCompression(path, System.AppDomain.CurrentDomain.BaseDirectory + "/Log");

            return new BizResult() { Result = true };
        }
    }
}
