﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;
using ZXR.Security;
using CAUtility.Dal.GroupInfo;

namespace CAUtility.Logic.GroupInfo
{

    public class GetGroupInfoBizLogic : BizLogic
    {

        public GetGroupInfoBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            GetGroupInfoBizResult result = new GetGroupInfoBizResult();

            GetGroupInfoDalProcess getParam = new GetGroupInfoDalProcess();
            getParam.GroupId = ((GetGroupInfoBizProcess)param).GroupId;

            DalSelectFetch fetch = new GetGroupInfoDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            GetGroupInfoDalResult fetchResult = (GetGroupInfoDalResult)fetch.SelectExecuteLogic(getParam);

            result.GroupName = fetchResult.GroupName;

            return result;
        }
    }
}
