﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;
using ZXR.Security;

using CAUtility.Dal.GroupInfo;

namespace CAUtility.Logic.GroupInfo
{

    public class ListGroupInfoBizLogic : BizLogic
    {

        public ListGroupInfoBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ListGroupInfoBizResult result = new ListGroupInfoBizResult();

            DalSelectFetch fetch = new ListGroupInfoDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            ListGroupInfoDalResult fetchResult = (ListGroupInfoDalResult)fetch.SelectExecuteLogic(null);

            foreach (ListGroupInfoDalResultElement ele in fetchResult)
            {
                ListGroupInfoBizResultElement element = new ListGroupInfoBizResultElement();
                element.GroupID = ele.GroupID;
                element.GroupName = ele.GroupName;

                result.DataList.Add(element);
            }

            return result;
        }
    }
}
