﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.GroupInfo;

namespace CAUtility.Logic.GroupInfo
{

    
    public class UpdateGroupBizLogic : BizLogic
    {

        public UpdateGroupBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateGroupDalProcess udiParam = new UpdateGroupDalProcess();
            udiParam.GroupId = ((UpdateGroupBizProcess)param).GroupId;
            udiParam.GroupName = ((UpdateGroupBizProcess)param).GroupName;

            UpdateGroupDalFetch fetch = new UpdateGroupDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
