﻿
using ZXR.Core;
using ZXR.IO;

using ZXR.BusinessLogic;
using ZXR.Security;

namespace CAUtility.Logic.ImageGallery
{

    
    public class InsertImageGalleryBizLogic : BizLogic
    {

        public InsertImageGalleryBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            string[] files = System.IO.Directory.GetFiles(((InsertImageGalleryBizProcess)param).FilePath,
                "ImageGallery*.xml",
                System.IO.SearchOption.TopDirectoryOnly);

            int fileCount = files.Length + 1;

            string createFileName = ((InsertImageGalleryBizProcess)param).FilePath + "\\ImageGallery{0}.xml";

            while (System.IO.File.Exists(string.Format(createFileName, fileCount)))
            {
                fileCount++;
            }

            BizResult result = new BizResult();
            result.Result = true;
            result.ResultData = fileCount;

            return result;
        }
    }
}
