﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.NewsLetter.News;

namespace CAUtility.Logic.NewsLetter.News
{

    
    public class DeleteNewsBizLogic : BizLogic
    {

        public DeleteNewsBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteNewsDalProcess udiParam = new DeleteNewsDalProcess();
            udiParam.NewsID = ((DeleteNewsBizProcess)param).NewsID;

            DeleteNewsDalFetch fetch = new DeleteNewsDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
