﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.NewsLetter.NewsTags;

namespace CAUtility.Logic.NewsLetter.NewsTags
{

    
    public class UpdateTagBizLogic : BizLogic
    {

        public UpdateTagBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateTagDalProcess udiParam = new UpdateTagDalProcess();
            udiParam.TagID = ((UpdateTagBizProcess)param).TagID;
            udiParam.TagName = ((UpdateTagBizProcess)param).TagName;

            UpdateTagDalFetch fetch = new UpdateTagDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
