﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;
using ZXR.Security;
using CAUtility.Dal.Page;

namespace CAUtility.Logic.Page
{

    public class GetPageAuthSettingBizLogic : BizLogic
    {

        public GetPageAuthSettingBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            GetPageAuthSettingBizResult result = new GetPageAuthSettingBizResult();

            GetPageAuthSettingDalProcess getParam = new GetPageAuthSettingDalProcess();
            getParam.PageId = ((GetPageAuthSettingBizProcess)param).PageId;

            DalSelectFetch fetch = new GetPageAuthSettingDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            GetPageAuthSettingDalResult fetchResult = (GetPageAuthSettingDalResult)fetch.SelectExecuteLogic(getParam);

            foreach (GetPageAuthSettingDalResultElement ele in fetchResult)
            {
                GetPageAuthSettingBizResultElement element = new GetPageAuthSettingBizResultElement();
                element.GroupId = ele.GroupId;

                result.DataList.Add(element);
            }

            return result;
        }
    }
}
