﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.ProductKinds;

namespace CAUtility.Logic.ProductKinds
{

    
    public class DeleteProductKindsBizLogic : BizLogic
    {

        public DeleteProductKindsBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteProductKindsDalProcess udiParam = new DeleteProductKindsDalProcess();
            udiParam.ID = ((DeleteProductKindsBizProcess)param).ID;

            DeleteProductKindsDalFetch fetch = new DeleteProductKindsDalFetch();
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
