﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;

using CAUtility.Dal.ProductKinds;

namespace CAUtility.Logic.ProductKinds
{

    public class GetProductKindsDetailsBizLogic : BizLogic
    {

        public GetProductKindsDetailsBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            GetProductKindsDetailsBizResult result = new GetProductKindsDetailsBizResult();

            GetProductKindsDetailsDalProcess getParam = new GetProductKindsDetailsDalProcess();
            getParam.ID = ((GetProductKindsDetailsBizProcess)param).ID;

            DalSelectFetch fetch = new GetProductKindsDetailsDalFetch();
            GetProductKindsDetailsDalResult fetchResult = (GetProductKindsDetailsDalResult)fetch.SelectExecuteLogic(getParam);

            foreach (GetProductKindsDetailsDalResultElement ele in fetchResult)
            {
                result.Name = ele.Name;
                result.Details = ele.Details;
                result.KindOrder = ele.KindOrder;
                result.MetaKeyword = ele.MetaKeyword;
                result.LinkImage = ele.LinkImage;

                break;
            }

            return result;
        }
    }
}
