﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ProductKinds;

namespace CAUtility.Logic.ProductKinds
{

    
    public class InsertProductKindsBizLogic : BizLogic
    {

        public InsertProductKindsBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertProductKindsDalProcess udiParam = new InsertProductKindsDalProcess();
            udiParam.KindName = ((InsertProductKindsBizProcess)param).KindName;
            udiParam.Details = ((InsertProductKindsBizProcess)param).Details;
            udiParam.Culture = ((InsertProductKindsBizProcess)param).Culture;
            udiParam.KindOrder = ((InsertProductKindsBizProcess)param).KindOrder;
            udiParam.MetaKeyword = ((InsertProductKindsBizProcess)param).MetaKeyword;
            udiParam.LinkImage = ((InsertProductKindsBizProcess)param).LinkImage;

            InsertProductKindsDalFetch fetch = new InsertProductKindsDalFetch();
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
