﻿
using ZXR.Core;
using ZXR.BusinessLogic;
using ZXR.Security;

namespace CAUtility.Logic.Products
{

    
    public class ProductSettingBizLogic : BizLogic
    {

        public ProductSettingBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            SettingManager setting = new SettingManager();
            setting.SetSettingValue("IsShoppingMode", ((ProductSettingBizProcess)param).IsShoppingMode.ToString());
            setting.SetSettingValue("EnableProductInfo", ((ProductSettingBizProcess)param).EnableProductInfo.ToString());
            setting.SetSettingValue("ProductColumnCount", ((ProductSettingBizProcess)param).ProductColumnCount);
            setting.SetSettingValue("ProductCountInPage", ((ProductSettingBizProcess)param).ProductCountInPage);
            setting.Save();

            return new BizResult() { Result = true };
        }
    }
}
