﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Products;

namespace CAUtility.Logic.Products
{

    
    public class UpdateProductBizLogic : BizLogic
    {

        public UpdateProductBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateProductDalProcess udiParam = new UpdateProductDalProcess();
            udiParam.ID = ((InsertUpdateProductBizProcess)param).ID;
            udiParam.Details = ((InsertUpdateProductBizProcess)param).Details;
            udiParam.ImagePath = ((InsertUpdateProductBizProcess)param).ImagePath;
            udiParam.KindsID = ((InsertUpdateProductBizProcess)param).KindsID;
            udiParam.Name = ((InsertUpdateProductBizProcess)param).Name;
            udiParam.OutLine = ((InsertUpdateProductBizProcess)param).OutLine;
            udiParam.Price = ((InsertUpdateProductBizProcess)param).Price;
            udiParam.ProductID = ((InsertUpdateProductBizProcess)param).ProductID;
            udiParam.StockCount = ((InsertUpdateProductBizProcess)param).StockCount;
            udiParam.ProductOrder = ((InsertUpdateProductBizProcess)param).ProductOrder;
            udiParam.MetaKeyword = ((InsertUpdateProductBizProcess)param).MetaKeyword;

            UpdateProductDalFetch fetch = new UpdateProductDalFetch();
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
