﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.QuestionnaireManager.Question;

namespace CAUtility.Logic.QuestionnaireManager.Question
{

    
    public class InsertQuestionBizLogic : BizLogic
    {

        public InsertQuestionBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertQuestionDalProcess udiParam = new InsertQuestionDalProcess();
            udiParam.Contents = ((InsertQuestionBizProcess)param).Contents;
            udiParam.QuestionnaireID = ((InsertQuestionBizProcess)param).QuestionnaireID;
            udiParam.QuestionOrder = ((InsertQuestionBizProcess)param).QuestionOrder;
            udiParam.QuestionType = ((InsertQuestionBizProcess)param).QuestionType;
            if (!string.IsNullOrEmpty(((InsertQuestionBizProcess)param).TextInputRows))
                udiParam.TextInputRows = ((InsertQuestionBizProcess)param).TextInputRows;
            else
                udiParam.TextInputRows = "1";

            InsertQuestionDalFetch fetch = new InsertQuestionDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
