﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;

using CAUtility.Dal.QuestionnaireManager.QuestionItem;

namespace CAUtility.Logic.QuestionnaireManager.QuestionItem
{

    public class ListQuestionItemBizLogic : BizLogic
    {

        public ListQuestionItemBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ListQuestionItemBizResult result = new ListQuestionItemBizResult();

            ListQuestionItemDalProcess getParam = new ListQuestionItemDalProcess();
            getParam.QuestionID = ((ListQuestionItemBizProcess)param).QuestionID;

            DalSelectFetch fetch = new ListQuestionItemDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            ListQuestionItemDalResult fetchResult = (ListQuestionItemDalResult)fetch.SelectExecuteLogic(getParam);

            foreach (ListQuestionItemDalResultElement ele in fetchResult)
            {
                ListQuestionItemBizResultElement element = new ListQuestionItemBizResultElement();
                element.ID = ele.ID;
                element.ItemContents = ele.ItemContents;
                element.ItemOrder = ele.ItemOrder;

                result.DataList.Add(element);
            }

            return result;
        }
    }
}
