﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.QuestionnaireManager.Questionnaire;

namespace CAUtility.Logic.QuestionnaireManager.Questionnaire
{

    
    public class ChangeStatusBizLogic : BizLogic
    {

        public ChangeStatusBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ChangeStatusDalProcess udiParam = new ChangeStatusDalProcess();
            udiParam.ID = ((ChangeStatusBizProcess)param).ID;

            ChangeStatusDalFetch fetch = new ChangeStatusDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
