﻿
using ZXR.BusinessLogic;

using CAUtility.Dal.QuestionnaireManager.Questionnaire;

namespace CAUtility.Logic.QuestionnaireManager.Questionnaire
{

    public class GetQuestionCounterBizLogic : BizLogic
    {

        public GetQuestionCounterBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            GetQuestionCounterDalProcess udiParam = new GetQuestionCounterDalProcess();
            udiParam.QuestionnaireID = ((GetQuestionCounterBizProcess)param).QuestionnaireID;

            GetQuestionCounterDalFetch fetch = new GetQuestionCounterDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            BizResult result = new BizResult();
            result.Result = true;
            result.ResultData = fetch.ScalarExecuteLogic(udiParam);

            return result;
        }
    }
}
