﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;

using CAUtility.Dal.QuestionnaireManager.Response;

namespace CAUtility.Logic.QuestionnaireManager.Response
{

    public class ListSessionBizLogic : BizLogic
    {

        public ListSessionBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ListSessionBizResult result = new ListSessionBizResult();

            ListSessionDalProcess getParam = new ListSessionDalProcess();
            getParam.QuestionnaireID = ((ListSessionBizProcess)param).QuestionnaireID;

            DalSelectFetch fetch = new ListSessionDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            ListSessionDalResult fetchResult = (ListSessionDalResult)fetch.SelectExecuteLogic(getParam);

            foreach (ListSessionDalResultElement ele in fetchResult)
            {
                ListSessionBizResultElement element = new ListSessionBizResultElement();
                element.SessionID = ele.SessionID;
                element.ResponseDatetime = ele.ResponseDatetime;

                result.DataList.Add(element);
            }

            return result;
        }
    }
}
