﻿
using ZXR.BusinessLogic;

using CAUtility.Dal.QuestionnaireManager.Response;

namespace CAUtility.Logic.QuestionnaireManager.Response
{

    public class ResponseCounterBizLogic : BizLogic
    {

        public ResponseCounterBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            ResponseCounterDalProcess udiParam = new ResponseCounterDalProcess();
            udiParam.QuestionnaireID = ((ResponseCounterBizProcess)param).QuestionnaireID;
            udiParam.QuestionItemID = ((ResponseCounterBizProcess)param).QuestionItemID;

            ResponseCounterDalFetch fetch = new ResponseCounterDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            BizResult result = new BizResult();
            result.Result = true;
            result.ResultData = fetch.ScalarExecuteLogic(udiParam);

            return result;
        }
    }
}
