﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.ReservationItem;

namespace CAUtility.Logic.ReservationItem
{

    public class DeleteItemBizLogic : BizLogic
    {

        public DeleteItemBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteItemDalProcess udiParam = new DeleteItemDalProcess();
            udiParam.ID = ((DeleteItemBizProcess)param).ID;

            DeleteItemDalFetch fetch = new DeleteItemDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
