﻿
using System;
using System.Data;
using System.Collections.Generic;
using ZXR.Core;
using ZXR.BusinessLogic;

namespace CAUtility.Logic.ReservationItem
{

    public class DisplayReservationBizResult : BizResult
    {

        public DataTable BeginTimeList { get; set; }

        public DataTable EndTimeList { get; set; }

        public DataTable DateList{ get; set; }

        public List<RangeDateTime> ReservatedDatetimeList { get; set; }

        public int Unit { get; set; }

        public int SimultaneousNumber { get; set; }

        public string ItemName { get; set; }

        public string ItemDetails { get; set; }

        public string HolidayList { get; set; }

        public string DatetimeLength { get; set; }
    }
}
