﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ReturnPassword;

namespace CAUtility.Logic.ReturnPassword
{

    public class InsertCodeBizLogic : BizLogic
    {

        public InsertCodeBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertCodeDalProcess udiParam = new InsertCodeDalProcess();
            udiParam.Code = ((InsertCodeBizProcess)param).Code;

            InsertCodeDalFetch fetch = new InsertCodeDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
