﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Schedule;

namespace CAUtility.Logic.Schedule
{

    
    public class DeleteScheduleBizLogic : BizLogic
    {

        public DeleteScheduleBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteScheduleDalProcess udiParam = new DeleteScheduleDalProcess();
            udiParam.ID = ((DeleteScheduleBizProcess)param).ID;

            DeleteScheduleDalFetch fetch = new DeleteScheduleDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
