﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.Schedule;

namespace CAUtility.Logic.Schedule
{

    
    public class InsertScheduleBizLogic : BizLogic
    {

        public InsertScheduleBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            InsertScheduleDalProcess udiParam = new InsertScheduleDalProcess();
            udiParam.GroupId = ((InsertScheduleBizProcess)param).GroupId ;
            udiParam.StartTime = ((InsertScheduleBizProcess)param).StartTime ;
            udiParam.EndTime = ((InsertScheduleBizProcess)param).EndTime ;
            udiParam.AuthorID = ((InsertScheduleBizProcess)param).AuthorID ;
            udiParam.Title = ((InsertScheduleBizProcess)param).Title ;
            udiParam.Description = ((InsertScheduleBizProcess)param).Description ;
            udiParam.RegistedTime = ((InsertScheduleBizProcess)param).RegistedTime ;
            udiParam.Type = ((InsertScheduleBizProcess)param).Type;
            udiParam.RepeatString = ((InsertScheduleBizProcess)param).RepeatString;

            InsertScheduleDalFetch fetch = new InsertScheduleDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
