﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.ScheduleJoinMember;

namespace CAUtility.Logic.ScheduleJoinMember
{

    
    public class DeleteJoinedMemberBizLogic : BizLogic
    {

        public DeleteJoinedMemberBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            DeleteJoinedMemberDalProcess udiParam = new DeleteJoinedMemberDalProcess();
            udiParam.ID = ((DeleteJoinedMemberBizProcess)param).ID;
            udiParam.UesrName = ((DeleteJoinedMemberBizProcess)param).UesrName;

            DeleteJoinedMemberDalFetch fetch = new DeleteJoinedMemberDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
