﻿
using ZXR.BusinessLogic;
using ZXR.Security;

using CAUtility.Dal.ScheduleJoinMember;

namespace CAUtility.Logic.ScheduleJoinMember
{

    
    public class JoinScheduleBizLogic : BizLogic
    {

        public JoinScheduleBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            JoinScheduleDalProcess udiParam = new JoinScheduleDalProcess();
            udiParam.ID = ((JoinScheduleBizProcess)param).ID;
            udiParam.UserName= ((JoinScheduleBizProcess)param).UserName;

            JoinScheduleDalFetch fetch = new JoinScheduleDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
