﻿
using ZXR.BusinessLogic;
using ZXR.Security;
using ZXR.IO;

namespace CAUtility.Logic.Settings
{

    public class CreateNewCultureBizLogic : BizLogic
    {

        public CreateNewCultureBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            string path = System.Web.HttpContext.Current.Server.MapPath("~/" + ((CreateNewCultureBizProcess)param).Culture);
            if (!DirectoryIO.FolderExists(path))
            {
                DirectoryIO.CopyFolder(System.Web.HttpContext.Current.Server.MapPath("~/CultureFiles"), path, true);
            }

            return new BizResult() { Result = true };
        }
    }
}
