﻿
using System;
using ZXR.BusinessLogic;
using ZXR.Security;
using CAUtility.Dal.UserInfo;
using CAUtility.Dal.ReturnPassword;
using ZXR.DataAccess;

namespace CAUtility.Logic.UserInfo
{

    
    public class RechangePasswordBizLogic : BizLogic
    {

        public RechangePasswordBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            BizResult result = new BizResult();

            RechangePasswordDalProcess udiParam = new RechangePasswordDalProcess();
            udiParam.UserName = ((RechangePasswordBizProcess)param).UserName;
            udiParam.Password = ((RechangePasswordBizProcess)param).Password;

            RechangePasswordDalFetch fetch = new RechangePasswordDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            int changCount = fetch.UDIExecuteLogic(udiParam);

            if (changCount != 1)
            {
                result.Result = false;
            }
            else
            {
                result.Result = true;
            }

            return result;
        }
    }
}
