﻿
using ZXR.BusinessLogic;
using ZXR.DataAccess;
using CAUtility.Dal.UserInfo;

namespace CAUtility.Logic.UserInfo
{

    public class SingleUserInfoBizLogic : BizLogic
    {

        public SingleUserInfoBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            SingleUserInfoBizResult result = new SingleUserInfoBizResult();

            SingleUserInfoDalProcess getParam = new SingleUserInfoDalProcess();
            getParam.UserName = ((SingleUserInfoBizProcess)param).UserName;

            DalSelectFetch fetch = new SingleUserInfoDalFetch();
            SingleUserInfoDalResult fetchResult = (SingleUserInfoDalResult)fetch.SelectExecuteLogic(getParam);

            result.UserToken = fetchResult.UserToken;
            result.UserGroup = fetchResult.UserGroup;
            result.LastChangePassword = fetchResult.LastChangePassword;
            result.FriendlyName = fetchResult.FriendlyName;

            result.Result = true;

            return result;
        }
    }
}
