﻿
using ZXR.BusinessLogic;
using CAUtility.Dal.UserInfo;

namespace CAUtility.Logic.UserInfo
{

    public class UpdateUserTokenBizLogic : BizLogic
    {

        public UpdateUserTokenBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            UpdateUserTokenDalProcess udiParam = new UpdateUserTokenDalProcess();
            udiParam.UserName = ((UpdateUserTokenBizProcess)param).UserName;
            udiParam.UserToken = ((UpdateUserTokenBizProcess)param).UserToken;

            UpdateUserTokenDalFetch fetch = new UpdateUserTokenDalFetch();
            if (this.ZxrTransaction != null)
            {
                fetch.JoinTransaction(this.ZxrTransaction);
            }
            fetch.UDIExecuteLogic(udiParam);

            return new BizResult() { Result = true };
        }
    }
}
