﻿
using ZXR.Core;
using ZXR.BusinessLogic;
using ZXR.Security;

namespace CAUtility.Logic.UserInfo
{

    
    public class UserSettingBizLogic : BizLogic
    {

        public UserSettingBizLogic()
        {

        }

        protected override BizResult BusinessLogicExecute(BizProcessParm param)
        {
            SettingManager setting = new SettingManager();
            setting.SetSettingValue("UserPasswordExpires", ((UserSettingBizProcess)param).UserPasswordExpires.ToString());
            setting.SetSettingValue("AdminPageUserGroup", ((UserSettingBizProcess)param).AdminPageUserGroup.ToString());
            setting.SetSettingValue("InternalPageUserGroup", ((UserSettingBizProcess)param).InternalPageUserGroup);
            setting.SetSettingValue("NewRegistUserGroup", ((UserSettingBizProcess)param).NewRegistUserGroup.ToString());
            setting.SetSettingValue("IsUserUseVerifyImage", ((UserSettingBizProcess)param).IsUserUseVerifyImage.ToString());
            setting.SetSettingValue("ForbidsNickName", ((UserSettingBizProcess)param).ForbidsNickName);
            setting.Save();

            return new BizResult() { Result = true };
        }
    }
}
