﻿
using ZXR.BusinessLogic;

namespace CAUtility.Logic.UserShoppingInfo
{

    public class GetUserDetailsBizResult : BizResult
    {

        public string UserID { get; set; }

        public string HomePhone { get; set; }

        public string Mobile { get; set; }

        public string ZipCode { get; set; }

        public string Address { get; set; }

        public string Simei { get; set; }

        public string Furigana { get; set; }

        public string MobileMail { get; set; }

        public string PCMail { get; set; }

        public int SecretQuestion { get; set; }

        public string SecretAnswer { get; set; }

        public string Company { get; set; }

        public string OfficialPosition { get; set; }

        public System.DateTime Birthday { get; set; }

        public int Sex { get; set; }

        public string LoginType { get; set; }

        public string Fax { get; set; }
    }
}
