﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;

namespace CAUtility.Plugin
{
    public class PluginMenu
    {
        public PluginMenu()
        {

        }

        public string GetPluginMenu()
        {
            string result = string.Empty;
            foreach (Type plugin in CaContext.Current.PluginManagementList)
            {
                object target = plugin.InvokeMember(null,
                           BindingFlags.CreateInstance,
                           null,
                           null,
                           null);

                System.Web.UI.Page currentPage = (System.Web.HttpContext.Current.Handler as System.Web.UI.Page);
                string path = string.Empty;
                if (currentPage != null)
                    path = currentPage.ResolveUrl(plugin.GetProperty("PageUrl").GetValue(target, null).ToString());
                else
                    path = "/";

                result += "<a href=\"" + path + "\">" + plugin.GetProperty("PageName").GetValue(target, null) + "</a><br />";
            }

            return result;
        }
    }
}
