﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CAUtility.Utility
{
    public class UrlPathUtil
    {

        public static string RootPath
        {
            get
            {
                System.Web.UI.Page currentPage = (System.Web.HttpContext.Current.Handler as System.Web.UI.Page);
                string result = string.Empty;
                if (currentPage != null)
                    return currentPage.ResolveUrl("~/");
                else
                    return "/";
            }
        }

        public static string CultureRootPath
        {
            get
            {
                string urlCulture = SupportCulture.GetCultureFromUrl();
                if (string.IsNullOrEmpty(urlCulture))
                    return RootPath;

                if (string.Equals(urlCulture, CaSettings.PageDefaultCulture))
                    return RootPath;
                else
                    return RootPath + urlCulture + "/";
            }
        }
    }
}
