﻿namespace CaManager.LoginUI
{
    using System;
    using System.ComponentModel.DataAnnotations;
    using System.ServiceModel.DomainServices.Client.ApplicationServices;
    using System.Windows;
    using System.Windows.Controls;
    using System.Windows.Input;
    using CaManager.Models;
    using SilverlightFramework;

    public partial class LoginForm : ChildWindow
    {
        private LoginInfo loginInfo = new LoginInfo();

        public LoginForm()
        {
            InitializeComponent();

            this.DataContext = this.loginInfo;
        }

        private void LoginButton_Click(object sender, EventArgs e)
        {

            if (this.loginForm.ValidateItem())
            {
            }
        }

        private void CancelButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void LoginForm_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Escape)
            {
                this.CancelButton_Click(sender, e);
            }
            else if (e.Key == Key.Enter && this.loginButton.IsEnabled)
            {
                this.LoginButton_Click(sender, e);
            }
        }
    }
}
