﻿using System.Globalization;
using System.ServiceModel.DomainServices.Client.ApplicationServices;
using System.Windows;
using System.Windows.Controls;
using SilverlightFramework;

namespace CaManager.LoginUI
{

    public partial class LoginStatus : UserControl
    {

        public LoginStatus()
        {
            this.InitializeComponent();

            this.UpdateLoginState();
        }

        private void LogoutButton_Click(object sender, RoutedEventArgs e)
        {
            }

        private void Authentication_LoggedIn(object sender, AuthenticationEventArgs e)
        {
            this.UpdateLoginState();
        }

        private void Authentication_LoggedOut(object sender, AuthenticationEventArgs e)
        {
            this.UpdateLoginState();
        }

        private void UpdateLoginState()
        {
            if (WebContext.Current.IsAuthenticated)
            {
                VisualStateManager.GoToState(this, WebContext.Current.IsAuthenticated ? "windowsAuth" : "loggedIn", true);
            }
            else
            {
                VisualStateManager.GoToState(this, "loggedOut", true);
            }
        }
    }
}
