﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;

using CaManager.Models;
using SilverlightFramework.Core;
using SilverlightFramework;
using CaManager.ServiceReference;

namespace CaManager.Views
{
    public partial class MessageCenter : Page
    {
        public MessageCenter()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            WebServiceSoapClient client = ServiceContext.Current.GetClient();
            client.GetTestCompleted += new System.EventHandler<GetTestCompletedEventArgs>(client_GetTestCompleted);
            client.GetTestAsync();
        }
        private void client_GetTestCompleted(object sender, GetTestCompletedEventArgs e)
        {
            this.dataGrid1.ItemsSource = e.Result.ListResult;
        }
    }
}
