﻿<%@ Page Language="C#" MasterPageFile="../Common/AdminHead.master" AutoEventWireup="true" CodeBehind="ClassificationEdit.aspx.cs" Inherits="WebApplication.Admin.ProductInfo.ClassificationAppend" validateRequest="False"%>
<%@ MasterType virtualpath="../Common/AdminHead.Master" %>
<%@ Register assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="ZXR" %>

<%@ Register assembly="WebFramework" namespace="ZXR.Web.Validator" tagprefix="zxr" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <style type="text/css">
        .style2
        {
            text-align: left;
        }
    </style>
       <script type="text/javascript" src="../../ckfinder/ckfinder.js"></script>

    <script type="text/javascript">

        function BrowseServer(startupPath, functionData) {
            // You can use the "CKFinder" class to render CKFinder in a page:
            var finder = new CKFinder();

            // The path for the installation of CKFinder (default = "/ckfinder/").
            finder.BasePath = '../../ckfinder/';

            //Startup path in a form: "Type:/path/to/directory/"
            finder.StartupPath = startupPath;

            // Name of a function which is called when a file is selected in CKFinder.
            finder.SelectFunction = SetFileField;

            // Additional data to be passed to the SelectFunction in a second argument.
            // We'll use this feature to pass the Id of a field that will be updated.
            finder.SelectFunctionData = functionData;

            // Name of a function which is called when a thumbnail is selected in CKFinder.
            finder.SelectThumbnailFunction = ShowThumbnails;

            // Launch CKFinder
            finder.Popup();
        }

        // This is a sample function which is called when a file is selected in CKFinder.
        function SetFileField(fileUrl, data) {
            document.getElementById(data["selectFunctionData"]).value = fileUrl;
        }

        // This is a sample function which is called when a thumbnail is selected in CKFinder.
        function ShowThumbnails(fileUrl, data) {
            var sFileName = decodeURIComponent(fileUrl.replace(/^.*[\/\\]/g, ''));
            document.getElementById('thumbnails').innerHTML +=
			'<div class="thumb">' +
				'<img src="' + fileUrl + '" />' +
				'<div class="caption">' +
					'<a href="' + data["fileUrl"] + '" target="_blank">' + sFileName + '</a> (' + data["fileSize"] + 'KB)' +
				'</div>' +
			'</div>';

            document.getElementById('preview').style.display = "";
            // It is not required to return any value.
            // When false is returned, CKFinder will not close automatically.
            return false;
        }
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" Runat="Server">
    <table align="center" style="width: 786px">
    <tr>
        <td valign="top">
            <table style="width: 78%; height: 80px;">
                <tr>
                    <td class="style2" colspan="2">
                        &nbsp;</td>
                </tr>
                <tr>
                    <td class="style2">
                        <asp:Label ID="LabelName" runat="server" Text="Label"></asp:Label>
                        &nbsp;:</td>
                    <td align="left">
                        <zxr:TextBox ID="CustomTextBox1" runat="server" Width="200px" 
                            IsRequiredField="False" IsRequired="True"></zxr:TextBox>
                        <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="CustomTextBox1">
                        </zxr:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td class="style2">
                        <asp:Label ID="LabelDetails" runat="server" Text="Label"></asp:Label>
                        &nbsp;:</td>
                    <td align="left">
                        <zxr:TextBox ID="CustomTextBox2" runat="server" Width="200px" 
                            IsRequiredField="False"></zxr:TextBox>
                    </td>
                </tr>
                <tr>
                        <td style="text-align: left" class="style17">
                            <zxr:Label ID="DisplayLabelKeyword" runat="server">SEOキーワード</zxr:Label>
&nbsp;:</td>
                    <td align="left">
                        <zxr:TextBox ID="CustomTextBoxKeyword" runat="server" Width="456px"></zxr:TextBox>
                    </td>
                </tr>
                <tr>
                    <td class="style2">
                        <zxr:Label ID="DisplayLabelOrder" runat="server"></zxr:Label>
&nbsp;:</td>
                    <td align="left">
                        <zxr:TextBox ID="CustomTextBoxOrder" runat="server" ValidateMode="Figure" 
                            IsRequired="True" Width="35px">1</zxr:TextBox>
                        <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                            ControlToValidate="CustomTextBoxOrder">
                        </zxr:RequiredFieldValidator>
                        <zxr:RangeFigureValidator ID="RangeFigureValidator1" runat="server" 
                            ControlToValidate="CustomTextBoxOrder" MaximumValue="999" MinimumValue="1">
                        </zxr:RangeFigureValidator>
                    </td>
                </tr>
                <tr>
                    <td class="style2">
                        &nbsp;</td>
                    <td align="left">
                            <zxr:Label ID="DisplayLabelImageNotfiy" runat="server" ForeColor="#FF3300"></zxr:Label>
                    </td>
                </tr>
                <tr>
                    <td class="style2">
                            <zxr:Label ID="DisplayLabelLinkImage" runat="server">独自のリンク写真</zxr:Label>
&nbsp;:</td>
                    <td align="left">
                        <input id="xImagePath" name="xImagePath" type="text" size="40" /><input type="button"
                                value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" /><br />
                            <zxr:ImageView ID="ImageView1" runat="server" Width="141px" 
                            Height="101px" />
                            <br />
                        <zxr:ValidatorButton ID="CustomButtonDeleteLinkImage" runat="server" 
                            onclick="CustomButtonDeleteLinkImage_Click" Text="画像削除" />
                    </td>
                </tr>
                <tr>
                    <td class="style2">
                        &nbsp;</td>
                    <td style="text-align: right">
                        <zxr:Button ID="CustomButtonUpdate" runat="server" 
                            onclick="CustomButtonUpdate_Click" Text="更新" Width="56px" />
                    </td>
                </tr>
            </table>
            <br />
        </td>
    </tr>
</table>
</asp:Content>