<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Common/AdminHead.Master"
    ValidateRequest="false" AutoEventWireup="true" CodeBehind="ItemEdit.aspx.cs"
    Inherits="WebApplication.Admin.Reservation.ItemEdit" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Src="../../WebParts/ZxrEditorBox.ascx" TagName="ZxrEditorBox" TagPrefix="uc1" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <style type="text/css">
        #xImagePath
        {
            width: 126px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="server">
    <table align="center" style="width: 100%" border="1" cellpadding="0"
        cellspacing="0">
        <tr>
            <td valign="top">
                <table style="width: 100%; border-collapse: collapse; border-spacing: 0px;" border="1">
                    <tr>
                        <td>
                            <asp:Label ID="LabelItemName" runat="server" Text="ACe"></asp:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left" >
                            <zxr:TextBox ID="CustomTextBoxProductName" runat="server" Width="231px" Height="22px"
                                IsRequired="True"></zxr:TextBox>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="CustomTextBoxProductName">
                            </zxr:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <zxr:Label ID="DisplayLabelUnit" runat="server">\P</zxr:Label>
                            F
                        </td>
                        <td style="text-align: left">
                            <zxr:RadioButton ID="RadioButtonUnitDay" runat="server" GroupName="Unit" Text="I\"
                                AutoPostBack="True" OnCheckedChanged="RadioButtonUnitTime_CheckedChanged" ValidationGroup="Unit" />
                            <zxr:RadioButton ID="RadioButtonUnitRangeDate" runat="server" AutoPostBack="True"
                                GroupName="Unit" OnCheckedChanged="RadioButtonUnitTime_CheckedChanged" Text="͈͓t"
                                ValidationGroup="Unit" />
                            <zxr:RadioButton ID="RadioButtonUnitTime" runat="server" GroupName="Unit" Text="Jnԗ\"
                                AutoPostBack="True" OnCheckedChanged="RadioButtonUnitTime_CheckedChanged" ValidationGroup="Unit" />
                            <zxr:RadioButton ID="RadioButtonUnitEveryTime" runat="server" AutoPostBack="True"
                                GroupName="Unit" OnCheckedChanged="RadioButtonUnitTime_CheckedChanged" Text="Cӎԑ"
                                ValidationGroup="Unit" />
                            <zxr:HidenInfoPanel ID="HidenInfoPanel1" runat="server">
                                <zxr:Label ID="LabelTimeRange" runat="server">\\̎ԑ</zxr:Label>
                                F<zxr:TextBox ID="TextBoxTimeBegin" runat="server" Width="79px" 
                                    IMEMode="Disabled"></zxr:TextBox>
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextBoxTimeBegin"
                                    Display="Dynamic"></zxr:RequiredFieldValidator>
                                <zxr:TimeFormatValidator ID="TimeFormartValidator2" runat="server" ControlToValidate="TextBoxTimeBegin">HH:mm `ŎԂ͂܂B</zxr:TimeFormatValidator>
                                `
                                <zxr:TextBox ID="TextBoxTimeEnd" runat="server" Width="79px" IMEMode="Disabled"></zxr:TextBox>
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="TextBoxTimeEnd"
                                    Display="Dynamic"></zxr:RequiredFieldValidator>
                                <zxr:TimeFormatValidator ID="TimeFormartValidator1" runat="server" ControlToValidate="TextBoxTimeEnd">HH:mm `ŎԂ͂܂B</zxr:TimeFormatValidator>
                                <br />
                                <asp:Label ID="LabelIntervalTime" runat="server" Text="xeԑ"></asp:Label>
                                F<zxr:TextBox ID="CustomTextBoxIntervalTime" runat="server" ValidateMode="NoLimited"
                                    Width="100px" IMEMode="Disabled"></zxr:TextBox>
                                <zxr:RangeTimeFormatValidator ID="RangeTimeFormatValidator1" runat="server" ControlToValidate="CustomTextBoxIntervalTime"></zxr:RangeTimeFormatValidator>
                                <br />
                                <zxr:Label ID="LabelIntervalTimeDis" runat="server">󔒂̏ꍇ͋xeȂ</zxr:Label>
                                <br />
                            </zxr:HidenInfoPanel>
                            <zxr:HidenInfoPanel ID="HidenInfoPanel2" runat="server">
                                <zxr:Label ID="LabelReservationLength" runat="server">\̒</zxr:Label>
                                F<zxr:TextBox ID="TextBoxUnit" runat="server" Width="68px" IMEMode="Disabled"></zxr:TextBox>
                                <zxr:Label ID="LabelUnitDetails" runat="server">ԒP</zxr:Label>
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxUnit">
                                ͕K{</zxr:RequiredFieldValidator>
                                <zxr:RangeFigureValidator ID="RangeFigureValidator1" runat="server" ControlToValidate="TextBoxUnit"
                                    MaximumValue="5000" MinimumValue="1"></zxr:RangeFigureValidator>
                            </zxr:HidenInfoPanel>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="LabelSimultaneousNumber" runat="server" Text="ԑтɓ<br />\\̐"></asp:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxSimultaneousNumber" runat="server" ValidateMode="Figure"
                                Width="31px" IMEMode="Disabled">1</zxr:TextBox>
                            <zxr:RangeFigureValidator ID="RangeFigureValidator4" runat="server" ControlToValidate="CustomTextBoxSimultaneousNumber"
                                MaximumValue="9999" MinimumValue="1"></zxr:RangeFigureValidator>
                            <zxr:RangeFigureValidator ID="RangeFigureValidator5" runat="server" ControlToValidate="CustomTextBoxSimultaneousNumber"
                                MaximumValue="99999" MinimumValue="1"></zxr:RangeFigureValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelDisplayDayCount" runat="server">牽܂<br />\\ɂ܂</zxr:Label>
                            F
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="TextBoxDispalyDayCount" runat="server" Width="28px" 
                                IMEMode="Disabled">7</zxr:TextBox>
                            <zxr:RangeFigureValidator ID="RangeFigureValidator2" runat="server" ControlToValidate="TextBoxDispalyDayCount"
                                MaximumValue="30" MinimumValue="1"></zxr:RangeFigureValidator>
                            <zxr:RangeFigureValidator ID="RangeFigureValidator6" runat="server" ControlToValidate="TextBoxDispalyDayCount"
                                MaximumValue="365" MinimumValue="1"></zxr:RangeFigureValidator>
                            <zxr:Label ID="LabelDisplayDayUnit" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelDisableDate" runat="server">\s̓</zxr:Label>
                            :
                        </td>
                        <td style="text-align: left">
                            <zxr:TimeCycle ID="TimeCycle1" runat="server" />
                            <br />
                            <zxr:Label ID="LabelDisableDateDetails" runat="server">󔒂̏ꍇNxƂȂ܂B</zxr:Label>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" colspan="2">
                            <asp:Label ID="LabelDetails" runat="server" Text="ڍ"></asp:Label>
                            &nbsp;:
                            <uc1:ZxrEditorBox ID="ZxrEditorBox1" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                        <td style="text-align: right">
                            <zxr:ValidatorButton ID="CustomButtonUpdate" runat="server" OnClick="ButtonUpdate_Click" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>
