﻿using System;

using CAUtility.Pages;
using CAUtility.Logic.ReservationData;

namespace WebApplication.Admin.Reservation
{

    public partial class ReservationManager : SecurityPage
    {
        protected void Page_Init(object sender, EventArgs e)
        {
            InitInterface();
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            SearchReservationDataBizProcess param = new SearchReservationDataBizProcess();
            param.UserName = this.TextBoxUserId.Text;
            param.ReservationNumber = this.TextBoxOrderNumber.Text;
            param.Status = this.DropDownListStatus.SelectedValue;

            SearchReservationDataBizLogic logic = new SearchReservationDataBizLogic();
            SearchReservationDataBizResult result = (SearchReservationDataBizResult)logic.Execute(param);

            this.ZxrGridView1.DataSource = result.DataList;
            this.ZxrGridView1.DataBind();
        }

        private void InitInterface()
        {
        }

        protected void ButtonSearch_Click(object sender, EventArgs e)
        {
           
        }

    }
}
