<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HighlevelSetting.aspx.cs" MasterPageFile="../Common/AdminHead.master" 
Inherits="WebApplication.Admin.Settings.HighlevelSetting" %>

<%@ Register assembly="WebFramework" Namespace="ZXR.Web.Controls"
    TagPrefix="ZXR" %>
<%@ Register assembly="WebFramework" namespace="ZXR.Web.Validator" tagprefix="zxr" %>
<%@ Register assembly="CAUtility" namespace="CAUtility.Controls" tagprefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        .style5
        {
            width: 350;
            text-align: left;
        }
        .style6
        {
            text-align: right;
            }
        .style7
        {
            text-align: center;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="Server">
    <div align="center">
        <br />
        <table>
            <tr>
                <td class="style7" colspan="2">
                    &nbsp;
                    <zxr:Label ID="DisplayLabelNotify" runat="server" ForeColor="Red"></zxr:Label>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td class="style6">
                    &nbsp;</td>
                <td class="style5">
                    &nbsp;</td>
            </tr>
            <tr>
                <td class="style7" colspan="2">
                    <zxr:Label ID="DisplayLabelDbDetails" runat="server" ForeColor="Red" 
                        style="text-align: center"></zxr:Label>
                &nbsp;</td>
            </tr>
            <tr>
                <td class="style6">
                    <zxr:Label ID="DisplayLabelDbAddress" runat="server">f[^x[XpX</zxr:Label>
                    F</td>
                <td class="style5">
                    <zxr:TextBox ID="CustomTextBoxDbAddress" runat="server"
                        Width="200" ValidateMode="NoLimited"></zxr:TextBox>
                </td>
            </tr>
            <tr>
                <td class="style6">
                    <zxr:Label ID="DisplayLabelDbPassword" runat="server">DBpX[h</zxr:Label>
                    F</td>
                <td class="style5">
                    <zxr:TextBox ID="CustomTextBoxDbPassword" runat="server" Width="200" 
                        ValidateMode="NoLimited"></zxr:TextBox>
                    <br />
                    <ZXR:Label ID="LabelDBPwDes" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="style6">
                    &nbsp;</td>
                <td class="style5">
                    &nbsp;</td>
            </tr>
            <tr>
                <td class="style7" colspan="2">
                    <zxr:Label ID="DisplayLabelAdminDetails" runat="server" ForeColor="Red"></zxr:Label>
                &nbsp;</td>
            </tr>
            <tr>
                <td class="style6">
                    <zxr:Label ID="DisplayLabelAdminCulture" runat="server">Ǘy[W</zxr:Label>
                    F</td>
                <td class="style5">
                    <ZXR:DropDownList ID="DropDownListAdminCulture" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="style6">
                    <zxr:Label ID="DisplayLabelBackup" runat="server">obNAbvt@Ci[pX</zxr:Label>
                    F</td>
                <td class="style5">
                    <zxr:TextBox ID="CustomTextBoxBackupPath" runat="server" Width="200" 
                        ValidateMode="NoLimited"></zxr:TextBox>
                </td>
            </tr>
            <tr>
                <td class="style6">
                    &nbsp;</td>
                <td class="style5">
                    &nbsp;</td>
            </tr>
            <tr>
                <td class="style7" colspan="2">
                    <zxr:Label ID="DisplayLabelPageDetails" runat="server" ForeColor="Red"></zxr:Label>
                &nbsp;</td>
            </tr>
            <tr>
                <td class="style6">
                    <zxr:Label ID="DisplayLabelPageDefaultCulture" runat="server">y[WftHg</zxr:Label>
                    F</td>
                <td class="style5">
                    <cc1:SelectCulture ID="SelectCulturePageCulture" runat="server" />
                </td>
            </tr>
            <tr>
                <td class="style6" valign="top">
                    <ZXR:Label ID="LabelNewCulture" runat="server" Text="Ṽy[W쐬" />
                    F</td>
                <td class="style5">
                    <ZXR:DropDownList ID="DropDownListNewCulture" runat="server" 
                        DataTextField="DisplayName" DataValueField="Name" />
                    <br />
                    <ZXR:Button ID="ButtonCreateNewCulture" runat="server" 
                        onclick="ButtonCreateNewCulture_Click" Text="쐬" />
                </td>
            </tr>
            <tr>
                <td class="style6">
                    &nbsp;</td>
                <td class="style5">
                    &nbsp;</td>
            </tr>
            <tr>
                <td align="center" colspan="2">
                    <ZXR:Label ID="LabelCoreSetting" runat="server" ForeColor="Red" style="text-align: center" 
                        Text="RAǗ" />
                </td>
            </tr>
            <tr>
                <td class="style6">
                    <ZXR:Label ID="LabelTrace" runat="server" Text="RAg[XL^" />
                    :</td>
                <td class="style5">
                    <ZXR:RadioButton ID="RadioButtonCoreTraceOn" runat="server" Text="ON" 
                        GroupName="TraceLog" />
                    <ZXR:RadioButton ID="RadioButtonCoreTraceOff" runat="server" Text="OFF" 
                        GroupName="TraceLog" />
                </td>
            </tr>
            <tr>
                <td class="style6">
                    <ZXR:Label ID="LabelDataCacheTime" runat="server" Text="f[^LbV" />
                    :</td>
                <td class="style5">
                    <ZXR:TextBox ID="TextBoxDataCacheTime" runat="server" Width="78px" />
                    <zxr:RangeFigureValidator ID="RangeFigureValidator1" runat="server" 
                        ControlToValidate="TextBoxDataCacheTime" MaximumValue="999999" 
                        MinimumValue="-1">
                    </zxr:RangeFigureValidator>
                </td>
            </tr>
            <tr>
                <td class="style6">
                    <ZXR:Label ID="LabelDataCacheCount" runat="server" Text="f[^LbV" />
                    :</td>
                <td class="style5">
                    <ZXR:TextBox ID="TextBoxDataCacheCount" runat="server" Width="79px" />
                    <zxr:RangeFigureValidator ID="RangeFigureValidator2" runat="server" 
                        ControlToValidate="TextBoxDataCacheCount" MaximumValue="9999999" 
                        MinimumValue="0">
                    </zxr:RangeFigureValidator>
                </td>
            </tr>
            <tr>
                <td class="style6">
                    &nbsp;</td>
                <td class="style5">
                    &nbsp;</td>
            </tr>
            <tr>
                <td class="style6">
                    &nbsp;
                </td>
                <td style="text-align: right" class="style5">
                    <zxr:ValidatorButton ID="CustomButtonUpdate" runat="server" 
                        OnClick="CustomButton1_Click" Text="XV" Width="87px" />
                </td>
            </tr>
        </table>
        <br />
    </div>
</asp:Content>