﻿<%@ Page Language="C#" MasterPageFile="~/Admin/Common/AdminHead.Master" AutoEventWireup="true"
    CodeBehind="UserAppend.aspx.cs" Inherits="WebApplication.Admin.UserManager.UserAppend"
    Title="Untitled Page" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="server">
    <table style="width: 100%;">
        <tr>
            <td>
                <table>
                    <tr>
                        <td style="text-align: right">
                            <zxr:Label ID="DisplayLabelUserNameTitle" runat="server">
                                ユーザー名</zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxUsername" runat="server" ValidateMode="Alpha" IsRequired="True"
                                IMEMode="Disabled"></zxr:TextBox>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="CustomTextBoxUsername">
                            </zxr:RequiredFieldValidator>
                            <zxr:RangeStringValidator ID="RangeStringValidator1" runat="server" MaximumValue="100"
                                MinimumValue="3" ControlToValidate="CustomTextBoxUsername"></zxr:RangeStringValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <zxr:Label ID="LabelFriendlyName" runat="server" Text="ニックネーム" />
                            &nbsp;：
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="TextBoxFriendlyName" runat="server" />
                            <zxr:RangeStringValidator ID="RangeStringValidator2" runat="server" MaximumValue="100"
                                MinimumValue="3" ControlToValidate="TextBoxFriendlyName"></zxr:RangeStringValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <zxr:Label ID="DisplayLabelPassword" runat="server">パスワード</zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxPassword" runat="server" TextMode="Password" ValidateMode="NoLimited"
                                IsRequired="True"></zxr:TextBox>
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="CustomTextBoxPassword">
                            </zxr:RequiredFieldValidator>
                            <zxr:ComplexStringValidator ID="ComplexStringValidator1" runat="server" ControlToValidate="CustomTextBoxPassword"
                                MaxLength="12" MinLength="6"></zxr:ComplexStringValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <zxr:Label ID="DisplayLabelPasswordConfirm" runat="server">再確認</zxr:Label>
                            &nbsp;:
                        </td>
                        <td style="text-align: left">
                            <zxr:TextBox ID="CustomTextBoxPasswordConfirm" runat="server" TextMode="Password"
                                ValidateMode="NoLimited"></zxr:TextBox>
                            &nbsp;<zxr:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="CustomTextBoxPasswordConfirm">
                            </zxr:RequiredFieldValidator>
                            <zxr:CompareStringValidator ID="CompareStringValidator1" runat="server" ControlToCompare="CustomTextBoxPassword"
                                ControlToValidate="CustomTextBoxPasswordConfirm"></zxr:CompareStringValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <zxr:Label ID="LabelUserGroup" runat="server" Text="所属グループ" />
                            ：
                        </td>
                        <td style="text-align: left">
                            <zxr:DropDownList ID="DropDownListUserGroup" runat="server">
                            </zxr:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            &nbsp;
                        </td>
                        <td>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" style="text-align: right">
                            <zxr:ValidatorButton ID="CustomButtonRegist" runat="server" OnClick="CustomButtonUpdate_Click"
                                Text="登録" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>
