﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Common/AdminHead.Master"
    AutoEventWireup="true" CodeBehind="ReservationManager.aspx.cs" Inherits="WebApplication.Admin.Reservation.ReservationManager" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="server">
    <table align="center" style="width: 586px">
        <tr>
            <td valign="top">
                <table align="center" style="width: 90%;">
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelUserName" runat="server" Text="予約者" />
                            ：<zxr:TextBox ID="TextBoxUserId" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelReservationNumber" runat="server" Text="予約番号" />
                            ：<zxr:TextBox ID="TextBoxOrderNumber" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelStatus" runat="server" Text="状態" />
                            ：<zxr:DropDownList ID="DropDownListStatus" runat="server">
                                <asp:ListItem Value="All">すべて</asp:ListItem>
                                <asp:ListItem Value="Normal">未処理</asp:ListItem>
                                <asp:ListItem Value="Processing">処理中</asp:ListItem>
                                <asp:ListItem Value="DummyDelete">処理済み</asp:ListItem>
                                <asp:ListItem Value="Cancel">キャンセル</asp:ListItem>
                            </zxr:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Button ID="ButtonSearch" runat="server" OnClick="ButtonSearch_Click" Text="組み合わせ条件で検索" />
                        </td>
                    </tr>
                </table>
                <br />
                <zxr:ZxrGridView ID="ZxrGridView1" runat="server" AutoGenerateColumns="False" EnableModelValidation="True"
                    AllowPaging="True" BackColor="White" BorderColor="#E7E7FF" BorderStyle="None"
                    BorderWidth="1px" CellPadding="5" EnableSortingAndPagingCallbacks="True">
                    <AlternatingRowStyle BackColor="#F7F7F7" />
                    <Columns>
                        <asp:HyperLinkField DataNavigateUrlFields="ID" DataNavigateUrlFormatString="UpdateStatus.aspx?ID={0}"
                            DataTextField="ReservationNumber" HeaderText="予約番号">
                            <ItemStyle Width="80px" />
                        </asp:HyperLinkField>
                        <asp:BoundField DataField="UserName" HeaderText="予約者" />
                        <asp:BoundField DataField="ItemName" HeaderText="予約対象名">
                            <ItemStyle Width="100px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="ReservateRegDate" HeaderText="予約登録日" />
                        <asp:BoundField DataField="Status" HeaderText="状態" />
                    </Columns>
                    <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
                    <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
                    <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
                    <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
                    <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
                </zxr:ZxrGridView>
                <br />
            </td>
        </tr>
    </table>
</asp:Content>
