﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/Common/AdminHead.Master" AutoEventWireup="true" CodeBehind="OrderListManager.aspx.cs" Inherits="WebApplication.Admin.Shopping.OrderListManager" %>
<%@ Register assembly="WebFramework" namespace="ZXR.Web.Controls" tagprefix="zxr" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderAdminHead" runat="server">
    <table align="center">
        <tr>
            <td>
                <table align="center" style="width: 90%;">
                    <tr>
                        <td>
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelUserId" runat="server" Text="ユーザーID" />
                            ：<zxr:TextBox ID="TextBoxUserId" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelOrderNumber" runat="server" Text="オーダー番号" />
                            ：<zxr:TextBox ID="TextBoxOrderNumber" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Label ID="LabelStatus" runat="server" Text="状態" />
                            ：<zxr:DropDownList ID="DropDownListStatus" runat="server">
                                <asp:ListItem Value="All">すべて</asp:ListItem>
                                <asp:ListItem Value="Normal">未処理</asp:ListItem>
                                <asp:ListItem Value="Processing">処理中</asp:ListItem>
                                <asp:ListItem Value="DummyDelete">処理済み</asp:ListItem>
                                <asp:ListItem Value="Cancel">キャンセル</asp:ListItem>
                            </zxr:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:Button ID="ButtonSearch" runat="server" onclick="ButtonSearch_Click" 
                                Text="組み合わせ条件で検索" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:MenuTable ID="MenuTableOrderList" runat="server" Text="MenuTable" 
                                Width="619px" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <zxr:ZxrGridView ID="ZxrGridView1" runat="server" AllowPaging="True" 
                                AllowSorting="True" AutoGenerateColumns="False" BackColor="White" 
                                BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px" CellPadding="6" 
                                EnableModelValidation="True" EnableSortingAndPagingCallbacks="True" 
                                PageSize="15">
                                <AlternatingRowStyle BackColor="#F7F7F7" />
                                <Columns>
                                    <asp:HyperLinkField DataNavigateUrlFields="SalesID" 
                                        DataNavigateUrlFormatString="OrderDetails.aspx?SalesId={0}" 
                                        DataTextField="SalesID" HeaderText="No." />
                                    <asp:BoundField DataField="UserID" HeaderText="ユーザー">
                                    <ItemStyle Width="100px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="PurchaseDate" HeaderText="購入日">
                                    <ItemStyle Width="200px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Status" HeaderText="状態">
                                    <ItemStyle Width="100px" />
                                    </asp:BoundField>
                                </Columns>
                                <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
                                <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
                                <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
                                <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
                                <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
                            </zxr:ZxrGridView>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Content>
