﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Internal/Common/InternalHead.Master"
    EnableEventValidation="false" EnableSessionState="True" EnableViewState="true"
    AutoEventWireup="true" CodeBehind="Edit.aspx.cs" Inherits="WebApplication.Internal.Schedule.Edit" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/Javascript">
        function SelectAll() {
            var lst1 = window.document.getElementById("<%=ListboxGroupMember.ClientID %>");
            var length = lst1.options.length;
            for (var i = 0; i < length; i++) {
                var v = lst1.options[i].value;
                var t = lst1.options[i].text;
                var lst2 = window.document.getElementById("<%=ListboxJoinMember.ClientID %>");
                lst2.options[i] = new Option(t, v, true, true);
            }
        }

        function DelAll() {
            var lst2 = window.document.getElementById("<%=ListboxJoinMember.ClientID %>");
            var length = lst2.options.length;
            for (var i = length; i > 0; i--) {
                lst2.options[i - 1].parentNode.removeChild(lst2.options[i - 1]);
            }
        }

        function SelectOne() {
            var lst1 = window.document.getElementById("<%=ListboxGroupMember.ClientID %>");
            var lst2 = window.document.getElementById("<%=ListboxJoinMember.ClientID %>");
            var lstindex = lst1.selectedIndex;
            var length = lst2.options.length;
            var isExists = false;
            if (lstindex < 0)
                return;
            else if (length != null) {
                for (var i = 0; i < length; i++) {
                    if (lst2.options[i].text == lst1[lstindex].text && lst2.options[i].value == lst1[lstindex].value) {
                        isExists = true;
                    }
                }
            }
            else {
                return;
            }
            if (isExists == false) {
                var v = lst1.options[lstindex].value;
                var t = lst1.options[lstindex].text;
                lst2.options[lst2.options.length] = new Option(t, v, true, true);
            }
            else {
                return false;
            }
        }

        function DelOne() {
            var lst2 = window.document.getElementById("<%=ListboxJoinMember.ClientID %>");
            var lstindex = lst2.selectedIndex;
            if (lstindex >= 0) {
                var v = lst2.options[lstindex].value + ";";
                lst2.options[lstindex].parentNode.removeChild(lst2.options[lstindex]);
            }
        }

        function SetMaxDate() {
            var checkBox = window.document.getElementById("<%= this.CheckBoxAfter.ClientID %>");
            if (checkBox.checked) {
                var lst2 = window.document.getElementById("<%= this.PopupCalendarEndDate.TextBoxClientID %>");
                lst2.value = "9999年12月30日";
            }
            else {
                dd = new Date();
                yy = dd.getYear();
                mm = dd.getMonth() + 1;
                dd = dd.getDate();
                var lst2 = window.document.getElementById("<%= this.PopupCalendarEndDate.TextBoxClientID %>");
                lst2.value = yy + "年" + mm + "月" + dd + "日";
            }
            return false;
        }
    </script>
    <table style="width: 100%;">
        <tr>
            <td align="center">
                <table style="border-style: solid; border-color: #808080; border-width: 10px 1px 0px 1px;
                    width: 98%; background-color: Gray; padding-bottom: 0px; border-collapse: collapse;"
                    align="center">
                    <tr>
                        <td style="bottom: 0px; vertical-align: bottom; margin-bottom: 0px;">
                            <zxr:LinkButton ID="LinkButtonNormal" runat="server" OnClick="LinkButtonNormal_Click"
                                Text="普通の予定" />
                            &nbsp;&nbsp;
                            <zxr:LinkButton ID="LinkButtonRepeat" runat="server" OnClick="LinkButtonRepeat_Click"
                                Text="繰り返す予定" />
                            &nbsp;&nbsp;
                            <zxr:LinkButton ID="LinkButtonContinuous" runat="server" OnClick="LinkButtonContinuous_Click"
                                Text="連続日" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table style="width: 98%;" align="center" class="ClassicTable">
                    <tr>
                        <th>
                            <zxr:Label ID="LabelTitle" runat="server" Text="タイトル" />
                            ：
                        </th>
                        <td>
                            <zxr:TextBox ID="TextBoxTitle" runat="server" Height="22px" Width="376px" />
                            <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxTitle"
                                ValidationGroup="Submit"></zxr:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <th valign="top">
                            <zxr:Label ID="LabelDescription" runat="server" Text="内容" />
                            ：
                        </th>
                        <td>
                            <zxr:TextBox ID="TextBoxDescription" runat="server" Height="138px" TextMode="MultiLine"
                                Width="374px" />
                        </td>
                    </tr>
                    <tr>
                        <th>
                            <zxr:Label ID="LabelDate" runat="server" Text="日付範囲" />
                            ：
                        </th>
                        <td>
                            <zxr:PopupCalendar ID="PopupCalendarStartDate" runat="server" Width="100px" />
                            <zxr:Label ID="LabelRange1" runat="server" Text="～" />
                            <zxr:PopupCalendar ID="PopupCalendarEndDate" runat="server" Width="100px" />
                            <zxr:CheckBox ID="CheckBoxAfter" runat="server" onclick="SetMaxDate()" Text="最大値" />
                        </td>
                    </tr>
                    <tr>
                        <th>
                            <zxr:Label ID="LabelTime" runat="server" Text="時刻範囲：" />
                        </th>
                        <td>
                            <zxr:TimeCycle ID="TimeCycle1" runat="server" />
                            <zxr:TimeSelect ID="TimeSelectStartTime" runat="server" />
                            <zxr:Label ID="LabelRange2" runat="server" Text="～" />
                            <zxr:TimeSelect ID="TimeSelectEndTime" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <th>
                            <zxr:Label ID="LabelParticipant" runat="server" Text="参加者" />
                            ：
                        </th>
                        <td>
                            <zxr:Label ID="LabelJoinMemberList" runat="server" />
                            <asp:Panel ID="Panel1" runat="server">
                                <table style="width: 92%;" align="left" id="None">
                                    <tr>
                                        <td>
                                            <zxr:Label ID="LabelJoinMember" runat="server" Text="参加者" />
                                        </td>
                                        <td rowspan="2" align="center">
                                            <input id="Button1" type="button" onclick="SelectAll();" value="&lt;&lt;" style="width: 30px" /><br />
                                            <br />
                                            <input id="Button3" type="button" value="&lt;" onclick="SelectOne();" style="width: 30px" /><br />
                                            <br />
                                            <input id="Button4" type="button" value="&gt;" onclick="DelOne();" style="width: 30px" /><br />
                                            <br />
                                            <input id="Button2" type="button" value="&gt;&gt;" onclick="DelAll();" style="width: 30px" />
                                        </td>
                                        <td>
                                            <zxr:Label ID="LabelGroup" runat="server" Text="グループ" />
                                            &nbsp;<zxr:DropDownList ID="DropDownListGroup" runat="server" OnSelectedIndexChanged="DropDownListGroup_SelectedIndexChanged"
                                                AutoPostBack="True" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center">
                                            <zxr:Listbox ID="ListboxJoinMember" runat="server" Height="140px" SelectionMode="Multiple"
                                                Width="258px" />
                                        </td>
                                        <td>
                                            <zxr:Listbox ID="ListboxGroupMember" runat="server" Height="140px" SelectionMode="Multiple"
                                                Width="258px" />
                                        </td>
                                    </tr>
                                </table>
                            </asp:Panel>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                        <td>
                            <zxr:Button ID="ButtonRegist" runat="server" Text="登録" OnClick="ButtonRegist_Click"
                                Height="37px" Width="174px" ValidationGroup="Submit" />
                        &nbsp;
                            <zxr:Button ID="ButtonCancel" runat="server" Height="37px" 
                                onclick="ButtonCancel_Click" Text="Cancel" Width="174px" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;
            </td>
        </tr>
    </table>
</asp:Content>
