﻿<%@ Page Language="C#" MasterPageFile="ContentsMasterPage.master" AutoEventWireup="true"
    CodeBehind="~/Logic/ReturnPassword.aspx.cs" Inherits="WebApplication.Contents.ReturnPassword" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="zxr" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderCommonMasterPage"
    runat="Server">
    <div id="contents_top">
        &nbsp;
    </div>
    <div id="contents_bg">
        <table align="center" style="width: 95%">
            <tr>
                <td align="center">
                    <br />
                    <table style="width: 55%; text-align: left">
                        <tr>
                            <td>
                                <zxr:Label ID="DisplayLabelDetails" runat="server">
                                登録したメールアドレスへメールを送信します。</zxr:Label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelUserIDDes" runat="server" Text="ユーザー名：" />
                                <zxr:TextBox ID="TextBoxUserId" runat="server" ValidationGroup="Email" IMEMode="Disabled"
                                    MaxLength="12"></zxr:TextBox>
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextBoxUserId"
                                    ValidationGroup="Email"></zxr:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:VerifyCodeTextBox ID="VerifyCodeTextBox1" runat="server"
                                    ValidationGroup="Email" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Button ID="ButtonByEmail" runat="server" OnClick="ButtonByEmail_Click" Text="パスワードを送信"
                                    ValidationGroup="Email" />
                            </td>
                        </tr>
                    </table>
                    <br />
                </td>
            </tr>
            <tr>
                <td align="center">
                    <hr style="width: 421px" />
                    <br />
                </td>
            </tr>
            <tr>
                <td align="center">
                    &nbsp;
                    <br />
                    <table style="width: 55%; text-align: left">
                        <tr>
                            <td colspan="2">
                                <zxr:Label ID="LabelTitle" runat="server" Text="秘密質問でパスワードをリセット" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelUserName" runat="server" Text="ユーザー名" />
                                ：
                            </td>
                            <td>
                                <zxr:TextBox ID="TextBoxUserName" runat="server" ValidationGroup="Question" IMEMode="Disabled"
                                    MaxLength="12" />
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxUserName"
                                    ValidationGroup="Question"></zxr:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelQuestion" runat="server" Text="質問" />
                                ：
                            </td>
                            <td>
                                <zxr:DropDownList ID="DropDownListSecretQuestion" runat="server">
                                    <asp:ListItem Value="1">子どものころのあだ名は？</asp:ListItem>
                                    <asp:ListItem Value="2">初めて買った曲のタイトルは？</asp:ListItem>
                                    <asp:ListItem Value="3">初恋の人の名前は？</asp:ListItem>
                                    <asp:ListItem Value="4">子どものころの夢は？</asp:ListItem>
                                    <asp:ListItem Value="5">座右の銘は？</asp:ListItem>
                                    <asp:ListItem Value="6">初めて飼ったペットの名前は？</asp:ListItem>
                                    <asp:ListItem Value="7">祖父の下の名前は？</asp:ListItem>
                                    <asp:ListItem Value="8">生まれた病院は？</asp:ListItem>
                                    <asp:ListItem Value="9">初めて行った海外の国・地域は？</asp:ListItem>
                                    <asp:ListItem Value="10">小学1年生のときの担任の先生の名前は？</asp:ListItem>
                                    <asp:ListItem Value="11">リタイア後に住みたい場所は？</asp:ListItem>
                                    <asp:ListItem Value="12">初めて見た映画は？</asp:ListItem>
                                    <asp:ListItem Value="13">初めて買った車は？</asp:ListItem>
                                    <asp:ListItem Value="14">おふくろの味といえば？</asp:ListItem>
                                    <asp:ListItem Value="15">中学時代に所属していたクラブは？</asp:ListItem>
                                </zxr:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:Label ID="LabelAnswer" runat="server" Text="答え" />
                                ：
                            </td>
                            <td>
                                <zxr:TextBox ID="TextBoxAnswer" runat="server" ValidationGroup="Question" />
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxAnswer"
                                    ValidationGroup="Question"></zxr:RequiredFieldValidator>
                                <zxr:RangeStringValidator ID="RangeStringValidator1" runat="server" ControlToValidate="TextBoxAnswer"
                                    MaximumValue="30" MinimumValue="0"></zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;
                            </td>
                            <td>
                                <zxr:VerifyCodeTextBox ID="VerifyCodeTextBox2" runat="server"
                                    ValidationGroup="Question" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;
                            </td>
                            <td>
                                <zxr:Button ID="ButtonSubmit" runat="server" Text="パスワードリセット" ValidationGroup="Question"
                                    OnClick="ButtonSubmit_Click" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                &nbsp;
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <div id="contents_bottom">
        &nbsp;
    </div>
</asp:Content>
