<%@ Page Language="C#" MasterPageFile="ContentsMasterPage.master" AutoEventWireup="true" ValidateRequest="false"
    CodeBehind="~/Logic/UserRegist.aspx.cs" Inherits="WebApplication.Contents.UserRegist" %>

<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Controls" TagPrefix="ZXR" %>
<%@ Register Assembly="WebFramework" Namespace="ZXR.Web.Validator" TagPrefix="zxr" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderCommonMasterPage"
    runat="Server">
    <div id="contents_top">
        &nbsp;
    </div>
    <div id="contents_bg">
        <table align="center" style="width: 786px">
            <tr>
                <td style="text-align: center">
                    <br />
                    <table border="0" cellpadding="0" cellspacing="0" class="UserInfoTable">
                        <tr>
                            <td colspan="2">
                                <zxr:ImageView ID="ImageView" runat="server" ImageUrl="~/App_Themes/Default/Images/Mark.png"
                                    Height="10px" Width="10px" />
                                <zxr:Label ID="Label14" runat="server" Font-Size="Medium" Text="{" />
                            </td>
                        </tr>
                        <tr>
                            <td align="left" valign="top">
                                <zxr:Label ID="LabelUserid" runat="server">[U[ID</zxr:Label>
                                &nbsp;:
                                <br />
                                <zxr:Label ID="Label" runat="server" ForeColor="Blue" Text="K{" />
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp" runat="server" Text="&lt;6ȏ12ȓpp&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxUserid" runat="server" IsRequired="True"
                                    IMEMode="Disabled" MaxLength="12" ValidationGroup="UserName"></zxr:TextBox>
                                &nbsp;&nbsp;<zxr:Button ID="ButtonCheckUserExists" runat="server" 
                                    Text="gp\`FbN" onclick="ButtonCheckUserExists_Click" 
                                    ValidationGroup="UserName" />
                                <br />
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                                    ControlToValidate="TextBoxUserid" ValidationGroup="UserName">
                                </zxr:RequiredFieldValidator>
                                <zxr:RangeStringValidator ID="RangeStringValidator6" runat="server" ControlToValidate="TextBoxUserid"
                                    MaximumValue="12" MinimumValue="6" ValidationGroup="UserName">
                                </zxr:RangeStringValidator>
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" 
                                    ControlToValidate="TextBoxUserid">
                                </zxr:RequiredFieldValidator>
                                <zxr:RangeStringValidator ID="RangeStringValidator7" runat="server" ControlToValidate="TextBoxUserid"
                                    MaximumValue="12" MinimumValue="6">
                                </zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="DisplayLabelPassword" runat="server">pX[h</zxr:Label>
                                &nbsp;:<br />
                                <zxr:Label ID="Label0" runat="server" ForeColor="Blue" Text="K{" />
                                &nbsp;
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelPasswordExp" runat="server" Text="&lt;6ȏ12ȓpp&gt;&lt;br /&gt;O҂ɂ郍OCh߂ɁAł邾GȂ̂ݒ肵ĂB"
                                    ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxPassword" runat="server" TextMode="Password" IsRequired="True"
                                    MaxLength="12"></zxr:TextBox>
                                <br />
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxPassword">
                                </zxr:RequiredFieldValidator>
                                <br />
                                <zxr:ComplexStringValidator ID="ComplexStringValidator1" runat="server" ControlToValidate="TextBoxPassword"
                                    MaxLength="12" MinLength="6">
                                </zxr:ComplexStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelPasswordConfirm" runat="server">ĊmF</zxr:Label>
                                &nbsp;:<br />
                                <zxr:Label ID="Label1" runat="server" ForeColor="Blue" Text="K{" />
                                &nbsp;
                            </td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxPasswordConfirm" runat="server" TextMode="Password" MaxLength="12"></zxr:TextBox>
                                &nbsp;<br />
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextBoxPasswordConfirm">
                                </zxr:RequiredFieldValidator>
                                <br />
                                <zxr:CompareStringValidator ID="CompareStringValidator1" runat="server" ControlToCompare="TextBoxPassword"
                                    ControlToValidate="TextBoxPasswordConfirm" Display="Dynamic">
                                </zxr:CompareStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelEmail" runat="server">[AhX</zxr:Label>
                                &nbsp;:<br />
                                <zxr:Label ID="Label2" runat="server" ForeColor="Blue" Text="K{" />
                                &nbsp;
                            </td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxPcEmail" runat="server" IMEMode="Disabled" MaxLength="50"></zxr:TextBox>
                                <br />
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="TextBoxPcEmail">
                                </zxr:RequiredFieldValidator>
                                <br />
                                <zxr:EmailValidator ID="EmailValidator1" runat="server" ControlToValidate="TextBoxPcEmail">
                                </zxr:EmailValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <ZXR:Label ID="LabelNickName" runat="server" Text="jbNl[" />
                                F
                             
                                <br />
                                <zxr:Label ID="Label18" runat="server" ForeColor="Blue" Text="K{" />
                            </td>
                            <td style="text-align: left">
                                <ZXR:TextBox ID="TextBoxNickName" runat="server" />
                                <br />
                                <zxr:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" 
                                    ControlToValidate="TextBoxNickName">
                                </zxr:RequiredFieldValidator>
                                <zxr:RangeStringValidator ID="RangeStringValidator8" runat="server" 
                                    ControlToValidate="TextBoxNickName" MaximumValue="10" MinimumValue="2">
                                </zxr:RangeStringValidator>
                                <br />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <table border="0" cellpadding="0" cellspacing="0" class="UserInfoTable">
                        <tr>
                            <td colspan="2">
                                <zxr:ImageView ID="ImageView0" runat="server" ImageUrl="~/App_Themes/Default/Images/Mark.png"
                                    Height="10px" Width="10px" />
                                <zxr:Label ID="Label15" runat="server" Font-Size="Medium" Text="IvV" />
                                <zxr:Label ID="LabelUseridExp4" runat="server" Text="(xo^ƕύXł܂)" ForeColor="Blue" />
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelSimei" runat="server"></zxr:Label>
                                &nbsp;:<br />
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp7" runat="server" Text="͏Ɍ肪ƁApX[hĐݒ肪sȂꍇ܂B&lt;br /&gt;g̎ԈႦȂ悤ɓo^ĂB"
                                    ForeColor="Blue" />
                                <br />
                                ij<zxr:TextBox ID="TextBoxSimeiSei" runat="server" Width="58px" IMEMode="Active"
                                    MaxLength="10"></zxr:TextBox>
                                ij<zxr:TextBox ID="TextBoxSimeiMei" runat="server" Width="58px" IMEMode="Active"
                                    MaxLength="10"></zxr:TextBox>
                                <br />
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelFurigana" runat="server">itKij</zxr:Label>
                                &nbsp;:&nbsp;
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp6" runat="server" Text="&lt;SpJ^Jî&gt;" ForeColor="Blue" />
                                <br />
                                ij<zxr:TextBox ID="TextBoxFuriganaSei" runat="server" Width="58px" IMEMode="Active"
                                    MaxLength="10"></zxr:TextBox>
                                <zxr:CharTypeValidator ID="CharTypeValidator1" runat="server" ControlToValidate="TextBoxFuriganaSei">
                                </zxr:CharTypeValidator>
                                ij<zxr:TextBox ID="TextBoxFuriganaMei" runat="server" Width="58px" IMEMode="Active"
                                    MaxLength="10"></zxr:TextBox>
                                <zxr:CharTypeValidator ID="CharTypeValidator2" runat="server" ControlToValidate="TextBoxFuriganaMei">
                                </zxr:CharTypeValidator>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelBirthday" runat="server">a</zxr:Label>
                                &nbsp;:<br />
                            </td>
                            <td style="text-align: left">
                                &nbsp;<zxr:DropDownList ID="DropDownListYear" AutoPostBack="false" runat="server" />
                                <zxr:Label ID="LabelYear" runat="server" Text="N" />
                                <zxr:DropDownList ID="DropDownListMonth" AutoPostBack="false" runat="server" />
                                <zxr:Label ID="LabelMonth" runat="server" Text="" />
                                <zxr:DropDownList ID="DropDownListDay" AutoPostBack="false" runat="server" />
                                <zxr:Label ID="LabelDay" runat="server" Text="" />
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelSex" runat="server"></zxr:Label>
                                &nbsp;:&nbsp;
                            </td>
                            <td style="text-align: left">
                                <zxr:RadioButton ID="RadioButtonSexMan" runat="server" Checked="True" GroupName="Sex"
                                    Text="j" />
                                <zxr:RadioButton ID="RadioButtonSexWomen" runat="server" GroupName="Sex" Text="" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <table border="0" cellpadding="0" cellspacing="0" class="UserInfoTable">
                        <tr>
                            <td colspan="2">
                                <zxr:ImageView ID="ImageView1" runat="server" ImageUrl="~/App_Themes/Default/Images/Mark.png"
                                    Height="10px" Width="10px" />
                                <zxr:Label ID="Label16" runat="server" Font-Size="Medium" Text="{lA" />
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelRegisterName" runat="server">o^Z</zxr:Label>
                                &nbsp;:</td>
                            <td style="text-align: left">
                                <zxr:RadioButton ID="RadioButtonRegisterNameJitaku" runat="server" Checked="True"
                                    GroupName="RegisterName" Text="" />
                                <zxr:RadioButton ID="RadioButtonRegisterNameKinnmu" runat="server" GroupName="RegisterName"
                                    Text="Ζ" />
                                <zxr:RadioButton ID="RadioButtonRegisterNameOther" runat="server" GroupName="RegisterName"
                                    Text="̑" />
                                <zxr:TextBox ID="TextBoxRegisterNameOther" runat="server" Width="100px" />
                                <zxr:RangeStringValidator ID="RangeStringValidator5" runat="server" ControlToValidate="TextBoxRegisterNameOther"
                                    MaximumValue="30" MinimumValue="1">
                                </zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelYubin" runat="server">X֔ԍ</zxr:Label>
                                F</td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp5" runat="server" Text="&lt;pEnCt&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxYubin" runat="server" IMEMode="Disabled" />
                                <br />
                                <zxr:ZipcodeJapanValidator ID="ZipcodeJapanValidator1" runat="server" ControlToValidate="TextBoxYubin">
                                </zxr:ZipcodeJapanValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelTodofu" runat="server">s{</zxr:Label>
                                &nbsp;:</td>
                            <td style="text-align: left">
                                <zxr:DropDownList ID="DropDownListTodofu" runat="server">
                                    <asp:ListItem Value="kC">kC</asp:ListItem>
                                    <asp:ListItem Value="X">X</asp:ListItem>
                                    <asp:ListItem Value="茧">茧</asp:ListItem>
                                    <asp:ListItem Value="{錧">{錧</asp:ListItem>
                                    <asp:ListItem Value="Hc">Hc</asp:ListItem>
                                    <asp:ListItem Value="R`">R`</asp:ListItem>
                                    <asp:ListItem Value=""></asp:ListItem>
                                    <asp:ListItem Value="錧">錧</asp:ListItem>
                                    <asp:ListItem Value="Ȗ،">Ȗ،</asp:ListItem>
                                    <asp:ListItem Value="Qn">Qn</asp:ListItem>
                                    <asp:ListItem Value="ʌ">ʌ</asp:ListItem>
                                    <asp:ListItem Value="t">t</asp:ListItem>
                                    <asp:ListItem Value="s">s</asp:ListItem>
                                    <asp:ListItem Value="_ސ쌧">_ސ쌧</asp:ListItem>
                                    <asp:ListItem Value="V">V</asp:ListItem>
                                    <asp:ListItem Value="xR">xR</asp:ListItem>
                                    <asp:ListItem Value="ΐ쌧">ΐ쌧</asp:ListItem>
                                    <asp:ListItem Value="䌧">䌧</asp:ListItem>
                                    <asp:ListItem Value="R">R</asp:ListItem>
                                    <asp:ListItem Value="쌧">쌧</asp:ListItem>
                                    <asp:ListItem Value="򕌌">򕌌</asp:ListItem>
                                    <asp:ListItem Value="É">É</asp:ListItem>
                                    <asp:ListItem Value="m">m</asp:ListItem>
                                    <asp:ListItem Value="Od">Od</asp:ListItem>
                                    <asp:ListItem Value="ꌧ">ꌧ</asp:ListItem>
                                    <asp:ListItem Value="s{">s{</asp:ListItem>
                                    <asp:ListItem Value="{">{</asp:ListItem>
                                    <asp:ListItem Value="Ɍ">Ɍ</asp:ListItem>
                                    <asp:ListItem Value="ޗǌ">ޗǌ</asp:ListItem>
                                    <asp:ListItem Value="a̎R">a̎R</asp:ListItem>
                                    <asp:ListItem Value="挧">挧</asp:ListItem>
                                    <asp:ListItem Value=""></asp:ListItem>
                                    <asp:ListItem Value="R">R</asp:ListItem>
                                    <asp:ListItem Value="L">L</asp:ListItem>
                                    <asp:ListItem Value="R">R</asp:ListItem>
                                    <asp:ListItem Value=""></asp:ListItem>
                                    <asp:ListItem Value="쌧">쌧</asp:ListItem>
                                    <asp:ListItem Value="Q">Q</asp:ListItem>
                                    <asp:ListItem Value="m">m</asp:ListItem>
                                    <asp:ListItem Value=""></asp:ListItem>
                                    <asp:ListItem Value="ꌧ">ꌧ</asp:ListItem>
                                    <asp:ListItem Value="茧">茧</asp:ListItem>
                                    <asp:ListItem Value="F{">F{</asp:ListItem>
                                    <asp:ListItem Value="啪">啪</asp:ListItem>
                                    <asp:ListItem Value="{茧">{茧</asp:ListItem>
                                    <asp:ListItem Value=""></asp:ListItem>
                                    <asp:ListItem Value="ꌧ">ꌧ</asp:ListItem>
                                    <asp:ListItem Value="O">O</asp:ListItem>
                                </zxr:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelKunsiku" runat="server">Ssij</zxr:Label>
                                &nbsp;:</td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxKunsiku" runat="server" IMEMode="Active"></zxr:TextBox>
                                &nbsp;</td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelJyusyo" runat="server">ȍ~̏Z</zxr:Label>
                                &nbsp;:<br />
                            </td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxJyusyo" runat="server" IMEMode="Active"></zxr:TextBox>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelMobileEmail" runat="server">gу[AhX</zxr:Label>
                                F</td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp8" runat="server" Text="&lt;pp&gt;&lt;br /&gt;gѓdb̃[AhX͂ĂB"
                                    ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxMobileEmail" runat="server" IMEMode="Disabled" MaxLength="50" />
                                <zxr:EmailValidator ID="EmailValidator2" runat="server" ControlToValidate="TextBoxMobileEmail">
                                </zxr:EmailValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelHomePhone" runat="server">dbԍ</zxr:Label>
                                F</td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp3" runat="server" Text="&lt;pEnCt&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxHomePhone" runat="server" Width="129px" />
                                <br />
                                <zxr:PhoneNumberJapan ID="PhoneNumberJapan3" runat="server" ControlToValidate="TextBoxHomePhone">
                                </zxr:PhoneNumberJapan>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelFax" runat="server">FAXԍ</zxr:Label>
                                F
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp2" runat="server" Text="&lt;pEnCt&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxFax" runat="server" />
                                <br />
                                <zxr:PhoneNumberJapan ID="PhoneNumberJapan1" runat="server" ControlToValidate="TextBoxFax">
                                </zxr:PhoneNumberJapan>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelMobilePhone" runat="server">gѓdbԍ</zxr:Label>
                                F<br />
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp1" runat="server" Text="&lt;pEnCt&gt;" ForeColor="Blue" />
                                <br />
                                <zxr:TextBox ID="TextBoxMobilePhone" runat="server" />
                                <br />
                                <zxr:PhoneNumberJapan ID="PhoneNumberJapan2" runat="server" ControlToValidate="TextBoxMobilePhone">
                                </zxr:PhoneNumberJapan>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <table border="0" cellpadding="0" cellspacing="0" class="UserInfoTable">
                        <tr>
                            <td colspan="2">
                                <zxr:ImageView ID="ImageView2" runat="server" ImageUrl="~/App_Themes/Default/Images/Mark.png"
                                    Height="10px" Width="10px" />
                                <zxr:Label ID="Label17" runat="server" Font-Size="Medium" Text="̑̏" />
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelSecretQuestion" runat="server">閧̎</zxr:Label>
                                &nbsp;:
                            </td>
                            <td style="text-align: left">
                                <zxr:Label ID="LabelUseridExp0" runat="server" Text="&lt;pX[hĐݒ̂ƂɎgp܂B&gt;&lt;br /&gt;&lt;ȂɂȂ閧̎Ɠo^ĂB&gt;"
                                    ForeColor="Blue" />
                                <br />
                                <zxr:DropDownList ID="DropDownListSecretQuestion" runat="server">
                                    <asp:ListItem Value="1">qǂ̂̂́H</asp:ListItem>
                                    <asp:ListItem Value="2">߂ĔȂ̃^CǵH</asp:ListItem>
                                    <asp:ListItem Value="3">̐l̖ÓH</asp:ListItem>
                                    <asp:ListItem Value="4">qǂ̖̂́H</asp:ListItem>
                                    <asp:ListItem Value="5">É̖H</asp:ListItem>
                                    <asp:ListItem Value="6">߂Ďybg̖ÓH</asp:ListItem>
                                    <asp:ListItem Value="7">c̖̉ÓH</asp:ListItem>
                                    <asp:ListItem Value="8">܂ꂽa@́H</asp:ListItem>
                                    <asp:ListItem Value="9">߂čsCO̍EńH</asp:ListItem>
                                    <asp:ListItem Value="10">w1N̂Ƃ̒SC̐搶̖ÓH</asp:ListItem>
                                    <asp:ListItem Value="11">^CAɏZ݂ꏊ́H</asp:ListItem>
                                    <asp:ListItem Value="12">߂Čf́H</asp:ListItem>
                                    <asp:ListItem Value="13">߂ĔԂ́H</asp:ListItem>
                                    <asp:ListItem Value="14">ӂ̖Ƃ΁H</asp:ListItem>
                                    <asp:ListItem Value="15">wɏĂNúH</asp:ListItem>
                                </zxr:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelSecretAnswer" runat="server">閧̎̓</zxr:Label>
                                &nbsp;:
                            </td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxSecretAnswer" runat="server"></zxr:TextBox>
                                <zxr:RangeStringValidator ID="RangeStringValidator3" runat="server" ControlToValidate="TextBoxSecretAnswer"
                                    MaximumValue="40" MinimumValue="0">
                                </zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelCompany" runat="server">ЖEc̖</zxr:Label>
                                &nbsp;:
                            </td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxCompany" runat="server"></zxr:TextBox>
                                &nbsp;<zxr:RangeStringValidator ID="RangeStringValidator2" runat="server" ControlToValidate="TextBoxCompany"
                                    MaximumValue="30" MinimumValue="0">
                                </zxr:RangeStringValidator>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <zxr:Label ID="LabelOfficialPosition" runat="server">EE</zxr:Label>
                                &nbsp;:
                            </td>
                            <td style="text-align: left">
                                <zxr:TextBox ID="TextBoxOfficialPosition" runat="server"></zxr:TextBox>
                                <zxr:RangeStringValidator ID="RangeStringValidator1" runat="server" ControlToValidate="TextBoxOfficialPosition"
                                    MaximumValue="30" MinimumValue="0">
                                </zxr:RangeStringValidator>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <table style="width: 497px;">
                        <tr>
                            <td>
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <zxr:TextBox ID="TextBox" runat="server" Height="61px" TextMode="MultiLine" Width="594px"
                                    ReadOnly="True">
                        K

ɂ܂B
p̔cƃT[rXシ邽߁AF̂͂낵肢܂B
                                </zxr:TextBox>
                                <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;
                                <ZXR:VerifyCodeTextBox ID="VerifyCodeTextBox1" runat="server" 
                                    />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;
                                <zxr:Button ID="ButtonConfirm" runat="server" Text="K𓯈ӂēo^" OnClick="ButtonConfirm_Click" />
                            </td>
                        </tr>
                    </table>
                    <br />
                </td>
            </table>
    </div>
    <div id="contents_bottom">
        &nbsp;
    </div>
</asp:Content>
